'Please refer to online document http://msdn.microsoft.com/en-us/library/aa446818(v=vs.85).aspx for details
' on how to manipulate task scheduler servic using script

Set args = Wscript.Arguments
' Argument checking is omitted, because this script is used internally
' We expect two arguments passed in, the 1st one is system driver (for example: C:)
' and the 2nd one is the head node name

' A constant that specifies a boot trigger.
const TriggerTypeBoot = 8
' A constant that specifies an executable action.
const ActionTypeExecutable = 0   

'********************************************************
' Create the TaskService object.
Set service = CreateObject("Schedule.Service")
call service.Connect()

'********************************************************
' Get a folder to create a task definition in. 
Dim rootFolder
Set rootFolder = service.GetFolder("\")

' The taskDefinition variable is the TaskDefinition object.
Dim taskDefinition
' The flags parameter is 0 because it is not supported.
Set taskDefinition = service.NewTask(0) 

'********************************************************
' Define information about the task.

' Set the registration info for the task by 
' creating the RegistrationInfo object.
Dim regInfo
Set regInfo = taskDefinition.RegistrationInfo
regInfo.Description = "Task will execute ExecutionClient when " & _
"the computer is booted."
regInfo.Author = "Microsoft HPC"

' Set the task setting info for the Task Scheduler by
' creating a TaskSettings object.
Dim settings
Set settings = taskDefinition.Settings
settings.StartWhenAvailable = True

'********************************************************
' Create a boot trigger.
Dim triggers
Set triggers = taskDefinition.Triggers

Dim trigger
Set trigger = triggers.Create(TriggerTypeBoot)

' Trigger variables that define when the trigger is active.
trigger.Id = "BootTriggerId"
trigger.Delay = "PT1M"                ' one minutes   

'***********************************************************
' Create the action for the task to execute.

' Add an action to the task. The action executes notepad.
Dim Action
Set Action = taskDefinition.Actions.Create( ActionTypeExecutable )
Action.Path = args.Item(0) & "\executionclient.exe"
Action.Arguments = args.Item(1)

'***********************************************************
' Register (create) the task.
const createOrUpdateTask = 6
call rootFolder.RegisterTaskDefinition( _
    "ExecutionClient", taskDefinition, createOrUpdateTask, _
    "System", , 5) '5 is  TASK_LOGON_SERVICE_ACCOUNT
