@echo off
echo Initializing Network Interfaces...
wpeinit
wpeutil disablefirewall
%systemdrive%\DISM\wimmountadksetupAmd64.exe /Install /q

set /A retryCount=0
:retry
echo Contacting CommandServer on HeadNode %HEADNODE%

executionclient %HEADNODE%

REM Check for communication failures
IF "%errorlevel%"=="0" goto SkipCommRetry
:CommRetry

echo **** Reinitializing Network ****
IF "%retryCount%"=="10" goto skipCommRetry
set /A retryCount=retryCount+1
ipconfig /release
ping localhost -n 2 > nul
ipconfig /renew
goto retry

:skipCommRetry


rem should only get here if EC has an unhandled fault; see if it left the target node name around
setlocal
for /F %%i in (%windir%\nodename.hpc) do set CompName=%%i
if NOT "%CompName%" == "" goto DumpLogs

rem create a unique directory if we don't have the node name
set /A index=1

:nextOne
if not exist %CcpSpoolDirShare%\DeploymentLogs\UNNKOWN%index% goto foundOne
set /A index=index+1
goto nextOne

:foundOne
set CompName=UNKNOWN%index%

:DumpLogs

call :DumpFiles %CcpSpoolDirShare%\DeploymentLogs\%CompName%
endlocal
goto :EOF

:DumpFiles

setlocal
set DumpShare=%1
if not exist %DumpShare% mkdir %DumpShare%
if ERRORLEVEL 0 goto startCopy
echo Failed to create directory %DumpShare%
goto :EOF

:startCopy
call :CopyFile ExecutionClient.Log
call :CopyFile ExecutionClient.Dmp
call :CopyFile CcpImg.Log
call :CopyFile CcpImg.Dmp
rem wpeutil reboot

goto :EOF

:CopyFile
setlocal
for %%i in (%windir%,%systemdrive%,.) do if exist %%i\%1 set dumpfile=%%i\%1
if "%dumpfile%" NEQ "" (
    xcopy /cfy %dumpfile% %DumpShare%
)
endlocal
goto :EOF
