-- Modify SP_CreateResource
IF EXISTS (SELECT id from sysobjects WHERE id=object_id(N'SP_CreateResource'))
DROP PROCEDURE SP_CreateResource
GO

CREATE PROCEDURE SP_CreateResource(
    @JobType            int,
    @NodeId             int,
    @State              int,
    @ModifyTime         datetime,
    @CoreID             int,
    @SocketID           bigint
    )
AS
BEGIN

    DECLARE @newId int
    
    INSERT INTO Resource
        (JobType, NodeId, State, ModifyTime, CoreID, SocketID, PrevState, JobId, TaskId)
    VALUES
        (@JobType, @NodeId, @State, @ModifyTime, @CoreID, @SocketID, @State, NULL, NULL)
        
    SELECT @newId = @@IDENTITY
    
    INSERT INTO ResourceReservation (ResourceId) VALUES (@newId)
    
END
GO



-- Please Keep this at last
-- Increase DbVersion
EXEC sp_updateextendedproperty @name = N'dbVersion', @value = '3.2';
GO