/*This file should contain all the downgrade statements from 4.3 to 4.1 */

DECLARE @RetryLimitConstraintName nvarchar(200)
SELECT @RetryLimitConstraintName = name FROM SYS.DEFAULT_CONSTRAINTS WHERE PARENT_OBJECT_ID = OBJECT_ID(N'[dbo].[Job]') AND PARENT_COLUMN_ID = (SELECT column_id FROM sys.columns WHERE NAME = N'TaskExecutionFailureRetryLimit' AND object_id = OBJECT_ID(N'[dbo].[Job]'))
IF @RetryLimitConstraintName IS NOT NULL  
    EXEC('ALTER TABLE Job DROP CONSTRAINT ' + @RetryLimitConstraintName)

IF EXISTS (SELECT id from dbo.sysobjects WHERE id = object_id(N'[dbo].[Job]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
    AND EXISTS (SELECT id FROM [sys].[syscolumns] where id = object_id(N'[dbo].[Job]') AND name = N'TaskExecutionFailureRetryLimit')
BEGIN
    ALTER TABLE Job DROP COLUMN TaskExecutionFailureRetryLimit
END
GO

DECLARE @RetryCountConstraintName nvarchar(200)
SELECT @RetryCountConstraintName = name FROM SYS.DEFAULT_CONSTRAINTS WHERE PARENT_OBJECT_ID = OBJECT_ID(N'[dbo].[Task]') AND PARENT_COLUMN_ID = (SELECT column_id FROM sys.columns WHERE NAME = N'ExecutionFailureRetryCount' AND object_id = OBJECT_ID(N'[dbo].[Task]'))
IF @RetryCountConstraintName IS NOT NULL  
    EXEC('ALTER TABLE Task DROP CONSTRAINT ' + @RetryCountConstraintName)

IF EXISTS (SELECT id from dbo.sysobjects WHERE id = object_id(N'[dbo].[Task]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
    AND EXISTS (SELECT id FROM [sys].[syscolumns] where id = object_id(N'[dbo].[Task]') AND name = N'ExecutionFailureRetryCount')
BEGIN
    ALTER TABLE Task DROP COLUMN ExecutionFailureRetryCount
END
GO

-- Please Keep this at last
-- Decrease DbVersion
EXEC sp_updateextendedproperty @name = N'dbVersion', @value = '4.1';
GO

SET ANSI_PADDING OFF
GO

