/*This file should contain all the downgrade statements from 4.4 to 4.3 */

Alter PROCEDURE SP_RemoveTaskGroup
    @jobId int,
    @groupId int
AS
BEGIN

    SET NOCOUNT ON;
    
    DECLARE @defaultGroup int
    
    SELECT @defaultGroup = ID
    FROM TaskGroup
    WHERE JobId=@jobId AND IsDefault=1

    UPDATE TaskDetail SET GroupId=@defaultGroup WHERE GroupId=@groupId
    
    DELETE FROM TaskGroupDependency WHERE ParentId=@groupId
    DELETE FROM TaskGroupDependency WHERE ChildId=@groupId

END
GO

/* Set user extended data */
IF EXISTS (SELECT id from dbo.sysobjects WHERE id = object_id(N'[dbo].[SP_SetUserExtendedData]'))
DROP PROCEDURE dbo.SP_SetUserExtendedData
GO

IF EXISTS (SELECT id from dbo.sysobjects WHERE id = object_id(N'[dbo].[Credential]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
    AND EXISTS (SELECT id FROM [sys].[syscolumns] where id = object_id(N'[dbo].[Credential]') AND name = N'ExtendedData')
BEGIN
    ALTER TABLE Credential DROP COLUMN ExtendedData
END
GO

EXEC sp_updateextendedproperty @name = N'dbVersion', @value = '4.3';
