/*This file should contain all the upgrade statements from 4.1 to 4.3 */

/*Just to be safe in case ANSI_PADDING is turned off. We should stop turning ansi padding off since SQL plans to disable 
turning ANSI_PADDING OFF*/
SET ANSI_PADDING ON
GO


IF EXISTS (SELECT id from dbo.sysobjects WHERE id = object_id(N'[dbo].[Job]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
    AND NOT EXISTS (SELECT id FROM [sys].[syscolumns] where id = object_id(N'[dbo].[Job]') AND name = N'TaskExecutionFailureRetryLimit')
BEGIN
    ALTER TABLE Job ADD TaskExecutionFailureRetryLimit INT          NOT NULL DEFAULT(0)

END
GO

IF EXISTS (SELECT id from dbo.sysobjects WHERE id = object_id(N'[dbo].[Task]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
    AND NOT EXISTS (SELECT id FROM [sys].[syscolumns] where id = object_id(N'[dbo].[Task]') AND name = N'ExecutionFailureRetryCount')
BEGIN
    ALTER TABLE Task ADD ExecutionFailureRetryCount INT          NOT NULL DEFAULT(0)

END
GO


-- Please Keep this at last
-- Increase DbVersion
EXEC sp_updateextendedproperty @name = N'dbVersion', @value = '4.3';
GO
