/*This file should contain all the upgrade statements from v4RTM to v4SP1 */

/*Just to be safe in case ANSI_PADDING is turned off. We should stop turning ansi padding off since SQL plans to disable 
turning ANSI_PADDING OFF*/
SET ANSI_PADDING ON
GO

IF EXISTS (SELECT id from dbo.sysobjects WHERE id = object_id(N'[dbo].[Node]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
    AND NOT EXISTS (SELECT id FROM [sys].[syscolumns] where id = object_id(N'[dbo].[Node]') AND name = N'AzureNodeRoleName')
BEGIN
    ALTER TABLE Node ADD AzureNodeRoleName   nvarchar(256)  NULL
END
GO

IF EXISTS (SELECT id from dbo.sysobjects WHERE id = object_id(N'[dbo].[Task]') AND OBJECTPROPERTY(id, N'IsUserTable') = 1)
	AND NOT EXISTS (SELECT * FROM sys.indexes WHERE name=N'IDX_Task_Failed' AND object_id = OBJECT_ID(N'[dbo].[Task]'))
BEGIN
CREATE NONCLUSTERED INDEX IDX_Task_Failed ON Task(ParentJobId) INCLUDE(ID,InstanceID) WHERE state =256
END
GO


-- Please Keep this at last
-- Increase DbVersion
EXEC sp_updateextendedproperty @name = N'dbVersion', @value = '4.1';
GO
