DECLARE @dbname varchar(100)
SET @dbname=QUOTENAME(DB_NAME())
BEGIN TRY
  EXEC('ALTER DATABASE '+@dbname+' SET AUTO_CLOSE OFF')
  EXEC('ALTER DATABASE '+@dbname+' SET RECOVERY SIMPLE')
END TRY
BEGIN CATCH
END CATCH
GO

DECLARE @dbname varchar(100)
DECLARE @sqlstring nvarchar(500)
DECLARE @ircso as int
SET @dbname=DB_NAME()
SET @sqlstring=N'select @ircs=is_read_committed_snapshot_on FROM sys.databases where name = @thename'
EXECUTE sp_executesql @sqlstring, N'@ircs INT OUTPUT, @thename varchar(100)', @thename=@dbname, @ircs=@ircso OUTPUT
IF @ircso = 0 AND SERVERPROPERTY('EngineEdition') < 5
BEGIN
  EXEC('ALTER DATABASE ['+@dbname+'] SET READ_COMMITTED_SNAPSHOT ON WITH ROLLBACK IMMEDIATE')
END
GO

IF EXISTS(SELECT * FROM sys.extended_properties WHERE name='dbVersion') exec sp_dropextendedproperty 'dbVersion'
go
exec sp_addextendedproperty 'dbVersion', '5.1'
go
/*
Sql scripts to add referential integrity and other checking to
the scheduler db 
*/

SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
/*
    First we drop all the constraints 
*/
IF EXISTS( SELECT 1 FROM INFORMATION_SCHEMA.CHECK_CONSTRAINTS WHERE CONSTRAINT_NAME = 'CK_NodeCounter_CheckTotal' )
    ALTER TABLE NodeCounter DROP CONSTRAINT CK_NodeCounter_CheckTotal 

IF EXISTS( SELECT 1 FROM INFORMATION_SCHEMA.CHECK_CONSTRAINTS WHERE CONSTRAINT_NAME = 'CK_ResourceCounter_CheckTotal' )
    ALTER TABLE ResourceCounter DROP CONSTRAINT CK_ResourceCounter_CheckTotal 

IF EXISTS( SELECT * FROM INFORMATION_SCHEMA.REFERENTIAL_CONSTRAINTS WHERE CONSTRAINT_NAME = 'CK_NodeResourceCounter_FK_NodeId' )
    ALTER TABLE NodeResourceCounter DROP CONSTRAINT CK_NodeResourceCounter_FK_NodeId 

IF EXISTS( SELECT 1 FROM INFORMATION_SCHEMA.CHECK_CONSTRAINTS WHERE CONSTRAINT_NAME = 'CK_NodeResourceCounter_CheckTotal' )
    ALTER TABLE NodeResourceCounter DROP CONSTRAINT CK_NodeResourceCounter_CheckTotal

IF EXISTS( SELECT 1 FROM INFORMATION_SCHEMA.CHECK_CONSTRAINTS WHERE CONSTRAINT_NAME = 'CK_JobCounter_CheckTotal' )
    ALTER TABLE JobCounter DROP CONSTRAINT CK_JobCounter_CheckTotal 

IF EXISTS( SELECT 1 FROM INFORMATION_SCHEMA.CHECK_CONSTRAINTS WHERE CONSTRAINT_NAME = 'CK_TaskCounter_CheckTotal' )
    ALTER TABLE TaskCounter DROP CONSTRAINT CK_TaskCounter_CheckTotal

IF EXISTS( SELECT 1 FROM INFORMATION_SCHEMA.CHECK_CONSTRAINTS WHERE CONSTRAINT_NAME = 'CK_ParametricTaskCounter_CheckTotal' )
    ALTER TABLE ParametricTaskCounter DROP CONSTRAINT CK_ParametricTaskCounter_CheckTotal 

IF EXISTS( SELECT 1 FROM INFORMATION_SCHEMA.REFERENTIAL_CONSTRAINTS WHERE CONSTRAINT_NAME = 'CK_ParametricTaskCounter_FK_RecordId' )
    ALTER TABLE ParametricTaskCounter DROP CONSTRAINT CK_ParametricTaskCounter_FK_RecordId 

IF EXISTS( SELECT 1 FROM INFORMATION_SCHEMA.CHECK_CONSTRAINTS WHERE CONSTRAINT_NAME = 'CK_JobTaskCounter_CheckTotal' )
    ALTER TABLE JobTaskCounter DROP CONSTRAINT CK_JobTaskCounter_CheckTotal

IF EXISTS( SELECT 1 FROM INFORMATION_SCHEMA.REFERENTIAL_CONSTRAINTS WHERE CONSTRAINT_NAME = 'CK_JobTaskCounter_FK_JobId' )    
    ALTER TABLE JobTaskCounter DROP CONSTRAINT CK_JobTaskCounter_FK_JobId 
   
IF EXISTS( SELECT 1 FROM INFORMATION_SCHEMA.REFERENTIAL_CONSTRAINTS WHERE CONSTRAINT_NAME = 'CK_NodeHistory_FK_NodeId' )    
    ALTER TABLE NodeHistory DROP CONSTRAINT CK_NodeHistory_FK_NodeId 
   
IF EXISTS( SELECT 1 FROM INFORMATION_SCHEMA.REFERENTIAL_CONSTRAINTS WHERE CONSTRAINT_NAME = 'CK_NodeHistory_FK_NodeName' )    
    ALTER TABLE NodeHistory DROP CONSTRAINT CK_NodeHistory_FK_NodeName

IF EXISTS( SELECT 1 FROM INFORMATION_SCHEMA.REFERENTIAL_CONSTRAINTS WHERE CONSTRAINT_NAME = 'CK_JobHistory_FK_JobId' )    
    ALTER TABLE JobHistory DROP CONSTRAINT CK_JobHistory_FK_JobId

IF EXISTS( SELECT 1 FROM INFORMATION_SCHEMA.CHECK_CONSTRAINTS WHERE CONSTRAINT_NAME = 'CK_JobHistory_CheckDates1' )    
    ALTER TABLE JobHistory DROP CONSTRAINT CK_JobHistory_CheckDates1

IF EXISTS( SELECT 1 FROM INFORMATION_SCHEMA.CHECK_CONSTRAINTS WHERE CONSTRAINT_NAME = 'CK_JobHistory_CheckDates2' )    
    ALTER TABLE JobHistory DROP CONSTRAINT CK_JobHistory_CheckDates2
    
IF EXISTS( SELECT 1 FROM INFORMATION_SCHEMA.REFERENTIAL_CONSTRAINTS WHERE CONSTRAINT_NAME = 'CK_JobHistory_FK_ProjectId' )    
    ALTER TABLE JobHistory DROP CONSTRAINT CK_JobHistory_FK_ProjectId

IF EXISTS( SELECT 1 FROM INFORMATION_SCHEMA.REFERENTIAL_CONSTRAINTS WHERE CONSTRAINT_NAME = 'CK_JobCancelRequest_FK_JobId' )    
    ALTER TABLE JobCancelRequest DROP CONSTRAINT CK_JobCancelRequest_FK_JobId 

IF EXISTS( SELECT 1 FROM INFORMATION_SCHEMA.REFERENTIAL_CONSTRAINTS WHERE CONSTRAINT_NAME = 'CK_TaskCancelRequest_FK_TaskId' )    
    ALTER TABLE TaskCancelRequest DROP CONSTRAINT CK_TaskCancelRequest_FK_TaskId 
    
IF EXISTS( SELECT 1 FROM INFORMATION_SCHEMA.REFERENTIAL_CONSTRAINTS WHERE CONSTRAINT_NAME = 'CK_Job_FK_CredentialId' )    
    ALTER TABLE Job DROP CONSTRAINT CK_Job_FK_CredentialId 

IF EXISTS( SELECT 1 FROM INFORMATION_SCHEMA.REFERENTIAL_CONSTRAINTS WHERE CONSTRAINT_NAME = 'CK_Job_FK_ProjectId' )        
    ALTER TABLE Job DROP CONSTRAINT CK_Job_FK_ProjectId 
    
IF EXISTS( SELECT 1 FROM INFORMATION_SCHEMA.CHECK_CONSTRAINTS WHERE CONSTRAINT_NAME = 'CK_Job_StateCheck' )            
    ALTER TABLE Job DROP CONSTRAINT CK_Job_StateCheck 
    
IF EXISTS( SELECT 1 FROM INFORMATION_SCHEMA.CHECK_CONSTRAINTS WHERE CONSTRAINT_NAME = 'CK_Job_PrevStateCheck' )                
    ALTER TABLE Job DROP CONSTRAINT CK_Job_PrevStateCheck
    
IF EXISTS( SELECT 1 FROM INFORMATION_SCHEMA.CHECK_CONSTRAINTS WHERE CONSTRAINT_NAME = 'CK_Job_PrevCurrStateCheck' )                
    ALTER TABLE Job DROP CONSTRAINT CK_Job_PrevCurrStateCheck 

IF EXISTS( SELECT 1 FROM INFORMATION_SCHEMA.REFERENTIAL_CONSTRAINTS WHERE CONSTRAINT_NAME = 'CK_Credential_FK_RunAsId' )                
    ALTER TABLE Credential DROP CONSTRAINT CK_Credential_FK_RunAsId 

IF EXISTS( SELECT 1 FROM INFORMATION_SCHEMA.REFERENTIAL_CONSTRAINTS WHERE CONSTRAINT_NAME = 'CK_Credential_FK_OwnerId' )                    
    ALTER TABLE Credential DROP CONSTRAINT CK_Credential_FK_OwnerId 
    
IF EXISTS( SELECT 1 FROM INFORMATION_SCHEMA.REFERENTIAL_CONSTRAINTS WHERE CONSTRAINT_NAME = 'CK_TaskGroup_FK_JobId' )                        
    ALTER TABLE TaskGroup DROP CONSTRAINT CK_TaskGroup_FK_JobId 

IF EXISTS( SELECT 1 FROM INFORMATION_SCHEMA.REFERENTIAL_CONSTRAINTS WHERE CONSTRAINT_NAME = 'CK_TaskGroupDependency_FK_JobId' )                        
    ALTER TABLE TaskGroupDependency DROP CONSTRAINT CK_TaskGroupDependency_FK_JobId 

IF EXISTS( SELECT 1 FROM INFORMATION_SCHEMA.REFERENTIAL_CONSTRAINTS WHERE CONSTRAINT_NAME = 'CK_TaskGroupDependency_FK_ParentId' )                        
    ALTER TABLE TaskGroupDependency DROP CONSTRAINT CK_TaskGroupDependency_FK_ParentId

IF EXISTS( SELECT 1 FROM INFORMATION_SCHEMA.REFERENTIAL_CONSTRAINTS WHERE CONSTRAINT_NAME = 'CK_TaskGroupDependency_FK_ChildId' )                        
    ALTER TABLE TaskGroupDependency DROP CONSTRAINT CK_TaskGroupDependency_FK_ChildId 

IF EXISTS( SELECT 1 FROM INFORMATION_SCHEMA.REFERENTIAL_CONSTRAINTS WHERE CONSTRAINT_NAME = 'CK_Task_FK_ParentJobId' )                        
    ALTER TABLE Task DROP CONSTRAINT CK_Task_FK_ParentJobId

IF EXISTS( SELECT 1 FROM INFORMATION_SCHEMA.REFERENTIAL_CONSTRAINTS WHERE CONSTRAINT_NAME = 'CK_Task_FK_RecordId' )                        
    ALTER TABLE Task DROP CONSTRAINT CK_Task_FK_RecordId 
    
IF EXISTS( SELECT 1 FROM INFORMATION_SCHEMA.CHECK_CONSTRAINTS WHERE CONSTRAINT_NAME = 'CK_Task_CheckDates1' )
    ALTER TABLE Task DROP CONSTRAINT CK_Task_CheckDates1 
    
IF EXISTS( SELECT 1 FROM INFORMATION_SCHEMA.REFERENTIAL_CONSTRAINTS WHERE CONSTRAINT_NAME = 'CK_TaskDetail_FK_GroupId' )                        
    ALTER TABLE TaskDetail DROP CONSTRAINT CK_TaskDetail_FK_GroupId

IF EXISTS( SELECT 1 FROM INFORMATION_SCHEMA.REFERENTIAL_CONSTRAINTS WHERE CONSTRAINT_NAME = 'CK_TaskEnvironmentVariable_FK_TaskId' )                        
    ALTER TABLE TaskEnvironmentVariable DROP CONSTRAINT CK_TaskEnvironmentVariable_FK_TaskId 
    
IF EXISTS( SELECT 1 FROM INFORMATION_SCHEMA.REFERENTIAL_CONSTRAINTS WHERE CONSTRAINT_NAME = 'CK_TaskEnvironmentVariable_FK_JobId' )                        
    ALTER TABLE TaskEnvironmentVariable DROP CONSTRAINT CK_TaskEnvironmentVariable_FK_JobId 

IF EXISTS( SELECT 1 FROM INFORMATION_SCHEMA.REFERENTIAL_CONSTRAINTS WHERE CONSTRAINT_NAME = 'CK_Resource_FK_NodeId' )                        
    ALTER TABLE Resource DROP CONSTRAINT CK_Resource_FK_NodeId 
    
IF EXISTS( SELECT 1 FROM INFORMATION_SCHEMA.REFERENTIAL_CONSTRAINTS WHERE CONSTRAINT_NAME = 'CK_Resource_FK_JobId' )                            
    ALTER TABLE Resource DROP CONSTRAINT CK_Resource_FK_JobId

IF EXISTS( SELECT 1 FROM INFORMATION_SCHEMA.REFERENTIAL_CONSTRAINTS WHERE CONSTRAINT_NAME = 'CK_Resource_FK_TaskId' )                            
    ALTER TABLE Resource DROP CONSTRAINT CK_Resource_FK_TaskId 

/* ResourceReservation */
IF EXISTS( SELECT 1 FROM INFORMATION_SCHEMA.REFERENTIAL_CONSTRAINTS WHERE CONSTRAINT_NAME = 'CK_ResourceReservation_FK_ResourceId' )                            
    ALTER TABLE ResourceReservation DROP CONSTRAINT CK_ResourceReservation_FK_ResourceId 

IF EXISTS( SELECT 1 FROM INFORMATION_SCHEMA.REFERENTIAL_CONSTRAINTS WHERE CONSTRAINT_NAME = 'CK_ResourceReservation_FK_JobId' )                            
    ALTER TABLE ResourceReservation DROP CONSTRAINT CK_ResourceReservation_FK_JobId 

IF EXISTS( SELECT 1 FROM INFORMATION_SCHEMA.REFERENTIAL_CONSTRAINTS WHERE CONSTRAINT_NAME = 'CK_AllocationHistory_FK_ResourceId' )                            
    ALTER TABLE AllocationHistory DROP CONSTRAINT CK_AllocationHistory_FK_ResourceId 

IF EXISTS( SELECT 1 FROM INFORMATION_SCHEMA.REFERENTIAL_CONSTRAINTS WHERE CONSTRAINT_NAME = 'CK_AllocationHistory_FK_NodeId' )                                
    ALTER TABLE AllocationHistory DROP CONSTRAINT CK_AllocationHistory_FK_NodeId
    
IF EXISTS( SELECT 1 FROM INFORMATION_SCHEMA.REFERENTIAL_CONSTRAINTS WHERE CONSTRAINT_NAME = 'CK_AllocationHistory_FK_JobId' )                                
    ALTER TABLE AllocationHistory DROP CONSTRAINT CK_AllocationHistory_FK_JobId 

IF EXISTS( SELECT 1 FROM INFORMATION_SCHEMA.REFERENTIAL_CONSTRAINTS WHERE CONSTRAINT_NAME = 'CK_AllocationHistory_FK_TaskId' )                                
    ALTER TABLE AllocationHistory DROP CONSTRAINT CK_AllocationHistory_FK_TaskId 

IF EXISTS( SELECT 1 FROM INFORMATION_SCHEMA.REFERENTIAL_CONSTRAINTS WHERE CONSTRAINT_NAME = 'CK_NodeAllocationHistory_FK_NodeId' )                                
    ALTER TABLE NodeAllocationHistory DROP CONSTRAINT CK_NodeAllocationHistory_FK_NodeId 

IF EXISTS( SELECT 1 FROM INFORMATION_SCHEMA.REFERENTIAL_CONSTRAINTS WHERE CONSTRAINT_NAME = 'CK_NodeAllocationHistory_FK_JobId' )                                    
    ALTER TABLE NodeAllocationHistory DROP CONSTRAINT CK_NodeAllocationHistory_FK_JobId

IF EXISTS( SELECT 1 FROM INFORMATION_SCHEMA.REFERENTIAL_CONSTRAINTS WHERE CONSTRAINT_NAME = 'CK_NodeAllocationHistory_FK_TaskId' )                                    
    ALTER TABLE NodeAllocationHistory DROP CONSTRAINT CK_NodeAllocationHistory_FK_TaskId 
    
IF EXISTS( SELECT 1 FROM INFORMATION_SCHEMA.REFERENTIAL_CONSTRAINTS WHERE CONSTRAINT_NAME = 'CK_ExtendedJobProperty_FK_JobId' )                                        
    ALTER TABLE ExtendedJobProperty DROP CONSTRAINT CK_ExtendedJobProperty_FK_JobId

IF EXISTS( SELECT 1 FROM INFORMATION_SCHEMA.REFERENTIAL_CONSTRAINTS WHERE CONSTRAINT_NAME = 'CK_ExtendedJobProperty_FK_PropertyId' )                                            
    ALTER TABLE ExtendedJobProperty DROP CONSTRAINT CK_ExtendedJobProperty_FK_PropertyId 

IF EXISTS( SELECT 1 FROM INFORMATION_SCHEMA.REFERENTIAL_CONSTRAINTS WHERE CONSTRAINT_NAME = 'CK_ExtendedTaskProperty_FK_TaskId' )                                                
    ALTER TABLE ExtendedTaskProperty DROP CONSTRAINT CK_ExtendedTaskProperty_FK_TaskId 
    
IF EXISTS( SELECT 1 FROM INFORMATION_SCHEMA.REFERENTIAL_CONSTRAINTS WHERE CONSTRAINT_NAME = 'CK_ExtendedTaskProperty_FK_JobId' )                                                
    ALTER TABLE ExtendedTaskProperty DROP CONSTRAINT CK_ExtendedTaskProperty_FK_JobId 

IF EXISTS( SELECT 1 FROM INFORMATION_SCHEMA.REFERENTIAL_CONSTRAINTS WHERE CONSTRAINT_NAME = 'CK_ExtendedTaskProperty_FK_PropertyId' )                                                
    ALTER TABLE ExtendedTaskProperty DROP CONSTRAINT CK_ExtendedTaskProperty_FK_PropertyId 

IF EXISTS( SELECT 1 FROM INFORMATION_SCHEMA.CHECK_CONSTRAINTS WHERE CONSTRAINT_NAME = 'CK_Job_Completed_No_EndDate' )                                                
    ALTER TABLE Job DROP CONSTRAINT CK_Job_Completed_No_EndDate 

IF EXISTS( SELECT 1 FROM INFORMATION_SCHEMA.REFERENTIAL_CONSTRAINTS WHERE CONSTRAINT_NAME = 'CK_JobMessage_FK_JobId' )
    ALTER TABLE JobMessage DROP CONSTRAINT CK_JobMessage_FK_JobId
  
IF EXISTS( SELECT 1 FROM INFORMATION_SCHEMA.CHECK_CONSTRAINTS WHERE CONSTRAINT_NAME = 'CK_JobMessage_TypeNonZero' )
    ALTER TABLE JobMessage DROP CONSTRAINT CK_JobMessage_TypeNonZero 
    
GO

SET ANSI_PADDING OFF
go


SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO

/*Drop all the tables first*/
IF EXISTS (SELECT id from dbo.sysobjects WHERE id = object_id(N'[dbo].[ExtendedTaskProperty]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
DROP table [dbo].[ExtendedTaskProperty]
GO

IF EXISTS (SELECT id from dbo.sysobjects WHERE id = object_id(N'[dbo].[ExtendedJobProperty]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
DROP table [dbo].[ExtendedJobProperty]
GO

IF EXISTS (SELECT id from dbo.sysobjects WHERE id = object_id(N'[dbo].[CustomPropertyName]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
DROP table [dbo].[CustomPropertyName]
GO

IF EXISTS (SELECT id from dbo.sysobjects WHERE id = object_id(N'[dbo].[AllocationHistory]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
DROP table [dbo].[AllocationHistory]
GO

IF EXISTS (SELECT id from dbo.sysobjects WHERE id = object_id(N'[dbo].[NodeAllocationHistory]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
DROP table [dbo].[NodeAllocationHistory]
GO

IF EXISTS (SELECT id from dbo.sysobjects WHERE id = object_id(N'[dbo].[JobTemplateItem]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
DROP table [dbo].[JobTemplateItem]
GO

IF EXISTS (SELECT id from dbo.sysobjects WHERE id = object_id(N'[dbo].[JobTemplate]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
DROP table [dbo].[JobTemplate]
GO

IF EXISTS (SELECT id from dbo.sysobjects WHERE id = object_id(N'[dbo].[Resource]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
DROP table [dbo].[Resource]
GO

IF EXISTS (SELECT id from dbo.sysobjects WHERE id = object_id(N'[dbo].[ResourceReservation]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
DROP table [dbo].[ResourceReservation]
GO

IF EXISTS (SELECT id from dbo.sysobjects WHERE id = object_id(N'[dbo].[Node]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
DROP table [dbo].[Node]
GO

IF EXISTS (SELECT id from dbo.sysobjects WHERE id = object_id(N'[dbo].[TaskEnvironmentVariable]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
DROP table [dbo].[TaskEnvironmentVariable]
GO

IF EXISTS (SELECT id from dbo.sysobjects WHERE id = object_id(N'[dbo].[Tasks]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
DROP table [dbo].[Tasks]
GO

IF EXISTS (SELECT id from dbo.sysobjects WHERE id = object_id(N'[dbo].[TaskPaths]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
DROP table [dbo].[TaskPaths]
GO

IF EXISTS (SELECT id from dbo.sysobjects WHERE id = object_id(N'[dbo].[TaskSettings]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
DROP table [dbo].[TaskSettings]
GO

IF EXISTS (SELECT id from dbo.sysobjects WHERE id = object_id(N'[dbo].[TaskGroupDependency]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
DROP table [dbo].[TaskGroupDependency]
GO

IF EXISTS (SELECT id from dbo.sysobjects WHERE id = object_id(N'[dbo].[TaskGroup]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
DROP table [dbo].[TaskGroup]
GO

IF EXISTS (SELECT id from dbo.sysobjects WHERE id = object_id(N'[dbo].[Job]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
DROP table [dbo].[Job]
GO

IF EXISTS (SELECT id from dbo.sysobjects WHERE id = object_id(N'[dbo].[NodeName]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
DROP table [dbo].[NodeName]
GO

IF EXISTS (SELECT id from dbo.sysobjects WHERE id = object_id(N'[dbo].[NodeHistory]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
DROP table [dbo].[NodeHistory]
GO

IF EXISTS (SELECT id from dbo.sysobjects WHERE id = object_id(N'[dbo].[JobHistory]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
DROP table [dbo].[JobHistory]
GO

IF EXISTS (SELECT id from dbo.sysobjects WHERE id = object_id(N'[dbo].[JobProjectName]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
DROP table [dbo].[JobProjectName]
GO

IF EXISTS (SELECT id from dbo.sysobjects WHERE id = object_id(N'[dbo].[Credential]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
DROP table [dbo].[Credential]
GO

IF EXISTS (SELECT id from dbo.sysobjects WHERE id = object_id(N'[dbo].[Task]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
DROP table [dbo].[Task]
GO

IF EXISTS (SELECT id from dbo.sysobjects WHERE id = object_id(N'[dbo].[TaskDetail]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
DROP table [dbo].[TaskDetail]
GO

IF EXISTS (SELECT id from dbo.sysobjects WHERE id = object_id(N'[dbo].[SID]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
DROP table [dbo].[SID]
GO

IF EXISTS (SELECT id from dbo.sysobjects WHERE id = object_id(N'[dbo].[JobCancelRequest]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
DROP table [dbo].[JobCancelRequest]
GO

IF EXISTS (SELECT id from dbo.sysobjects WHERE id = object_id(N'[dbo].[TaskCancelRequest]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
DROP table [dbo].[TaskCancelRequest]
GO

IF EXISTS (SELECT id from dbo.sysobjects WHERE id = object_id(N'[dbo].[StoreCounters]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
DROP table [dbo].[StoreCounters]
GO

IF EXISTS (SELECT id from dbo.sysobjects WHERE id = object_id(N'[dbo].[ResourceCounter]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
DROP table [dbo].[ResourceCounter]
GO

IF EXISTS (SELECT id from dbo.sysobjects WHERE id = object_id(N'[dbo].[JobCounter]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
DROP table [dbo].[JobCounter]
GO

IF EXISTS (SELECT id from dbo.sysobjects WHERE id = object_id(N'[dbo].[TaskCounter]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
DROP table [dbo].[TaskCounter]
GO

IF EXISTS (SELECT id from dbo.sysobjects WHERE id = object_id(N'[dbo].[ParametricTaskCounter]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
DROP table [dbo].[ParametricTaskCounter]
GO

IF EXISTS (SELECT id from dbo.sysobjects WHERE id = object_id(N'[dbo].[JobTaskCounter]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
DROP table [dbo].[JobTaskCounter]
GO

IF EXISTS (SELECT id from dbo.sysobjects WHERE id = object_id(N'[dbo].[NodeCounter]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
DROP table [dbo].[NodeCounter]
GO

IF EXISTS (SELECT id from dbo.sysobjects WHERE id = object_id(N'[dbo].[NodeResourceCounter]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
DROP table [dbo].[NodeResourceCounter]
GO

IF EXISTS (SELECT id from dbo.sysobjects WHERE id = object_id(N'[dbo].[ClientSourceName]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
DROP table [dbo].[ClientSourceName]
GO

IF EXISTS (SELECT id from dbo.sysobjects WHERE id = object_id(N'[dbo].[CachedProcedures]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
DROP table [dbo].[CachedProcedures]
GO

IF EXISTS (SELECT id from dbo.sysobjects WHERE id = object_id(N'[dbo].[Numbers]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
DROP table [dbo].[Numbers]
GO

IF EXISTS (SELECT id from dbo.sysobjects WHERE id = object_id(N'[dbo].[Zombie]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
DROP table [dbo].[Zombie]
GO

IF EXISTS (SELECT id from dbo.sysobjects WHERE id = object_id(N'[dbo].[JobEnvironmentVariable]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
DROP table [dbo].[JobEnvironmentVariable]
GO

IF EXISTS (SELECT id from dbo.sysobjects WHERE id = object_id(N'[dbo].[JobMessage]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
DROP table [dbo].[JobMessage]
GO

IF EXISTS (SELECT id from dbo.sysobjects WHERE id = object_id(N'[dbo].[JobShrinkRequest]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
DROP table [dbo].[JobShrinkRequest]
GO

IF EXISTS (SELECT id from dbo.sysobjects WHERE id = object_id(N'[dbo].[ClusterParameter]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
DROP TABLE [dbo].[ClusterParameter]
GO

IF EXISTS (SELECT id from dbo.sysobjects WHERE id = object_id(N'[dbo].[AzureDeployment]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
DROP TABLE [dbo].[AzureDeployment]
GO

IF EXISTS (SELECT id from dbo.sysobjects WHERE id = object_id(N'[dbo].[Pool]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
DROP TABLE [dbo].[Pool]
GO

IF EXISTS (SELECT id from dbo.sysobjects WHERE id = object_id(N'[dbo].[JobDependency]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
DROP TABLE [dbo].[JobDependency]
GO

/*Recreate all sequences*/

if SERVERPROPERTY('productversion') >= '11'
BEGIN
    DECLARE @SQLString nvarchar(500); 
	SET @SQLString =N'
    IF EXISTS (SELECT id from dbo.sysobjects WHERE id = OBJECT_ID(N''[dbo].[AllocationHistoryId]'') AND type = ''SO'')
    DROP SEQUENCE [dbo].[AllocationHistoryId]'
    EXECUTE sp_executesql @SQLString
END
GO

if SERVERPROPERTY('productversion') >= '11'
BEGIN
	DECLARE @SQLString nvarchar(500); 
	SET @SQLString =N'
    CREATE SEQUENCE [dbo].[AllocationHistoryId]
        AS int 
        START WITH 1  
        INCREMENT BY 1
        CYCLE'
	EXECUTE sp_executesql @SQLString	
END
GO


/*
** Zombie
**
** This table is used to track resources (cores) that
** are put into a zombie state (assigned to a non
** runnable job)
**
** It is for debugging and will be removed as we get
** closer to shipping
*/

CREATE TABLE Zombie
(
    Id                      int             IDENTITY(1,1) NOT NULL PRIMARY KEY CLUSTERED,
    JobId                   int             NULL,
    ResourceId              int             NOT NULL,
    JobState                int             NOT NULL,
    ResourceState           int             NOT NULL,
    CreateTime              datetime        NOT NULL DEFAULT(GETUTCDATE()),   
    Closed                  bit             NOT NULL DEFAULT(0)
) 
GO

create nonclustered index IDX_Zombie_Closed on Zombie (closed) 
GO

/*
** Cached StoredProcedures
*/

-- TODO: To be removed later
CREATE TABLE CachedProcedures
(
    HashCode                int             NOT NULL PRIMARY KEY CLUSTERED,
    ProcedureName           nvarchar(255)   NOT NULL,
    Timeout                 int             NOT NULL DEFAULT(0)
) 
GO
  
   

/*
** Create the NodeCounter table
*/

CREATE TABLE NodeCounter
(
    Id                      int             IDENTITY(1,1) NOT NULL PRIMARY KEY CLUSTERED, 
    Total                   int             NOT NULL DEFAULT(0),
    Offline                 int             NOT NULL DEFAULT(0),
    Draining                int             NOT NULL DEFAULT(0),
    Online                  int             NOT NULL DEFAULT(0),
    Unreachable             int             NOT NULL DEFAULT(0),
    UnreachableCores        int             NOT NULL DEFAULT(0),
) 
GO

INSERT INTO NodeCounter (Offline) VALUES (0)
GO



/*
** Create the ResourceCounter table
*/

CREATE TABLE ResourceCounter
(
    Id                      int             IDENTITY(1,1) NOT NULL PRIMARY KEY CLUSTERED, 
    Total                   int             NOT NULL DEFAULT(0),
    Offline                 int             NOT NULL DEFAULT(0),
    Idle                    int             NOT NULL DEFAULT(0),
    ScheduledReserve        int             NOT NULL DEFAULT(0),
    JobScheduled            int             NOT NULL DEFAULT(0),
    ReadyForTask            int             NOT NULL DEFAULT(0),
    TaskScheduled           int             NOT NULL DEFAULT(0),
    JobTaskScheduled        int             NOT NULL DEFAULT(0),
    TaskDispatched          int             NOT NULL DEFAULT(0),
    JobTaskDispatched       int             NOT NULL DEFAULT(0),
    TaskRunning             int             NOT NULL DEFAULT(0),
    CloseTask               int             NOT NULL DEFAULT(0),
    CloseTaskDispatched     int             NOT NULL DEFAULT(0),
    TaskClosed              int             NOT NULL DEFAULT(0),
    CloseJob                int             NOT NULL DEFAULT(0),
) 
GO

INSERT INTO ResourceCounter (Offline) VALUES (0)
GO


/*
** Create the NodeResourceCounter table
**
** This table is used to track resources on a per
** node basis.
*/

CREATE TABLE NodeResourceCounter
(
    NodeId                  int             NOT NULL PRIMARY KEY CLUSTERED, 
    Total                   int             NOT NULL DEFAULT(0),
    Offline                 int             NOT NULL DEFAULT(0),
    Idle                    int             NOT NULL DEFAULT(0),
    ScheduledReserve        int             NOT NULL DEFAULT(0),
    JobScheduled            int             NOT NULL DEFAULT(0),
    ReadyForTask            int             NOT NULL DEFAULT(0),
    TaskScheduled           int             NOT NULL DEFAULT(0),
    JobTaskScheduled        int             NOT NULL DEFAULT(0),
    TaskDispatched          int             NOT NULL DEFAULT(0),
    JobTaskDispatched       int             NOT NULL DEFAULT(0),
    TaskRunning             int             NOT NULL DEFAULT(0),
    CloseTask               int             NOT NULL DEFAULT(0),
    CloseTaskDispatched     int             NOT NULL DEFAULT(0),
    TaskClosed              int             NOT NULL DEFAULT(0),
    CloseJob                int             NOT NULL DEFAULT(0),
) 
GO



/*
** Create the JobCounter table
*/

CREATE TABLE JobCounter
(
    Id                      int             IDENTITY(1,1) NOT NULL PRIMARY KEY CLUSTERED, 
    Total                   int             NOT NULL DEFAULT(0),
    Configuring             int             NOT NULL DEFAULT(0),
    Submitted               int             NOT NULL DEFAULT(0),
    Validating              int             NOT NULL DEFAULT(0),
    ExternalValidation      int             NOT NULL DEFAULT(0),
    Queued                  int             NOT NULL DEFAULT(0),
    Running                 int             NOT NULL DEFAULT(0),
    Finishing               int             NOT NULL DEFAULT(0),
    Finished                int             NOT NULL DEFAULT(0),
    Failed                  int             NOT NULL DEFAULT(0),
    Canceled                int             NOT NULL DEFAULT(0),
    Canceling               int             NOT NULL DEFAULT(0),
) 
GO

INSERT INTO JobCounter (Configuring) VALUES (0)
GO

/*
** Create the TaskCounter table
*/

CREATE TABLE TaskCounter
(
    Id                      int             IDENTITY(1,1) NOT NULL PRIMARY KEY CLUSTERED, 
    Total                   int             NOT NULL DEFAULT(0),
    Configuring             int             NOT NULL DEFAULT(0),
    Submitted               int             NOT NULL DEFAULT(0),
    Validating              int             NOT NULL DEFAULT(0),
    Queued                  int             NOT NULL DEFAULT(0),
    Dispatching             int             NOT NULL DEFAULT(0),
    Running                 int             NOT NULL DEFAULT(0),
    Finishing               int             NOT NULL DEFAULT(0),
    Finished                int             NOT NULL DEFAULT(0),
    Failed                  int             NOT NULL DEFAULT(0),
    Canceled                int             NOT NULL DEFAULT(0),
    Canceling               int             NOT NULL DEFAULT(0),
) 
GO

INSERT INTO TaskCounter (Configuring) VALUES (0)
GO


/*
** Create the ParametricTaskCounter table
*/

CREATE TABLE ParametricTaskCounter
(
    RecordId                int             NOT NULL DEFAULT(0) PRIMARY KEY CLUSTERED,
    Total                   int             NOT NULL DEFAULT(0),
    Configuring             int             NOT NULL DEFAULT(0),
    Submitted               int             NOT NULL DEFAULT(0),
    Validating              int             NOT NULL DEFAULT(0),
    Queued                  int             NOT NULL DEFAULT(0),
    Dispatching             int             NOT NULL DEFAULT(0),
    Running                 int             NOT NULL DEFAULT(0),
    Finishing               int             NOT NULL DEFAULT(0),
    Finished                int             NOT NULL DEFAULT(0),
    Failed                  int             NOT NULL DEFAULT(0),
    Canceled                int             NOT NULL DEFAULT(0),
    Canceling               int             NOT NULL DEFAULT(0),
    FailedNonPreemption     int             NOT NULL DEFAULT(0),
) 
GO

/*
** Create the JobTaskCounter table
*/

CREATE TABLE JobTaskCounter
(
    JobId                   int             NOT NULL DEFAULT(0) PRIMARY KEY CLUSTERED,
    Total                   int             NOT NULL DEFAULT(0),
    Configuring             int             NOT NULL DEFAULT(0),
    Submitted               int             NOT NULL DEFAULT(0),
    Validating              int             NOT NULL DEFAULT(0),
    Queued                  int             NOT NULL DEFAULT(0),
    Dispatching             int             NOT NULL DEFAULT(0),
    Running                 int             NOT NULL DEFAULT(0),
    Finishing               int             NOT NULL DEFAULT(0),
    Finished                int             NOT NULL DEFAULT(0),
    Failed                  int             NOT NULL DEFAULT(0),
    Canceled                int             NOT NULL DEFAULT(0),
    Canceling               int             NOT NULL DEFAULT(0),
) 
GO

/*
** Create NodeName table
*/

CREATE TABLE NodeName
(
    Id                      int                 IDENTITY(1,1) NOT NULL PRIMARY KEY CLUSTERED, 
    Name                    nvarchar(50)        NOT NULL,
    Guid                    uniqueidentifier    NOT NULL,
    NumCores                int                 NOT NULL DEFAULT(0),
    NumSockets              int                 NOT NULL DEFAULT(0)
) 
GO

CREATE UNIQUE NONCLUSTERED INDEX IDX_NodeName_NodeNameGuid ON NodeName(Name,Guid)
GO
CREATE NONCLUSTERED INDEX IDX_NodeName_Guid on NodeName(GUID)
GO

/*
** Create NodeHistory table
*/

CREATE TABLE NodeHistory
(
    Id                      int             IDENTITY(1,1) NOT NULL PRIMARY KEY CLUSTERED, 
    Event                   int             NULL,
    NodeId                  int             NULL,
    EventTime               datetime        NULL,
    NameId                  int             NULL
) 
GO


/*
** Create Job History table
**
** This table has a record added each time that a job
** enters the 'Finished', 'Failed', or 'Canceled' state,
** and each time that a job's properties changed.
**
** Note that it is important that we log the JobRequeueCount
** each time we add a record.  This is due to a job possibly
** being run more than once (requeued).
*/

CREATE TABLE JobHistory
(
    Id                  int             IDENTITY(1,1) NOT NULL PRIMARY KEY CLUSTERED, 
    Event               int             NULL,
    EventTime           datetime        NULL,
    JobId               int             NULL,
    RequeueId           int             NULL,
    JobTemplateId       int             NULL,
    ProjectId           int             NULL,
    SubmitTime          datetime        NULL,
    StartTime           datetime        NULL,
    EndTime             datetime        NULL,
    HasGrown            bit             NOT NULL DEFAULT(0),
    HasShrunk           bit             NOT NULL DEFAULT(0),
    ActorSid            nvarchar(80)    NULL,
    CancelRequest       int             NULL,
	PoolId				int				NULL,
	ParentJobIds		nvarchar(4000)	NULL,
    ChildJobIds         nvarchar(4000)  NULL,
    Operator            nvarchar(50)    NULL,
    PropChange          nvarchar(4000)  NULL,
) 
GO

CREATE NONCLUSTERED INDEX IDX_JobHistory_JobId ON JobHistory ( JobId )
GO

CREATE NONCLUSTERED INDEX IDX_JobHistory_EventTime ON JobHistory ([EventTime]) INCLUDE ([Id])
GO

/*
** Create Job Dependency table
**
*/

CREATE TABLE JobDependency
(
    JobDependencyId     int             IDENTITY(1,1) NOT NULL PRIMARY KEY CLUSTERED, 
    ParentJobId         int             NOT NULL,
	ChildJobId          int             NOT NULL,
) 
GO

/*
** Create index for JobDependency table 
*/
CREATE INDEX IDX_JobDependency_ParentJobIds  ON JobDependency (ParentJobId)
GO

CREATE INDEX IDX_JobDependency_ChildJobIds  ON JobDependency (ChildJobId)
GO

/*
** Create a Job Source name table
**
** This table is used to store a list of unique
** job source names (CLI, PSH, AdminConsole, etc..)
**
** Insert the first record (ID = 1) which is 'unknown'
*/

CREATE TABLE ClientSourceName
(
    Id                  int             IDENTITY(1,1) NOT NULL PRIMARY KEY CLUSTERED, 
    Name                nvarchar(64)    NOT NULL
) 
GO

INSERT INTO ClientSourceName (Name) VALUES ('unknown')
GO

/*
** Create project name table
** 
** This table contains all the unique project names used on
** job objects within the scheduler
*/

CREATE TABLE JobProjectName
(
    Id                  int             IDENTITY(1,1) NOT NULL PRIMARY KEY CLUSTERED, 
    Name                nvarchar(80)    NOT NULL,
) 
GO

INSERT INTO JobProjectName (Name) VALUES ('')
GO

/*
** Create project name table
** 
** This table contains all the unique project names used on
** job objects within the scheduler
*/

CREATE TABLE Credential
(
    Id                  int             IDENTITY(1,1) NOT NULL PRIMARY KEY CLUSTERED, 
    RunAsId             int             NOT NULL DEFAULT(1),
    OwnerId             int             NOT NULL DEFAULT(1),
    Password            varbinary(800)  NULL,
    Reusable            bit             NOT NULL DEFAULT(1),
    Certificate         varbinary(max)  NULL,
	ExtendedData        nvarchar(max)   NULL,
) 
GO

CREATE NONCLUSTERED INDEX IDX_Credential_RunAsId ON Credential(RunAsId)
GO
CREATE NONCLUSTERED INDEX IDX_Credential_OwnerId ON Credential(OwnerId)
GO


INSERT INTO Credential (RunAsId, OwnerId, Password) VALUES (1, 1, NULL)
GO


/*
** Create the SID table
**
** This table contains a list of all the user SIDs
** within the scheduler.
*/

CREATE TABLE SID
(
    Id                  int             IDENTITY(1,1) NOT NULL PRIMARY KEY CLUSTERED,
    SID                 nvarchar(80)    NOT NULL DEFAULT(''),
    Name                nvarchar(80)    NOT NULL DEFAULT(''),
    UserRole			int				NULL,
) 
GO

INSERT INTO SID (SID, Name) VALUES ('', '')
GO


/*
** Create the RequestCancel table
**
** This table contains a list of the ID of all jobs having RequestCancel greater than 0
*/

CREATE TABLE JobCancelRequest
(
    JobId                  int             NOT NULL PRIMARY KEY CLUSTERED,
    Request                int             NOT NULL,
) 
GO

/*
** Create the RequestCancel table
**
** This table contains a list of the ID of all tasks having RequestCancel greater than 0
*/

CREATE TABLE TaskCancelRequest
(
    TaskId                  int             NOT NULL PRIMARY KEY CLUSTERED,
    Request                 int             NOT NULL,
) 
GO

/*
** Create Jobs table
*/

CREATE TABLE Job
(
    ID                  int             IDENTITY(1,1) NOT NULL PRIMARY KEY CLUSTERED, 
    Name                nvarchar(128)   NULL,
    CredentialId        int             NOT NULL DEFAULT(1),
    ProjectId           int             NOT NULL DEFAULT(1),
    Type                int             NULL,
    State               int             NULL CONSTRAINT [DF_Job_State]  DEFAULT ((0)),
    PrevState           int             NULL CONSTRAINT [DF_Job_PrevState]  DEFAULT ((0)),
    SubmitTime          datetime        NULL,
    CreateTime          datetime        NOT NULL DEFAULT(GETUTCDATE()),
    StartTime           datetime        NULL,
    EndTime             datetime        NULL,
    ChangeTime          datetime        NOT NULL DEFAULT(GETUTCDATE()),
    JobTemplateId       int             NULL,
    ExpandedPriority    int             NULL CONSTRAINT [DF_Job_JobPriority] DEFAULT ((NULL)), 
    NodeGroup           ntext           NULL,
    IsAuthenticated     bit             NOT NULL DEFAULT(0),
    IsBackfill          bit             NOT NULL DEFAULT(0),
    IsExclusive         bit             NULL,
    Runtime             int             NULL,
    RunUntilCancelled   bit             NULL,
    NextTaskID          int             NOT NULL DEFAULT (1),
    HasGrown            bit             NOT NULL DEFAULT(0),
    HasShrunk           bit             NOT NULL DEFAULT(0),
    Timestamp           timestamp       NOT NULL,
    WaitTime            int             NULL,
    TaskLevelUpdateTime datetime        NULL,
    MinMaxUpdateTime    datetime        NULL,
    RequeueCount        int             NOT NULL DEFAULT(0),
    AutoRequeueCount    int             NOT NULL DEFAULT(0),
    FailureReason       int             NOT NULL DEFAULT(0),
    FailOnTaskFailure   bit             NULL, 
    Preemptable         bit             NULL, 
    PendingReason       int             NOT NULL DEFAULT (0),
    ClientSourceId      int             NOT NULL DEFAULT (1),
    ExcludedNodes       nvarchar(max)   NULL,

    ErrorCode           int             NOT NULL DEFAULT((0)),
    ErrorParams         nvarchar(max)   NOT NULL DEFAULT(('')),
    AskedNodes          ntext           NULL,
    RequiredNodes       ntext           NULL,
    ClientVersion       nvarchar(32)    NULL,
    OrderBy             int             NOT NULL DEFAULT(0),
    SoftwareLicense     nvarchar(160)   NULL,       
    EndpointReference   nvarchar(256)   NULL,
    ServiceName         nvarchar(128)   NULL,   
    NumberOfCalls       bigint          NOT NULL DEFAULT(0),
    NumOfOutstandCalls  bigint          NOT NULL DEFAULT(0),
    CallDuration        bigint          NOT NULL DEFAULT(0),
    CallsPerSecond      bigint          NOT NULL DEFAULT(0),

    Progress            int             NULL,
    ProgressMessage     nvarchar(80)    NULL,

    HasNodePrepTask     bit             NOT NULL DEFAULT(0),
    HasNodeReleaseTask  bit             NOT NULL DEFAULT(0),
    HasServiceTask      bit             NOT NULL DEFAULT(0),
    IsMultiPhase        bit             NOT NULL DEFAULT(0),

    UnitType            int             NULL,
    MinCores            int             NULL,
    MaxCores            int             NULL,
    MinSockets          int             NULL,
    MaxSockets          int             NULL,
    MinNodes            int             NULL,
    MaxNodes            int             NULL,
    ComputedMinCores    int             NULL,
    ComputedMaxCores    int             NULL,
    ComputedMinSockets  int             NULL,
    ComputedMaxSockets  int             NULL,
    ComputedMinNodes    int             NULL,
    ComputedMaxNodes    int             NULL,
    ProfileMinResources int             NULL,
    ProfileMaxResources int             NULL,
    AutoCalcMax         bit             NULL,
    AutoCalcMin         bit             NULL,
    MinMemory           int             NULL,
    MaxMemory           int             NULL,
    MinProcsPerNode     int             NULL,
    MaxProcsPerNode     int             NULL,
    TargetResourceCount int             NULL,
    HoldUntil           datetime        NULL,
    
    NotifyOnStart       bit             NOT NULL DEFAULT(0),
    NotifyOnCompletion  bit             NOT NULL DEFAULT(0),
    ProxyNode           nvarchar(64)    NULL,        
    EmailAddress        nvarchar(256)   NULL,

    PoolId              int             NOT NULL DEFAULT(1),

    RuntimeType         int             NOT Null DEFAULT(0),


    NodeGroupOp         int             NULL,
    SelectedComputeNodeListId int       NOT NULL DEFAULT(-1),


    SingleNode          bit             NULL,
    JobValidExitCodes   nvarchar(256)   NULL,
    HasUnfinishedParentJobs   bit       NOT NULL DEFAULT(0),
    FailDependentTasks  bit             NOT NULL DEFAULT(0),
    HasParentJobs       bit             NOT NULL DEFAULT(0),
    EstimatedProcessMemory    int       NULL,
    TaskExecutionFailureRetryLimit int  NULL,
) 

GO


-- *** Below are the indices for scheduler internal use, and the queries they may cover ***

-- AdminJobScheduler.cs: 
--    ScheduleAdminJobs()
--        Fitler: State=Queued, Type=Admin  Sort: Priority desc, SubmitTime asc    Columns: NULL
--    CancelAdminJobs() Enumerator
--        Filter: State=Queued, Type=Admin, RequestCancel IS NOT NULL        Sort: NULL    
-- EventEngine.cs
--    CheckCancelJob() Enumerator
--        Filter: RequestCancel IS NOT NULL, State=Running  Sort: NULL    Columns: RequestCancel, Id
-- Preemption.cs: 
--    Monitor()
--        Filter: State=Running, Type=Batch  Sort: NULL
--  chooseJobsToPreempt()
--        Filter: State IN (Running, Canceling), Type=Batch, Preemptable=true  Sort: NULL
--    PreparePreemptionList()    Enumerator
--        Filter: State=Queued, Priority > (somevalue), Type IN (Batch, Service)    Sort: Priority desc        Columns: Lots
-- SchedulerStrategy.cs
--    generateJobListFromFilter()
--        Filter: State IN (Queued, Running), Type IN (Batch, Service) Sort: Priority desc, SubmitTime asc
-- JobMonitor.cs
--    StartMonitor()
--        Filter: State IN (Running, Canceling, Finishing)  Sort: NULL
-- QueuedJobScheduler.cs:
--    CancelQueuedJobs()
--        Filter: State=Queued, Type IN (Batch, Service, Broker), RequestCancel IS NOT NULL  Sort: NULL

-- The index below is built only if the state is Queued|Running|Finishing|Canceling
CREATE NONCLUSTERED INDEX IDX_Job_ForScheduler ON job (ExpandedPriority DESC, submittime ASC) INCLUDE (state, type, preemptable, HoldUntil) WHERE state IN (16, 32, 64, 1024)
GO

-- JobValidatorSingleThread.cs
--    validateJobChanges() Enumerator
--        Filter: State IN (Submitted, Validating)    Sort: Priority desc, SubmitTime asc        Columns: Lots
--        Filter: State=Submitted     Sort: Priority desc, SubmitTime asc        Columns: Lots
--    cancelJobs() Enumerator
--        Filter: State=Submitted, RequestCancel IS NOT NULL, Type=Batch        Sort: NULL        Columns: NULL
-- The index below is built only if the state is Submitted|Validating
CREATE NONCLUSTERED INDEX IDX_Job_ForValidator ON job (ExpandedPriority DESC, submittime ASC) INCLUDE (state, type) WHERE state IN (2,4)
GO

----

CREATE NONCLUSTERED INDEX IDX_Job_StateType ON job (state,type) 
GO
CREATE NONCLUSTERED INDEX IDX_Job_ProjectId ON job( ProjectId )
GO
CREATE NONCLUSTERED INDEX IDX_Job_CredentialId ON job( CredentialId )
GO

-- QueuedJobScheduler.cs:
-- RemoveHoldOnQueuedJobs
-- state = queued and holduntil is not null and holduntil < Datetime.now
 
CREATE NONCLUSTERED INDEX IDX_Job_HoldUntil ON job (HoldUntil ) where HoldUntil is not null
GO

CREATE NONCLUSTERED INDEX IDX_Job_State_HasUnfinishedParentJobs ON job (State, HasUnfinishedParentJobs) INCLUDE (ID, PendingReason, HasParentJobs)
GO

CREATE STATISTICS STAT_Job_StateType ON job( state, type )
go

/*Create Task Groups table*/

CREATE TABLE TaskGroup
(
    ID                  int             IDENTITY(1,1) NOT NULL PRIMARY KEY CLUSTERED,
    JobId               int             NOT NULL,
    Name                nvarchar(128)   NOT NULL DEFAULT ( N'.root' ),
    IsDefault           bit             NOT NULL DEFAULT(1),
    Level               int             NOT NULL DEFAULT(0),
    ModifyTime          datetime        NOT NULL DEFAULT(GETUTCDATE()),

    Total               int             NOT NULL DEFAULT(0),
    Configuring         int             NOT NULL DEFAULT(0),
    Submitted           int             NOT NULL DEFAULT(0),
    Validating          int             NOT NULL DEFAULT(0),
    Queued              int             NOT NULL DEFAULT(0),
    Dispatching         int             NOT NULL DEFAULT(0),
    Running             int             NOT NULL DEFAULT(0),
    Finishing           int             NOT NULL DEFAULT(0),
    Finished            int             NOT NULL DEFAULT(0),
    Failed              int             NOT NULL DEFAULT(0),
    Canceled            int             NOT NULL DEFAULT(0),
    Canceling           int             NOT NULL DEFAULT(0),

    MaxMinCores         int             NOT NULL DEFAULT(0),
    MaxMinNodes         int             NOT NULL DEFAULT(0),
    MaxMinSockets       int             NOT NULL DEFAULT(0),

    SumMaxCores         int             NOT NULL DEFAULT(0),
    SumMaxNodes         int             NOT NULL DEFAULT(0),
    SumMaxSockets       int             NOT NULL DEFAULT(0),
) 
GO

CREATE NONCLUSTERED INDEX IDX_TaskGroup_JobId ON TaskGroup(JobId)
CREATE NONCLUSTERED INDEX IDX_TaskGroup_JobId_IsDefault ON TaskGroup(JobId, IsDefault) INCLUDE (ID)
CREATE NONCLUSTERED INDEX IDX_TaskGroup_JobId_Name ON TaskGroup(JobId, Name) INCLUDE (ID)
CREATE NONCLUSTERED INDEX IDX_TaskGroup_Total ON TaskGroup(Total) INCLUDE ([JobId], [Configuring], [Submitted], [Validating], [Queued], [Dispatching], [Running], [Finishing], [Finished], [Failed], [Canceled], [Canceling])

GO

/*Create Task Group Dependency table*/

CREATE TABLE TaskGroupDependency
(
    JobId               int             NOT NULL,
    ParentId            int             NOT NULL,
    ChildId             int             NULL
) 
GO

CREATE UNIQUE CLUSTERED INDEX PK_TaskGroupDependency on TaskGroupDependency(JobId,ParentId,ChildId)
GO

/*Create Task table*/

CREATE TABLE Task 
(
    ID                  int         IDENTITY(1,1) NOT NULL PRIMARY KEY CLUSTERED,
    RecordID            int         NOT NULL,
    State               int         NULL CONSTRAINT [DF_Task_TaskState2]  DEFAULT ((0)),
    PrevState           int         NULL CONSTRAINT [DF_Task_TaskPrevState2]  DEFAULT ((0)),
    InstanceId          int         NULL,
    ParentJobId         int         NOT NULL,

    Closed              bit         NOT NULL DEFAULT(0),
    RequeueCount        int         Not NULL DEFAULT(0),
    AutoRequeueCount    int         Not NULL DEFAULT(0),
    ModifyTime          datetime    NOT NULL DEFAULT(GETUTCDATE()),
    SubmitTime          datetime    NULL,
    StartTime           datetime    NULL,
    EndTime             datetime    NULL,
    CreateTime          datetime    NOT NULL DEFAULT(GETUTCDATE()),
    Timestamp           timestamp   NOT NULL,
    PendingReason       int         NOT NULL DEFAULT (0),

    FailureReason       int             NOT NULL DEFAULT(0),
    ExitCode            int             NULL,
    FailedNodeId        int             NOT NULL DEFAULT(0),
    ErrorCode           int             NOT NULL DEFAULT ((0)),
    ErrorParams         nvarchar(max)   NOT NULL DEFAULT (('')),

    Output              ntext           NULL,
	ExecutionFailureRetryCount int  NOT NULL DEFAULT(0),
) 
GO

-- QueuedJobScheduler.cs
--    CancelQueuedTasks()
--        Filter: State=Queued, RequestCancel IS NOT NULL, ParentJobState=Queued (out), InstanceId<=0    Sort: NULL
--    CancelParametricSweepTasks()
--        Filter: State=Queued, RecordId=(recordId), InstanceId>=0    Sort: NULL
-- JobResourc.cs
--    CalcJobRequiredNodes()
--        Filter: State NOT IN (Canceled, Failed, Finished), RequiredNodes(out) IS NOT NULL, InstanceId>=0, ParentJobId=(jobid)    Sort: NULL
-- TaskScheduler.cs
--    ScheduleTasks()
--        Fitler: State=Queued, GroupId=(groupId) (out), InstanceId>=0, ParentJobId=(jobid)        Sort: NULL    
--  ScheduleTasks() Enumerator
--        Filter: State=Queued, GroupId=(groupId) (out), PendingReason<>DependencyNotDone, InstanceId>=0, ParentJobId=(jobid)    Sort: NULL        Columns: PendingReason
--    TryExpandParametricSweepTasks()
--        Filter: State IN (Queued, Running), GroupId=(groupId) (out), CurrentInstanceId>=0 (out), InstanceId=-1, ParentJobId=(jobid)        Sort: NULL
-- JobMonitor.cs
--    JobMonitor()
--        Filter: State=Failed, InstanceId>=0, ParentJobId=(jobid)    Sort: NULL
--    StartMonitorTasks() Enumerator
--        Filter: State IN (Dispatching, Running, Canceling, Finishing), InstanceId>=0, ParentJobId=(jobid)    Sort: NULL    Columns: lots
-- AdminJobScheduler.cs
--    ScheduleAdminJobs() Enumerator
--        Filter: State=Queued, InstanceId>=0, ParentJobId=(jobid)    Sort: NULL    Columns: RequiredNodes (out)
-- ValidateTasksRule.cs
--    Validate() Enumerator
--        Fitler: State=Submitted, InstanceId<=0, ParentJobId=(jobid)        Sort: NULL    Columns: NULL
--        Filter: State=Submitted, InstanceId<=0, ParentJobId=(jobid)        Sort: NULL    Columns: lots
-- JobStatusChangeWorkItem.cs
--    failAllTasks() Enumerator
--        Filter: State IN (Submitted, Validating, Queued), InstanceId>=0, ParentJobId=(jobid)    Sort: NULL    Columns: NULL
-- JobValidatorSingleThread.cs
--    validateTaskChanges()    Enumerator
--        Filter: State=Submitted, ParentJobState IN (Queued, Running) (out), RequeueCount>0, InstanceId>0    Sort: ParentJobId asc    Columns: lots
--        Filter: State=Submitted, ParentJobState IN (Queued, Running) (out), InstanceId<=0    Sort: ParentJobId asc    Columns: lots
--        Filter: State=Submitted, ParentJobState IN (Failed, Canceled) (out), InstanceId<=0     Sort: NULL    Columns: NULL
-- EventEngine.cs
--    CheckTaskClosed() Enumerator
--        Filter: Closed=true, State=Running, InstanceId>=0    Sort: NULL    Columns: ParentJobId, Id
--    CheckCancelTask() Enumerator
--        Filter: RequestCancel IS NOT NULL (out), State<>Canceling, ParentJobState=Running(out), InstanceId>=0    Sort: NULL    Columns: ParentJobId, Id, RequestCancel(out), State
--

-- We didn't change V2 indices for the task

CREATE NONCLUSTERED INDEX IDX_Task_RecordIdInstanceId ON Task(RecordId, InstanceId) INCLUDE (ParentJobId, State)
GO
CREATE NONCLUSTERED INDEX IDX_Task_ParentJobIdInstanceId ON Task(ParentJobId,InstanceId) INCLUDE ( RecordId, State )

GO
CREATE NONCLUSTERED INDEX IDX_Task_Submitted ON Task(ParentJobId, InstanceId) INCLUDE (RequeueCount) WHERE state = 2
GO
CREATE NONCLUSTERED INDEX IDX_Task_Closed ON Task(InstanceId, ParentJobId) WHERE closed = 1 AND state IN (32, 64, 1024)
GO
CREATE NONCLUSTERED INDEX IDX_Task_Failed ON Task(ParentJobId) INCLUDE(ID,InstanceID) WHERE state =256
GO


--
-- Let sql know this is a good index to use when searching by jobid.
--
CREATE STATISTICS STAT_Task_ParnetJobId ON Task( ParentJobId)
GO

/* Create the Tasks Settings table */
CREATE TABLE TaskDetail
(
    RecordID            int         IDENTITY(1,1) NOT NULL PRIMARY KEY CLUSTERED,
    NiceID              int         NOT NULL DEFAULT(1),
    MinCores            int         NULL,
    MaxCores            int         NULL,
    MinSockets          int         NULL,
    MaxSockets          int         NULL,
    MinNodes            int         NULL,
    MaxNodes            int         NULL,
    GroupId             int         NOT NULL,
    RunTime             int         NULL,
    
    -- Make sure (End - Start)/Increment + 1 = 1 for normal tasks
    StartValue          int         NOT NULL DEFAULT(0),  
    EndValue            int         NOT NULL DEFAULT(0),
    IncrementValue      int         NOT NULL DEFAULT(1),
    
    IsExclusive         bit         NULL,
    IsRerunnable        bit         NULL,
    HasCustomProps      bit         NOT NULL DEFAULT(0),
    
    -- The task type
    Type                int         NOT NULL DEFAULT(0),
    
    -- The last-expanded instance ID for dynamic expansion of parametric tasks
    CurrentInstanceId   int         NOT NULL DEFAULT(0),

    -- For service tasks, if set to 1, will prevent creation of new task instances
    IsServiceConcluded  bit         NOT NULL DEFAULT(0),

    Name                nvarchar(80)    NULL,

    CommandLine         ntext           NULL,

    WorkingDirectory    nvarchar(260)   NULL,

    RequiredNodes       ntext           NULL,

    DependsOnTasks      nvarchar(max)   NULL,
    StdOutFilePath      nvarchar(260)   NULL,
    StdInFilePath       nvarchar(260)   NULL,
    StdErrFilePath      nvarchar(260)   NULL,
    EncryptedUserBlob   varbinary(8000) NULL,
    FailJobOnFailure	bit             NOT NULL DEFAULT(0), 
    FailJobOnFailureCount int           NOT NULL DEFAULT(1),
    TaskValidExitCodes  nvarchar(256)   NULL,
	RequestedNodeGroup nvarchar(64)		NULL
) 
GO


-- TaskScheduler.cs
--    ScheduleTasks()
--        Fitler: State=Queued, GroupId=(groupId) (out), InstanceId>=0, ParentJobId=(jobid)        Sort: NULL    
--  ScheduleTasks() Enumerator
--        Filter: State=Queued, GroupId=(groupId) (out), PendingReason<>DependencyNotDone, InstanceId>=0, ParentJobId=(jobid)    Sort: NULL        Columns: PendingReason
--    TryExpandParametricSweepTasks()
--        Filter: State IN (Queued, Running), GroupId=(groupId) (out), CurrentInstanceId>=0 (out), InstanceId=-1, ParentJobId=(jobid)        Sort: NULL
-- Use groupId to query and hash match with tasks table, to support the above queries
CREATE NONCLUSTERED INDEX IDX_TaskDetail_GroupIdRecordId ON TaskDetail(GroupId, recordId) include (currentInstanceId, MinCores, MinSockets, MinNodes)
GO


/* 
** Create the task env var table 
*/

CREATE TABLE TaskEnvironmentVariable
(
    TaskId              int             NOT NULL DEFAULT(0),
    JobId               int             NOT NULL DEFAULT(0),
    VariableName        nvarchar(128)   NOT NULL,
    -- The length of Vairablevalue is 8192, which is limited in the file SchedulerCore\Store\EnvironementVars.cs
    VariableValue       nvarchar(max)  NOT NULL DEFAULT('')
) 

GO

CREATE NONCLUSTERED INDEX IDX_TaskEnvironmentVariable_TaskId ON TaskEnvironmentVariable 
(
    TaskId ASC
)
GO

CREATE CLUSTERED INDEX IDX_TaskEnvironmentVariable_JobId ON TaskEnvironmentVariable (JobId)
GO

/* 
** Create the Job env var table 
*/

CREATE TABLE JobEnvironmentVariable
(
    JobId               int             NOT NULL DEFAULT(0),
    VariableName        nvarchar(128)   NOT NULL,
    -- The length of Vairablevalue is 8192, which is limited in the file SchedulerCore\Store\EnvironementVars.cs
    VariableValue       nvarchar(max)   NOT NULL DEFAULT('')
) 

GO

CREATE CLUSTERED INDEX IDX_JobEnvironmentVariable_JobId ON JobEnvironmentVariable(JobId)
GO


/*
** Create job messages table
*/
CREATE TABLE JobMessage
(
    Id                      int         IDENTITY(1,1) NOT NULL PRIMARY KEY CLUSTERED,
    LastMessageTime         datetime    NOT NULL DEFAULT(GETUTCDATE()),
    JobId                   int         NOT NULL DEFAULT(0),
    MessageType             int         NOT NULL DEFAULT(0),
    MessageCode             int         NOT NULL DEFAULT(0),
    MessageSubCode          int         NOT NULL DEFAULT(0),
    MessageCount            int         NOT NULL DEFAULT(0),
    ExtraText            nvarchar(max)  NOT NULL DEFAULT('')
) 

GO 

CREATE NONCLUSTERED INDEX IDX_JobMessage_JobId ON JobMessage(JobId)
GO

CREATE TABLE JobShrinkRequest
(
    JobId               int             NOT NULL DEFAULT(0),
    ResourceId          int             NOT NULL DEFAULT(0),
    NodeId              int             NOT NULL DEFAULT(0),
    ShrinkRequest       int             NOT NULL DEFAULT(0)
) 

GO

CREATE CLUSTERED INDEX IDX_JobShrinkRequest_JobId ON JobShrinkRequest(JobId,ResourceId)
GO


/*
** Create Node table
*/

CREATE TABLE Node
(
    Id                      int                 IDENTITY(1,1) NOT NULL PRIMARY KEY CLUSTERED,
    GUID                    uniqueidentifier    NOT NULL,   
    Name                    nvarchar(64)        NOT NULL,
    Reachable               bit                 NOT NULL DEFAULT(1),
    SID                     nvarchar(128)       NOT NULL,
    NumCores                int                 NOT NULL,
    NumSockets              int                 NOT NULL,
    LastPingTime            datetime            NULL,
    OfflineTime             datetime            NULL,
    OnlineTime              datetime            NULL,
    MoveToOffline           bit                 NOT NULL DEFAULT(0),
    Timestamp               timestamp           NOT NULL,
    MemorySize              bigint              NOT NULL,
    CpuSpeed                int                 NULL,
    Tags                    nvarchar (256)      NULL,
    State                   int                 NOT NULL CONSTRAINT [DF_Node_State]  DEFAULT ((1)),
    PreviousState           int                 NOT NULL CONSTRAINT [DF_Node_PreviousState]  DEFAULT ((1)),
    
                                                --by default, every node could run admin, batch and service jobs    
    JobType                 int                 NOT NULL CONSTRAINT [DF_Node_JobType] DEFAULT ((7)),
    IsForcedOffline         bit                 NOT NULL DEFAULT(0),
    Availability            int                 NOT NULL DEFAULT(1),
    Affinity                bit                 NULL,
    -- For Azure

    Location                int                 NOT NULL DEFAULT(1), -- 1 is on premise
    AzureDeploymentId       nvarchar(64)        NULL,
    AzureNodeAddress        nvarchar(256)       NULL,

    DnsSuffix               nvarchar(256)       NULL,

	AzureNodeInstanceName   nvarchar(256)       NULL, 
	AzureNodeRoleName       nvarchar(256)       NULL,

	NumGpus					int                 NOT NULL DEFAULT(0)
) 

GO

Create nonclustered index IDX_Node_State on Node(State) include (Id)
GO
CREATE UNIQUE NONCLUSTERED INDEX IDX_Node_Name ON Node( Name )
GO
CREATE UNIQUE NONCLUSTERED INDEX IDX_Node_SID ON Node( SID )
GO
CREATE NONCLUSTERED INDEX IDX_Node_Reachable ON Node( reachable ) 
GO
CREATE STATISTICS STAT_Node_Reachable ON Node ( reachable )
GO


/*
** Create Resources table
*/

CREATE TABLE Resource
(
    ID                      int             IDENTITY(1,1) NOT NULL PRIMARY KEY CLUSTERED,
    NodeId                  int             NOT NULL,
    CoreID                  int             NOT NULL DEFAULT(0),
    SocketID                bigint          NOT NULL,
    JobID                   int             NULL DEFAULT(0),
    TaskID                  int             NULL DEFAULT(0),    
    State                   int             NOT NULL DEFAULT(0),
    PrevState               int             NOT NULL DEFAULT(0),
    JobPhase                int             NOT NULL DEFAULT(0),
    StartTime               datetime        NULL,
    EndTime                 datetime        NULL,
    LimitTime               datetime        NULL,
    ModifyTime              datetime        NULL,
    LastPingTime            datetime        NULL,
    MoveToOffline           bit             NOT NULL DEFAULT(0),
    RuntimeSeconds          int             NULL,
    RunUntilCancelled       bit             NOT NULL DEFAULT(0),
    DispatchTime            datetime        NULL,   
    Reachable               bit             NOT NULL DEFAULT(1),
    FirstTaskAllocation     bit             NOT NULL DEFAULT(0),
    JobType                 int             NOT NULL DEFAULT(7),
    Phantom                 bit             NOT NULL DEFAULT(0),
    IsAvailable             bit             NOT NULL DEFAULT(1),
    Timestamp               timestamp       NOT NULL,
	MemoryUsed              int             NOT NULL DEFAULT(0),

) 
GO

-- QueuedJobScheduler.cs
--    TakeResourceOffline()
--        Filter: State<>Offline, Phantom=false, NodeId=(nodeid)        Sort: NULL
--    TakeResourceOffline()    Enumerator
--        Filter: State=Idle, MoveToOffline=true    Sort: NULL        Columns: NULL
-- JobComputeMinMaxRule.cs
--    Validate()
--        Filter: JobType=(type)    Sort: NULL
-- JobResourceAllocationRule.cs
--    Validate()
--        Filter: JobType=(type)    Sort: NULL
-- RouterJobScheduler.cs    (CUT)
-- SchedulerResourcePool.cs
--    InitLists()    Enumerator
--        Filter: Reachable=true, JobType=Type, MoveToOffline=false, IsAvailable = true, JobId=(jobId)    Sort: NodeId asc, SocketId asc    Columns: lots
--        Filter: Reachable=true, JobType=Type, MoveToOffline=false, IsAvailable = true,                  Sort: NodeId asc, SocketId asc    Columns: lots
--    InitBasicPool() Enumerator
--        Filter: Reachable=true, JobType=Type, MoveToOffline=false    Sort: NodeId asc, SocketId asc        Columns: lots
-- EventEngine.cs
--    CheckUnreachableNode()    Enumerator
--        Filter: Reachable=false, JobId<>0    Sort: NodeId    Columns: JobId, TaskId, NodeName(out)
-- JobMonitor.cs
--    InitNodeTable()    Enumerator
--        Filter: JobId=(jobid)    Sort: NULL        Columns: lots
-- NodeListener.cs
--    SyncWithNode() Enumerator
--        Filter: NodeId=(nodeid), JobId<>0    Sort: NULL    Columns: JobId, TaskId, State, Id
-- TaskMonitor.cs
--    InitNodeTable() Enumerator
--        Filter: TaskId=(taskid)    Sort: NULL        Columns: lots

CREATE NONCLUSTERED INDEX IDX_Resource_JobIdNodeIdSocketId ON Resource(JobId, NodeId, SocketId) include (JobType, Reachable, MoveToOffline, IsAvailable)
go
CREATE NONCLUSTERED INDEX IDX_Resource_NodeIdSocketId ON Resource(NodeId, SocketId) include (JobType, Reachable, MoveToOffline, IsAvailable) 
go
CREATE NONCLUSTERED INDEX IDX_Resource_TaskId ON Resource(TaskId) 
go
CREATE NONCLUSTERED INDEX IDX_Resource_Unreachable ON Resource(Id) where Reachable = 0
go
CREATE NONCLUSTERED INDEX IDX_Resource_MoveToOffline ON Resource(Id)  where MoveToOffline = 1 
go
CREATE NONCLUSTERED INDEX IDX_Resource_Reachable_JobId ON Resource(Reachable, JobID) INCLUDE ([ID], [NodeId], [TaskID])
CREATE NONCLUSTERED INDEX IDX_Resource_MoveToOffline_Reachable ON Resource([MoveToOffline], [Reachable], [IsAvailable],[State]) INCLUDE ([ID], [NodeId], [CoreID], [SocketID], [JobID], [TaskID], [JobPhase], [LimitTime], [RuntimeSeconds], [FirstTaskAllocation], [JobType], [Phantom], [MemoryUsed])
go


CREATE TABLE ResourceReservation
(
    ResourceId              int             NOT NULL PRIMARY KEY CLUSTERED,
    ReserveLimit            datetime        NULL,
    ReserveJobID            int             NOT NULL DEFAULT(0)
) 
GO



/*
** Create JobTemplate table
*/

CREATE TABLE JobTemplate
(
    Id                      int             IDENTITY(1,1) NOT NULL PRIMARY KEY CLUSTERED,
    Name                    nvarchar(50)    unique NULL,
    Enabled                 bit             NOT NULL CONSTRAINT [DF_JobTemplate_Enabled]  DEFAULT (1),
    CreateTime              datetime        NOT NULL DEFAULT(GETUTCDATE()),
    ModifyTime              datetime        NULL,
    TimeStamp               timestamp       NOT NULL,
    SecurityDescriptor      nvarchar(2000)  NULL,
    Description             nvarchar(255)   NULL,
) 

GO

CREATE UNIQUE NONCLUSTERED INDEX IDX_JobTemplate_Name ON JobTemplate(Name)
GO


/*
** Create profile items table
*/

CREATE TABLE JobTemplateItem
(
    Id                      int             IDENTITY(1,1) NOT NULL PRIMARY KEY CLUSTERED,
    JobTemplateId           int             NOT NULL,
    PropId                  int             NOT NULL,
    PropType                int             NOT NULL,
    DefaultInt              int             NOT NULL CONSTRAINT [DF_JobTemplateItem_ItemDefaultInt]  DEFAULT ((0)),
    MaxInt                  int             NOT NULL CONSTRAINT [DF_JobTemplateItem_ItemMaxInt]  DEFAULT ((0)),
    MinInt                  int             NOT NULL CONSTRAINT [DF_JobTemplateItem_ItemMinInt]  DEFAULT ((0)),
    PropName                nvarchar(50)    NULL,
    ReadOnly                bit             NOT NULL,
    DefaultBool             bit             NULL,
    DefaultString           nvarchar(max)   NULL,
    StringValues            nvarchar(max)   NULL,
    DefaultEnum             int             NULL,
    EnumValues              nvarchar(128)   NULL,
    BoolValues              nvarchar(64)    NULL,
    RequiredValues          nvarchar(max)   NULL
) 
GO

CREATE NONCLUSTERED INDEX IDX_JobTemplateItem_JobTemplateId ON JobTemplateItem(JobTemplateId)
GO


/*
** Create allocation history table
** NOTE NODEID: is actually nodenameid, ie index into the node name table 
*/
if SERVERPROPERTY('productversion') >= '11'
BEGIN
	DECLARE @SQLString nvarchar(1000); 
	SET @SQLString =N'
CREATE TABLE AllocationHistory
(	
    Id                      int             NOT NULL PRIMARY KEY CLUSTERED DEFAULT(NEXT VALUE FOR [dbo].[AllocationHistoryId]),
    ResourceId              int             NOT NULL,
    CoreId                  int             NOT NULL,
    SocketId                bigint          NOT NULL,
    NodeId                  int             NOT NULL,
    JobId                   int             NOT NULL,
    TaskId                  int             NOT NULL DEFAULT(0), 
    JobRequeueCount         int             NOT NULL DEFAULT(0),
    TaskRequeueCount        int             NOT NULL DEFAULT(0),
    StartTime               datetime        NULL,
    EndTime                 datetime        NULL,
    ModifyTime              datetime        NULL,
)'
	EXECUTE sp_executesql @SQLString
End
ELSE
CREATE TABLE AllocationHistory
(
    Id                      int             IDENTITY(1,1) NOT NULL PRIMARY KEY CLUSTERED,
    ResourceId              int             NOT NULL,
    CoreId                  int             NOT NULL,
    SocketId                bigint          NOT NULL,
    NodeId                  int             NOT NULL,
    JobId                   int             NOT NULL,
    TaskId                  int             NOT NULL DEFAULT(0), 
    JobRequeueCount         int             NOT NULL DEFAULT(0),
    TaskRequeueCount        int             NOT NULL DEFAULT(0),
    StartTime               datetime        NULL,
    EndTime                 datetime        NULL,
    ModifyTime              datetime        NULL,
) 
GO

CREATE NONCLUSTERED INDEX IDX_AllocationHistory_TaskIdTaskRequeueCount on allocationhistory ( TaskId, TaskRequeueCount )
GO

-- The included items are for the following update operation:
--    update AllocationHistory
--    set EndTime = EndTime, ModifyTime = ModifyTime
--    where
    --jobId=219 AND
    --taskId=0 AND
    --jobRequeuecount=0 AND
    --resourceId in (...)

CREATE NONCLUSTERED INDEX IDX_AllocationHistory_JobIdTaskIdJobRequeueCount 
    ON allocationhistory( JobId, TaskId, jobrequeuecount, EndTime ) INCLUDE (ResourceId, NodeId)
GO

-- This is for reporting service to do fast staging
CREATE NONCLUSTERED INDEX [IDX_AllocationHistory_Stage] 
    ON [dbo].[AllocationHistory] ([ModifyTime] ASC,[TaskId] ASC) INCLUDE ( [Id])
GO


/*
** Create NodeAllocationHistory table 
*/

CREATE TABLE NodeAllocationHistory
(
    Id                      int             IDENTITY(1,1) NOT NULL PRIMARY KEY CLUSTERED,
    NodeId                  int             NOT NULL,
    JobId                   int             NOT NULL,
    TaskId                  int             NOT NULL DEFAULT(0),
    JobRequeueCount         int             NOT NULL DEFAULT(0),
    TaskRequeueCount        int             NOT NULL DEFAULT(0),
    KernelTime              bigint          NOT NULL DEFAULT(0),
    UserTime                bigint          NOT NULL DEFAULT(0),
    PIDS                    nvarchar(128)   NOT NULL DEFAULT(''),
    NumProcesses            int             NOT NULL DEFAULT(0),
    MemoryUsed              bigint          NOT NULL DEFAULT(0)
) 
GO    

CREATE NONCLUSTERED INDEX IDX_NodeAllocationHistory_JobId_JobRequeueCount ON [dbo].[NodeAllocationHistory] ([JobId], [JobRequeueCount]) INCLUDE ([UserTime], MemoryUsed, KernelTime)
GO
CREATE NONCLUSTERED INDEX IDX_NodeAllocationHistory_TaskIdNodeId ON nodeallocationhistory( TaskId, NodeId )
GO

/*
** Create property name table
**
** This table is used to keep a list of user defined
** properties (extended terms)
**
** Note that the id range for custom properties begins
** at 10K.
*/

CREATE TABLE CustomPropertyName
(
    Id                      int             IDENTITY(10000,1) NOT NULL PRIMARY KEY CLUSTERED,
    PropType                int             NOT NULL,
    PropName                nvarchar(128)   NOT NULL,
    ObjectType              int             NOT NULL,
    CreateTime              datetime        NOT NULL,
    CreatedBy               nvarchar(128)   NOT NULL,
    PropDescription         nvarchar(255)   NOT NULL
) 
GO

CREATE NONCLUSTERED INDEX IDX_CustomPropertyName_ObjectType ON CustomPropertyName( ObjectType )
GO

/*
** Create job extended property table
**
** This table is used to store user defined (extended terms)
** for jobs within the system.
** 
** The PropertyId is an id that exists within the CustomPropertyName table.
*/

CREATE TABLE ExtendedJobProperty
(
    JobId                   int             NOT NULL, 
    PropertyId              int             NOT NULL, 
    StringValue             nvarchar(128)   NOT NULL
) 
GO

CREATE CLUSTERED INDEX PK_ExtendedJobProperty ON ExtendedJobProperty( JobID, PropertyID )
GO
CREATE NONCLUSTERED INDEX IDX_ExtendedJobProperty_PropertyId ON ExtendedJobProperty( PropertyId )
GO

/*
** Create task extended property table
**
** This table is used to store user define (extended terms) 
** for tasks within the system.
**
** Note that the JobId is stored on the records to make 
** cleanup of the table easier when jobs are deleted from the
** database.
*/

CREATE TABLE ExtendedTaskProperty
(
    TaskId                  int             NOT NULL,
    JobId                   int             NOT NULL DEFAULT(0),
    PropertyId              int             NOT NULL,
    StringValue             nvarchar(128)   NOT NULL
) 
GO

CREATE CLUSTERED INDEX PK_ExtendedTaskProperty ON ExtendedTaskProperty( TaskId, PropertyId )
GO
CREATE NONCLUSTERED INDEX IDX_ExtendedTaskProperty_PropertyId ON ExtendedTaskProperty( PropertyId )
GO
CREATE NONCLUSTERED INDEX IDX_ExtendedTaskProperty_JobId ON ExtendedTaskProperty (JobId)
GO

/* Cluster parameter table */

CREATE TABLE ClusterParameter
(
    ParamName               nvarchar(128)   NOT NULL,
    StringValue              nvarchar(2048)  NULL,
    BinaryValue             varbinary(800)  NULL
) 
GO
CREATE CLUSTERED INDEX PK_ClusterParameter ON ClusterParameter(ParamName)
GO

/* Azure deployment table */

CREATE TABLE AzureDeployment
(
	DeploymentId			nvarchar(64)	NOT NULL PRIMARY KEY CLUSTERED,
	SubscriptionId			nvarchar(128)	NULL,
	ServiceName				nvarchar(128)	NULL,
	EncryptedStorageConnectionString varbinary(max) NULL,
	ProxyMultiplicity		int				NOT NULL DEFAULT(1)
) 
GO

CREATE TABLE Pool
(
    Id                      int             IDENTITY(1,1) NOT NULL PRIMARY KEY CLUSTERED,
    Name                    nvarchar(64)    NOT NULL,
    Weight                  int             NOT NULL DEFAULT(0),
)  
GO

INSERT INTO Pool (Name, Weight) VALUES ('Default',100)
GO

/*
** Table of Numbers from 1 to 1000000, created using Ackermann's function
** Used for batch parametric insertion
*/
CREATE TABLE Numbers 
( 
	Number int NOT NULL PRIMARY KEY CLUSTERED 
)
GO

with num10 as
	( select 1 as a 
	union all select 2 as a 
	union all select 3 as a 
	union all select 4 as a 
	union all select 5 as a 
	union all select 6 as a 
	union all select 7 as a 
	union all select 8 as a 
	union all select 9 as a 
	union all select 10 as a 
	),
	num1000 as 
	( select 1 as b 
		from num10 as x 
		cross join num10 as y 
		cross join num10 as z )
insert Numbers(Number)
	select row_number() over ( order by x1000.b ) 
		from num1000 as x1000 cross join num1000 as x1000000
GO

if type_id('int_list') is null
create type int_list as table (id int not null primary key)

if type_id('int3_list') is null
create type int3_list as table (v1 int not null, v2 int not null, v3 int not null, primary key (v1, v2, v3))
go

if object_id('fn_GetTaskState') is not null
drop function fn_GetTaskState
go

create function fn_GetTaskState(@name as nvarchar(max))
returns int
begin
    return case
        when @name = 'Configuring' then 0x1
        when @name = 'Submitted' then 0x2
        when @name = 'Validating' then 0x4
        when @name = 'Queued' then 0x8
        when @name = 'Dispatching' then 0x10
        when @name = 'Running' then 0x20
        when @name = 'Finishing' then 0x40
        when @name = 'Finished' then 0x80
        when @name = 'Failed' then 0x100
        when @name = 'Canceled' then 0x200
        when @name = 'Canceling' then 0x400
        when @name = 'All' then 0x7FF
        else 0
    end
end
go

if object_id('v_TaskGroup') is not null
    drop view v_TaskGroup
go
create view v_TaskGroup as
select tg.JobID, tg.ID
, COUNT(case when (t.State & dbo.fn_GetTaskState(N'Configuring') > 0) then 1 else null end) as Configuring
, COUNT(case when (t.State & dbo.fn_GetTaskState(N'Submitted') > 0) then 1 else null end) as Submitted
, COUNT(case when (t.State & dbo.fn_GetTaskState(N'Validating') > 0) then 1 else null end) as Validating
, COUNT(case when (t.State & dbo.fn_GetTaskState(N'Queued') > 0) then 1 else null end) as Queued
, COUNT(case when (t.State & dbo.fn_GetTaskState(N'Dispatching') > 0) then 1 else null end) as Dispatching
, COUNT(case when (t.State & dbo.fn_GetTaskState(N'Running') > 0) then 1 else null end) as Running
, COUNT(case when (t.State & dbo.fn_GetTaskState(N'Finishing') > 0) then 1 else null end) as Finishing
, COUNT(case when (t.State & dbo.fn_GetTaskState(N'Finished') > 0) then 1 else null end) as Finished
, COUNT(case when (t.State & dbo.fn_GetTaskState(N'Failed') > 0) then 1 else null end) as Failed
, COUNT(case when (t.State & dbo.fn_GetTaskState(N'Canceled') > 0) then 1 else null end) as Canceled
, COUNT(case when (t.State & dbo.fn_GetTaskState(N'Canceling') > 0) then 1 else null end) as Canceling
from TaskGroup tg
left join TaskDetail td on td.GroupId = tg.id
left join Task t on td.RecordID = t.RecordID
group by tg.JobId, tg.ID

go 

SET ANSI_PADDING OFF
go

SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO

/*
** SP_CreateJobDefaultTaskGroup
**
** This procedure is used to create the default task group
** for a new job.
*/

IF EXISTS (SELECT id FROM sysobjects WHERE id=object_id(N'SP_CreateJobDefaultTaskGroup'))
DROP PROCEDURE SP_CreateJobDefaultTaskGroup
GO

CREATE PROCEDURE SP_CreateJobDefaultTaskGroup(
    @jobId              int,
    @name               nvarchar(128),
    @now                datetime,
    @newId              int out
)
AS
BEGIN

    INSERT INTO TaskGroup
        (JobId, Name, ModifyTime, IsDefault, Level)
    VALUES
        (@jobId, @name, @now, 1, 0)

    SET @newId = @@IDENTITY

    INSERT INTO TaskGroupDependency
        (JobId, ParentId, ChildId)
    VALUES
        (@jobId, @newId, 0)

END
GO

/*
** UpdateTaskGroupsMaxMinCores
**
** This procedure is used to update the MaxMinCores
** for TaskGroups to a new value.
*/

IF EXISTS (SELECT id from sysobjects WHERE id=object_id(N'SP_UpdateTaskGroupsMaxMinCores'))
DROP PROCEDURE SP_UpdateTaskGroupsMaxMinCores
GO

CREATE PROCEDURE SP_UpdateTaskGroupsMaxMinCores(
    @parentJobId        int,
    @taskgroupIds       int_list readonly
    )
AS
BEGIN
    UPDATE tg SET 
        tg.MaxMinCores= 
            (              
                    SELECT COALESCE( MAX(TaskDetail.MinCores),0)
                     -- We can put it here because this query is executed every 30 seconds
                     -- And if we miss the task state change once we can get it the next time anyway
                    FROM Task WITH (NOLOCK) 
                    INNER JOIN TaskDetail
                    ON TaskDetail.RecordId = Task.RecordId
                    WHERE TaskDetail.GroupId = tg.ID
                    AND Task.ParentJobId = @parentJobId
                    AND NOT (Task.State in (0x80, 0x100, 0x200)) 
                    AND ( Task.InstanceId = 0 or Task.InstanceId = -1)
             )       
    FROM TaskGroup tg
    WHERE tg.ID IN (SELECT ID FROM @taskgroupIds)
END
GO

/*
** UpdateTaskGroupMaxMinCores
**
** This procedure is used to update the MaxMinCores
** for a TaskGroup to a new value, if the new value
** is greater than the current value.
*/

IF EXISTS (SELECT id from sysobjects WHERE id=object_id(N'SP_UpdateTaskGroupMaxMinCores'))
DROP PROCEDURE SP_UpdateTaskGroupMaxMinCores
GO

CREATE PROCEDURE SP_UpdateTaskGroupMaxMinCores(
    @parentJobId        int,
    @taskgroupId        int,
    @value              int,
    @origvalue          int
    )
AS
BEGIN
    UPDATE TaskGroup SET 
        MaxMinCores= 
        CASE WHEN MaxMinCores < @value THEN @value 
        ELSE CASE WHEN MaxMinCores = @origValue THEN
            (                             
                    SELECT COALESCE( MAX(TaskDetail.MinCores),0)
                     -- We can put it here because this query is executed every 30 seconds
                     -- And if we miss the task state change once we can get it the next time anyway
                    FROM Task WITH (NOLOCK) 
                    INNER JOIN TaskDetail
                    ON TaskDetail.RecordId = Task.RecordId
                    WHERE TaskDetail.GroupId = @taskgroupId
                    AND Task.ParentJobId = @parentJobId
                    AND NOT (Task.State in (0x80, 0x100, 0x200)) 
                    AND ( Task.InstanceId = 0 or Task.InstanceId = -1)
             )       
            ELSE MaxMinCores END
        END
    WHERE ID=@taskgroupId
END
GO

/*
** UpdateTaskGroupsMaxMinNodes
**
** This procedure is used to update the MaxMinNodes
** for TaskGroups to a new value.
*/

IF EXISTS (SELECT id from sysobjects WHERE id=object_id(N'SP_UpdateTaskGroupsMaxMinNodes'))
DROP PROCEDURE SP_UpdateTaskGroupsMaxMinNodes
GO

CREATE PROCEDURE SP_UpdateTaskGroupsMaxMinNodes(
    @parentJobId        int,
    @taskgroupIds       int_list readonly
    )
AS
BEGIN
    UPDATE tg SET 
        tg.MaxMinCores= 
            (              
                    SELECT COALESCE( MAX(TaskDetail.MinNodes),0)
                     -- We can put it here because this query is executed every 30 seconds
                     -- And if we miss the task state change once we can get it the next time anyway
                    FROM Task WITH (NOLOCK) 
                    INNER JOIN TaskDetail
                    ON TaskDetail.RecordId = Task.RecordId
                    WHERE TaskDetail.GroupId = tg.ID
                    AND Task.ParentJobId = @parentJobId
                    AND NOT (Task.State in (0x80, 0x100, 0x200)) 
                    AND ( Task.InstanceId = 0 or Task.InstanceId = -1)
             )       
    FROM TaskGroup tg
    WHERE tg.ID IN (SELECT ID FROM @taskgroupIds)
END
GO

/*
** UpdateTaskGroupMaxMinNodes
**
** This procedure is used to update the MaxMinNodes
** for a TaskGroup to a new value, if the new value
** is greater than the current value.
*/

IF EXISTS (SELECT id from sysobjects WHERE id=object_id(N'SP_UpdateTaskGroupMaxMinNodes'))
DROP PROCEDURE SP_UpdateTaskGroupMaxMinNodes
GO

CREATE PROCEDURE SP_UpdateTaskGroupMaxMinNodes(
    @parentJobId        int,
    @taskgroupId        int,
    @value              int,
    @origvalue          int
    )
AS
BEGIN
    UPDATE TaskGroup SET 
        MaxMinNodes= 
        CASE WHEN MaxMinNodes < @value THEN @value 
        ELSE CASE WHEN MaxMinNodes = @origValue THEN
            (
                    SELECT COALESCE( MAX(TaskDetail.MinNodes), 0)
                    FROM Task
                    INNER JOIN TaskDetail
                    ON TaskDetail.RecordId = Task.RecordId
                    WHERE TaskDetail.GroupId = @taskgroupId
                    AND Task.ParentJobId = @parentJobId
                    AND NOT (Task.State in (0x80, 0x100, 0x200)) 
                    AND ( Task.InstanceId = 0 or Task.InstanceId = -1)
            )
            ELSE MaxMinNodes END
        END
    WHERE ID=@taskgroupId
END
GO

/*
** UpdateTaskGroupsMaxMinSockets
**
** This procedure is used to update the MaxMinSockets
** for TaskGroups to a new value.
*/

IF EXISTS (SELECT id from sysobjects WHERE id=object_id(N'SP_UpdateTaskGroupsMaxMinSockets'))
DROP PROCEDURE SP_UpdateTaskGroupsMaxMinSockets
GO

CREATE PROCEDURE SP_UpdateTaskGroupsMaxMinSockets(
    @parentJobId        int,
    @taskgroupIds       int_list readonly
    )
AS
BEGIN
    UPDATE tg SET 
        tg.MaxMinCores= 
            (              
                    SELECT COALESCE( MAX(TaskDetail.MinSockets),0)
                     -- We can put it here because this query is executed every 30 seconds
                     -- And if we miss the task state change once we can get it the next time anyway
                    FROM Task WITH (NOLOCK) 
                    INNER JOIN TaskDetail
                    ON TaskDetail.RecordId = Task.RecordId
                    WHERE TaskDetail.GroupId = tg.ID
                    AND Task.ParentJobId = @parentJobId
                    AND NOT (Task.State in (0x80, 0x100, 0x200)) 
                    AND ( Task.InstanceId = 0 or Task.InstanceId = -1)
             )       
    FROM TaskGroup tg
    WHERE tg.ID IN (SELECT ID FROM @taskgroupIds)
END
GO

/*
** UpdateTaskGroupMaxMinSockets
**
** This procedure is used to update the MaxMinSockets
** for a TaskGroup to a new value, if the new value
** is greater than the current value.
*/

IF EXISTS (SELECT id from sysobjects WHERE id=object_id(N'SP_UpdateTaskGroupMaxMinSockets'))
DROP PROCEDURE SP_UpdateTaskGroupMaxMinSockets
GO

CREATE PROCEDURE SP_UpdateTaskGroupMaxMinSockets(
    @parentJobId        int,
    @taskgroupId        int,
    @value              int,
    @origvalue          int
    )
AS
BEGIN
    UPDATE TaskGroup SET 
        MaxMinSockets= 
        CASE WHEN MaxMinSockets < @value THEN @value 
        ELSE CASE WHEN MaxMinSockets = @origValue THEN
            (
                    SELECT COALESCE( MAX(TaskDetail.MinSockets), 0)
                    FROM Task
                    INNER JOIN TaskDetail
                    ON TaskDetail.RecordId = Task.RecordId
                    WHERE TaskDetail.GroupId = @taskgroupId
                    AND Task.ParentJobId = @parentJobId
                    AND NOT (Task.State in (0x80, 0x100, 0x200)) 
                    AND ( Task.InstanceId = 0 or Task.InstanceId = -1)
            )
            ELSE MaxMinSockets END
        END
    WHERE ID=@taskgroupId
END
GO

/*
** Create a function to compute the number of unexpanded parametric task instances
*/

IF EXISTS (SELECT id from sysobjects WHERE id=object_id(N'F_NumUnexpandedTasks'))
DROP FUNCTION F_NumUnexpandedTasks
GO

CREATE FUNCTION F_NumUnexpandedTasks(
    @startValue         int,
    @endValue           int,
    @incrementValue     int,
    @currentInstanceId  int
)
RETURNS int
AS
BEGIN
    DECLARE @count as int
    DECLARE @tmpCount as int 
    
    SET @tmpCount = (@endValue - @startValue) / @incrementValue + 1 - @currentInstanceId
    SET @count = CASE
        WHEN (@currentInstanceId < 0 OR @tmpCount < 0) THEN 0
        ELSE @tmpCount
    END
    RETURN(@count)
END
GO

/*
** Create the SubmitParametricTask SP
**
** This procedure will submit all sub tasks of a configuring parametric sweep master task
*/

IF EXISTS (SELECT id from sysobjects WHERE id=object_id(N'SP_SubmitParametricTask'))
DROP PROCEDURE SP_SubmitParametricTask
GO


CREATE PROCEDURE SP_SubmitParametricTask(
    @recordId              int,
    @jobId                 int,
    @now                datetime
    )
AS
BEGIN

    SET NOCOUNT OFF

    -- Submit all the tasks
    DECLARE @allCount as int

    UPDATE Task SET
        State=2, PrevState=1, SubmitTime=@now, ModifyTime=@now
    WHERE
        RecordId=@recordId AND State=1 
        
    SET @allCount = @@ROWCOUNT

    -- Calculate the total size of all parametric sweep tasks
    DECLARE @paramTasksCount as int

    SELECT @paramTasksCount =
    SUM(dbo.F_NumUnexpandedTasks(StartValue, EndValue, IncrementValue, CurrentInstanceId))
    FROM TaskDetail    
    WHERE TaskDetail.RecordId=@recordId

    -- Now we need to update the task counts for the job
    -- taking into account the number of rows that were
    -- just changed minus the master records, and plus the size of parametric sweep tasks
    -- NOTE here we assume none of the parametric sweep tasks has already been expanded.
    
    DECLARE @count as int
    SET @count = @allCount + @paramTasksCount
    SET NOCOUNT ON

    ---- 
    ---- Ensure this ordering remains consistent with other updates to avoid deadlocks.
    ----
    
    -- Update the TaskGroup counters
    UPDATE TaskGroup SET
        Submitted = Submitted + Configuring, Configuring = 0
    WHERE JobId=@jobId
    
    -- Update the task counters for the Job        
    UPDATE JobTaskCounter SET
        Configuring = Configuring - @count, Submitted = Submitted + @count
    WHERE 
        JobId=@jobId

    -- Update the master counters for the store
    UPDATE TaskCounter SET
        Configuring = Configuring - @count, Submitted = Submitted + @count
        
    -- Update any parametric task counters
    UPDATE ParametricTaskCounter SET 
        Configuring = 0, Submitted = Submitted + Configuring
    WHERE recordId = @recordId

    SET NOCOUNT ON
    
    
END
GO


/*
** Create the QueueParametricTasksFromSubmitted SP
**
** This procedure will Queue the parametric tasks of
** a master parametric record and update the task
** counters appropriately.
**
*/

IF EXISTS (SELECT id from sysobjects WHERE id=object_id(N'SP_QueueParametricTasksFromSubmitted'))
DROP PROCEDURE SP_QueueParametricTasksFromSubmitted
GO

CREATE PROCEDURE SP_QueueParametricTasksFromSubmitted(
    @recordId           int,
    @now                datetime,
    @expandedCount      int out            
)
AS
BEGIN
    SET NOCOUNT OFF
    
    -- Update the master task and expanded sub-tasks
    UPDATE Task SET
        PrevState=2, State=8, ModifyTime=@now
    WHERE 
        (State=1 OR State=2) AND RecordId=@recordId
     
    SET @expandedCount = @@ROWCOUNT
           
    SET NOCOUNT ON
END
GO

/*
** Create the FailParametricTasksFromSubmitted SP
**
** This procedure will fail the parametric tasks of
** a master parametric record and update the task
** counters appropriately.
**
*/

IF EXISTS (SELECT id from sysobjects WHERE id=object_id(N'SP_FailParametricTasksFromSubmitted'))
DROP PROCEDURE SP_FailParametricTasksFromSubmitted
GO

CREATE PROCEDURE SP_FailParametricTasksFromSubmitted(
    @recordId           int,
    @now                datetime,    
    @expandedCount      int out            
)
AS
BEGIN
    SET NOCOUNT OFF
    
    -- Update both the master task and expanded sub-tasks
    UPDATE Task SET
        PrevState=2, State=256, ModifyTime=@now
    WHERE 
        -- The sub-task may be in the Queued while the parent job is still validating
        -- The master task may have already been failed by the validator.  However,
        -- we still want to mark the previous state as Submitted.
        (State IN (1, 2, 8) OR InstanceId = -1) AND RecordId=@recordId
                             
    SET @expandedCount = @@ROWCOUNT - 1

    SET NOCOUNT ON    
END
GO

/*
** Create the SetCancelParametricTasks SP
**
** This procedure will set the RequestCancel the parametric tasks of
** a master parametric record.
**
*/

IF EXISTS (SELECT id from sysobjects WHERE id=object_id(N'SP_SetCancelParametricTasks'))
DROP PROCEDURE SP_SetCancelParametricTasks
GO

CREATE PROCEDURE SP_SetCancelParametricTasks(
    @recordId           int,
    @cancelRequest      int,
    @now                datetime,
    @errorCode          int
)
AS
BEGIN
    SET NOCOUNT OFF

    UPDATE Task
    SET 
        Task.ModifyTime=@now,
        Task.ErrorCode=@errorCode
    WHERE 
        Task.InstanceId > 0 AND Task.RecordId=@recordId
    
    DELETE FROM TaskCancelRequest 
    WHERE
        TaskCancelRequest.TaskId IN (
            SELECT TaskCancelRequest.TaskId
            FROM TaskCancelRequest
            INNER JOIN Task ON Task.Id = TaskCancelRequest.TaskId
            WHERE Task.RecordId=@recordId 
        ) 

    INSERT INTO TaskCancelRequest (TaskId, Request)
    SELECT Id, @cancelRequest
    FROM Task
    WHERE Task.RecordId=@recordId
        
    SET NOCOUNT ON
END
GO


/*
** Create the SP_BatchInsertParametricChild SP
**
** This store procedure will insert a range of new parametric records in Task table
**
*/

IF EXISTS (SELECT id from dbo.sysobjects WHERE id = object_id(N'[dbo].[SP_BatchInsertParametricChild]')) 
DROP PROCEDURE dbo.SP_BatchInsertParametricChild
GO

CREATE PROCEDURE SP_BatchInsertParametricChild(
        @recordId       int,   
        @parentJobId    int,   
        @createTime     datetime,   
        @modifyTime     datetime,   
        @state          int,   
        @prevState      int,  
        @instanceStart  int,  
        @instanceEnd    int  
        )
AS
BEGIN
    INSERT INTO Task  
        (RecordID, ParentJobId, CreateTime, ModifyTime, State, PrevState, InstanceId)  
    SELECT @recordId, @parentJobId, @createTime, @modifyTime, @state, @prevState, Number
    FROM Numbers
    WHERE Number BETWEEN @instanceStart AND @instanceEnd      
END
GO


/*
** Create the NextTaskId SP
**
** This procedure will increment the next task nice
** id for the specified job and return that value
** to the caller.
*/

IF EXISTS (SELECT id from sysobjects WHERE id=object_id(N'SP_NextTaskId'))
DROP PROCEDURE SP_NextTaskId
GO


CREATE PROCEDURE SP_NextTaskId(
    @jobId              int,    
    @numTasks           int,
    @nextTaskId         int out
    )
AS
BEGIN

    SELECT @nextTaskId=NextTaskId FROM Job WITH(UPDLOCK) WHERE ID=@jobId
    UPDATE Job SET NextTaskId = NextTaskId + @numTasks WHERE ID=@jobId    
END
GO


/*
** Update Running Job Limit Time SP
**
** Used to update the limit time in the resource for
** a running job, where the runtime of the job has been
** changed.
*/


IF EXISTS (SELECT id from sysobjects WHERE id=object_id(N'SP_UpdateLimitTime'))
DROP PROCEDURE SP_UpdateLimitTime
GO

CREATE PROCEDURE SP_UpdateLimitTime(
    @jobId              int,
    @limitTime          datetime = NULL
    )
AS
BEGIN
    
    UPDATE Resource SET LimitTime=@limitTime WHERE JobId=@jobId
    SELECT Id FROM Resource WHERE JobId=@jobId
END
GO

/*
** Create the CreateResource SP
**
** Used to add a new resource (processor) to the resource table.
**
** Note that the time is supplied by the caller so that if more
** than one resource is being added the times are consistent 
** for each additional record.
*/

IF EXISTS (SELECT id from sysobjects WHERE id=object_id(N'SP_CreateResource'))
DROP PROCEDURE SP_CreateResource
GO


CREATE PROCEDURE SP_CreateResource(
    @JobType            int,
    @NodeId             int,
    @State              int,
    @ModifyTime         datetime,
    @CoreID             int,
    @SocketID           bigint,
    @Reachable          int
    )
AS
BEGIN

    DECLARE @newId int
    
    INSERT INTO Resource
        (JobType, NodeId, State, ModifyTime, CoreID, SocketID, PrevState, JobId, TaskId, Reachable)
    VALUES
        (@JobType, @NodeId, @State, @ModifyTime, @CoreID, @SocketID, @State, NULL, NULL, @Reachable)
        
    SELECT @newId = @@IDENTITY
    
    INSERT INTO ResourceReservation (ResourceId) VALUES (@newId)
    
END
GO
    
/*
** Create the SP_BringResourcseOnline SP
**
** This procedure brings any offline resources
** online (to idle) and clears any that have the
** move to offline flag set
**
** NOTE: This is only for *non-phantom* cores
**       on the system.
*/

IF EXISTS (SELECT id from sysobjects WHERE id=object_id(N'SP_BringResourcesOnline'))
DROP PROCEDURE SP_BringResourcesOnline
GO


CREATE PROCEDURE SP_BringResourcesOnline(
        @nodeId             int, 
        @now                datetime,
        @stateOffline       int,
        @stateIdle          int
        )
AS
BEGIN

    SET NOCOUNT OFF

    DECLARE @count int

    -- For any resource that is offline, move it to 
    -- online.

    UPDATE Resource
    SET
        State=@stateIdle, MoveToOffline=0, ModifyTime=@now, PrevState=@stateOffline
    WHERE
        NodeId=@nodeId AND State=@stateOffline AND Phantom = 0

    SET @count = @@ROWCOUNT

    SET NOCOUNT ON 

    -- Update the global counters

    UPDATE ResourceCounter
    SET
        Offline = Offline - @count,
        Idle = Idle + @count

    -- Update the counters for the node

    UPDATE NodeResourceCounter
    SET
        Offline = Offline - @count,
        Idle = Idle + @count
    WHERE
        NodeId=@NodeId
    
    -- Clear any pending MoveToOffline options from 
    -- the resources.
        
    UPDATE Resource
    SET
        MoveToOffline=0, ModifyTime=@now
    WHERE
        NodeId=@nodeId AND MoveToOffline<>0 AND Phantom = 0
            
END
GO



/*
** Create the SP_TakeResourcesOffline SP
**
** This procedure marks all resources that
** belong to a node to be taken offline
** once the current task completes.
*/

IF EXISTS (SELECT id from sysobjects WHERE id=object_id(N'SP_TakeResourcesOffline'))
DROP PROCEDURE SP_TakeResourcesOffline
GO

CREATE PROCEDURE SP_TakeResourcesOffline(
        @nodeId             int, 
        @now                datetime,
        @moveToOffline      bit
        )
AS
BEGIN
    UPDATE Resource
    SET
        MoveToOffline=@moveToOffline, ModifyTime=@now
    WHERE
        NodeId=@nodeId AND Phantom = 0        

END
GO

/*
 * Set the availability flag on all resources belonging to on a node
 */

IF EXISTS (SELECT id from sysobjects WHERE id=object_id(N'SP_SetResourceAvailability'))
DROP PROCEDURE SP_SetResourceAvailability
GO

CREATE PROCEDURE SP_SetResourceAvailability(
    @nodeId   int,
    @now      datetime,
    @isAvailable bit
)
AS
BEGIN
    UPDATE Resource
    SET
       IsAvailable=@isAvailable, ModifyTime=@now
    WHERE
       NodeId=@nodeId AND Phantom = 0
END
GO

IF EXISTS (SELECT id from sysobjects WHERE id=object_id(N'SP_ChangeResourceReachable'))
DROP PROCEDURE SP_ChangeResourceReachable
GO

CREATE PROCEDURE SP_ChangeResourceReachable(
        @nodeId             int, 
        @now                datetime,
        @reachable      bit
        )
AS
BEGIN
    UPDATE Resource
    SET
        Reachable=@reachable, ModifyTime=@now
    WHERE
        NodeId=@nodeId 
       
    SELECT Id FROM Resource
    WHERE NodeId=@nodeId
END
GO


/*
** Create the SP_NodeGuidToId SP
**
*/

IF EXISTS (SELECT id from sysobjects WHERE id=object_id(N'SP_NodeGuidToId'))
DROP PROCEDURE SP_NodeGuidToId
GO

CREATE PROCEDURE SP_NodeGuidToId(
        @guid               uniqueidentifier,
        @id                 int output
        )
AS
BEGIN
    SELECT @id=Id FROM Node WHERE guid=@guid        
END
GO


/*
** Create the SP_NodeNameToId SP
**
*/

IF EXISTS (SELECT id from sysobjects WHERE id=object_id(N'SP_NodeNameToId'))
DROP PROCEDURE SP_NodeNameToId
GO

CREATE PROCEDURE SP_NodeNameToId(
        @nodeName           nvarchar(64),
        @id                 int output,
        @guid               uniqueidentifier output
        )
AS
BEGIN
    SELECT @id=Id, @guid=Guid FROM Node WHERE Name=@nodeName
END
GO


/*
** Create the SP_NodeSidToId SP
**
*/

IF EXISTS (SELECT id from sysobjects WHERE id=object_id(N'SP_NodeSidToId'))
DROP PROCEDURE SP_NodeSidToId
GO

CREATE PROCEDURE SP_NodeSidToId(
        @nodeSid            nvarchar(128),
        @id                 int output,
        @guid               uniqueidentifier output
        )
AS
BEGIN
    SELECT @id=Id, @guid=Guid FROM Node WHERE SID=@nodeSid
END
GO

/*
** Create the CloseTaskEntry SP
** 
** This store procedure is used to set the end time
** for a allocation record based on the resourceId 
** and the taskId.
**
*/

IF EXISTS (SELECT id from sysobjects WHERE id=object_id(N'SP_CloseTaskEntry'))
DROP PROCEDURE SP_CloseTaskEntry
GO


CREATE PROCEDURE SP_CloseTaskEntry(
        @taskId             int,
        @now                datetime
        )
AS
BEGIN
    DECLARE @taskRequeueCount as int
    DECLARE @taskState as int
    
    Select @taskRequeueCount=Task.RequeueCount, @taskState = Task.State
    From Task
    WHERE Task.Id=@taskId
    
    -- If the current task state is Queued, that means the task has been requeued
    -- In this case, we want to close the previous allocated resources
    IF @taskState = 8 AND @taskRequeueCount > 0 
        SET @taskRequeueCount = @taskRequeueCount - 1
    
    UPDATE AllocationHistory
    SET
        EndTime=@now,
        ModifyTime=@now
    WHERE
        taskId=@taskId AND TaskRequeueCount=@taskRequeueCount 
END
GO

    
   

/*
** Create the CloseJobEntry SP
** 
** This store procedure is used to set the end time
** for a allocation record based on the resourceId 
** and the jobId
**
*/

IF EXISTS (SELECT id from sysobjects WHERE id=object_id(N'SP_CloseJobEntry'))
DROP PROCEDURE SP_CloseJobEntry
GO


CREATE PROCEDURE SP_CloseJobEntry(
        @jobId             int,
        @now                datetime
        )
AS
BEGIN
    DECLARE @jobState as int
    DECLARE @jobRequeueCount as int
    
    Select @jobRequeueCount=Job.RequeueCount, @jobState = Job.State
    From Job
    WHERE Job.Id=@jobId
    
        -- If the current job state is Queued, that means the job has been requeued
    -- In this case, we want to close the previous allocated resources
    IF @jobState = 16 AND @jobRequeueCount > 0 
        SET @jobRequeueCount = @jobRequeueCount - 1
    
    UPDATE AllocationHistory
    SET
        EndTime=@now,
        ModifyTime=@now
    WHERE
        jobId=@jobId AND taskId = 0 AND JobRequeueCount=@jobRequeueCount AND EndTime is null
END
GO

/*
** Create the UpdateTaskNodeStats SP
**
** This stored procedure will insert or updated an existing 
** Node Allocation record for a task on a node.  It matches
** based on the nodeId, taskId, and requeue counts.
**
*/

IF EXISTS (SELECT id from sysobjects WHERE id=object_id(N'SP_UpdateTaskNodeStats'))
DROP PROCEDURE SP_UpdateTaskNodeStats
GO

CREATE PROCEDURE SP_UpdateTaskNodeStats(
        @NodeId int, 
        @TaskId int, 
        @JobId int,
        @KernelTime bigint,
        @UserTime bigint,
        @WorkingSet bigint,
        @NumProcesses int,
        @PIDS nvarchar(128),
        @JobRequeueCount int,
        @TaskRequeueCount int
        )
AS
BEGIN
    declare @Id int
    DECLARE @jobState as int
    DECLARE @taskState as int
    

    -- See if we can find an existing allocation record.
    SELECT @Id=id FROM NodeAllocationHistory WITH (UPDLOCK) WHERE (taskid=@TaskId and nodeid=@NodeId and jobrequeuecount=@jobRequeueCount and taskrequeuecount=@taskRequeueCount)

    -- If we did not find a existing record, insert a new one.
    IF (@Id is null)
        BEGIN
            --Insert a new record
            INSERT INTO NodeAllocationHistory
                (NodeId, JobId, TaskId, JobRequeueCount, TaskRequeueCount, KernelTime, UserTime, PIDS, NumProcesses, MemoryUsed)
            VALUES
                (@NodeId, @JobId, @TaskId, @JobRequeueCount, @TaskRequeueCount, @KernelTime, @UserTime, @PIDS, @NumProcesses, @WorkingSet)
        END
    else
        BEGIN
            --Update an existing record
            UPDATE NodeAllocationHistory
            SET 
            
                KernelTime=@KernelTime,
                UserTime=@UserTime,
                PIDS=@PIDS,
                NumProcesses=@NumProcesses,
                MemoryUsed=@WorkingSet
            
            WHERE Id=@Id
        END    
END
GO

/*
** Create SP_OpenJobAllocationEntry SP
**
** This SP is used to create a new record in the allocation
** history table for a job.
*/

IF EXISTS (SELECT id from dbo.sysobjects WHERE id = object_id(N'[dbo].[SP_OpenJobAllocationEntry]')) 
DROP PROCEDURE dbo.SP_OpenJobAllocationEntry
GO

CREATE PROCEDURE SP_OpenJobAllocationEntry(
        @jobId              int, 
        @nodeId                int,
        @socketId            bigint,
        @coreId                int,
        @jobRequeueCount        int,
        @startTime          datetime, 
        @changeTime         datetime, 
        @resourceId         int
        )
AS
BEGIN
        
    DECLARE @nodeNameId as int
    SELECT @nodeNameId=NodeName.Id FROM NodeName INNER JOIN Node ON NodeName.Guid = Node.GUID WHERE Node.Id = @nodeId
        
    INSERT INTO AllocationHistory
        (ResourceId, NodeId, SocketId, CoreId, JobId, JobRequeueCount, StartTime, ModifyTime)
    VALUES
        (@resourceId, @nodeNameId, @SocketId, @CoreId, @jobId, @jobRequeueCount, @startTime, @changeTime)

END
GO

/*
** Create SP_OpenTaskAllocationEntry SP
**
** This SP is used to create a new record in the allocation
** history table for a job.
*/

IF EXISTS (SELECT id from dbo.sysobjects WHERE id = object_id(N'[dbo].[SP_OpenTaskAllocationEntry]')) 
DROP PROCEDURE dbo.SP_OpenTaskAllocationEntry
GO

CREATE PROCEDURE SP_OpenTaskAllocationEntry(
        @jobId              int, 
        @taskId             int, 
        @nodeId                int,
        @socketId            bigint,
        @coreId                int,
        @jobRequeueCount        int,
        @taskRequeueCount       int,
        @startTime          datetime, 
        @changeTime         datetime,
        @resourceId         int
        )
AS
BEGIN
    DECLARE @nodeNameId as int
    SELECT @nodeNameId=NodeName.Id FROM NodeName INNER JOIN Node ON NodeName.Guid = Node.GUID WHERE Node.Id = @nodeId
    
    INSERT INTO AllocationHistory
        (ResourceId, NodeId, SocketId, CoreId, JobId, JobRequeueCount, StartTime, ModifyTime, TaskId, TaskRequeueCount)
    VALUES
        (@resourceId, @nodeNameId, @socketId, @coreId, @jobId, @jobRequeueCount, @startTime, @changeTime, @taskId, @taskRequeueCount)

END
GO


/*
** Create the SP_AddJobHistoryRecord SP
**
** This procedure is used to insert new job
** history records as jobs enter the end states.
*/

IF EXISTS (SELECT id from dbo.sysobjects WHERE id = object_id(N'[dbo].[SP_AddJobHistoryRecord]')) 
DROP PROCEDURE dbo.SP_AddJobHistoryRecord
GO

CREATE PROCEDURE SP_AddJobHistoryRecord(
        @JobEvent           int,
        @EventTime          datetime,
        @JobId              int,
        @RequeueCount       int,
        @SubmitTime         datetime,
        @StartTime          datetime,
        @EndTime            datetime,
        @HasGrown           bit,
        @HasShrunk          bit,
        @projectId          int,
        @JobTemplateId          int,
        @ActorSid           nvarchar(80),
        @CancelRequest      int,
        @PoolId             int,
		@ParentJobIds		nvarchar(4000),
		@ChildJobIds		nvarchar(4000)
        )
AS
BEGIN

    INSERT INTO JobHistory
        (Event, EventTime, JobId, RequeueId, JobTemplateId, ProjectId, SubmitTime, StartTime, EndTime, HasGrown, HasShrunk, ActorSid, CancelRequest, PoolId, ParentJobIds, ChildJobIds)
    VALUES
        (@JobEvent, @EventTime, @JobId, @RequeueCount, @JobTemplateId, @ProjectId, @SubmitTime, @StartTime, @EndTime, @HasGrown, @HasShrunk, @ActorSid, @CancelRequest, @PoolId, @ParentJobIds, @ChildJobIds)    

END
GO

/*
** Create the AddJobPropChangeRecord SP
**
** This procedure is used to insert job properties change history record when job was modified
*/

IF EXISTS (SELECT id from dbo.sysobjects WHERE id = object_id(N'[dbo].[SP_AddJobPropChangeRecord]')) 
DROP PROCEDURE dbo.SP_AddJobPropChangeRecord
GO

CREATE PROCEDURE SP_AddJobPropChangeRecord(
        @JobEvent           int,
        @EventTime          datetime,
        @JobId              int,
        @Operator           nvarchar(50),
        @PropChange         nvarchar(4000)
        )
AS
BEGIN

    INSERT INTO JobHistory
        (Event, EventTime, JobId, Operator, PropChange)
    VALUES
        (@JobEvent, @EventTime, @JobId, @Operator, @PropChange)   

END
GO


/*
** Fetch extended job properties
*/

IF EXISTS (SELECT id from dbo.sysobjects WHERE id = object_id(N'[dbo].[SP_FetchExtendedJobProps]')) 
DROP PROCEDURE dbo.SP_FetchExtendedJobProps
GO

CREATE PROCEDURE SP_FetchExtendedJobProps
    @Id int
AS
BEGIN

    SELECT 
        n.Id,n.PropType,n.PropName,p.StringValue
    FROM 
        CustomPropertyName as n
    INNER JOIN ExtendedJobProperty as p ON p.PropertyId = n.Id
    WHERE 
        p.JobId = @Id

END
GO

/*
** Set extended job properties
*/

IF EXISTS (SELECT id from dbo.sysobjects WHERE id = object_id(N'[dbo].[SP_SetExtendedJobProp]')) 
DROP PROCEDURE dbo.SP_SetExtendedJobProp
GO

CREATE PROCEDURE SP_SetExtendedJobProp
    @Id int,
    @PropId int,
    @Value nvarchar(128)
AS
BEGIN
    IF( EXISTS( SELECT 1 FROM dbo.ExtendedJobProperty WITH ( UPDLOCK ) WHERE PropertyId = @propId AND JobId = @Id ) )
    --Update current record
        BEGIN
            UPDATE dbo.ExtendedJobProperty
            SET StringValue=@Value
            WHERE (PropertyId=@PropId AND JobId=@Id)
        END
    
    ELSE
    --Create a new record
        BEGIN
            INSERT INTO dbo.ExtendedJobProperty
            (JobId,PropertyId,StringValue)
            VALUES
            (@Id,@PropId,@Value)
        END

END
GO


/*
** Set extended task property
**
** This procedure will create or update the value for a user
** extended task property.
**
** Note that when inserting a new record, the procedure will
** add in the parent job id of the task.  This allows for
** simpler deletion of a job from the system later.
*/

IF EXISTS (SELECT id from dbo.sysobjects WHERE id = object_id(N'[dbo].[SP_SetExtendedTaskProp]')) 
DROP PROCEDURE dbo.SP_SetExtendedTaskProp
GO

CREATE PROCEDURE SP_SetExtendedTaskProp
    @taskId int,
    @PropId int,
    @Value nvarchar(128)
AS
BEGIN

    IF( EXISTS( SELECT 1 FROM dbo.ExtendedTaskProperty WITH ( UPDLOCK ) WHERE PropertyId = @propId AND TaskId = @taskId ) )
    --Update current record
        BEGIN
            UPDATE dbo.ExtendedTaskProperty
            SET StringValue=@Value
            WHERE (PropertyId=@PropId AND TaskId=@taskId)
        END
    
    ELSE
    --Create a new record
        BEGIN
            INSERT INTO dbo.ExtendedTaskProperty
                (TaskId, JobId, PropertyId, StringValue)
            
            SELECT 
                @taskId, parentJobId, @PropId, @Value
            FROM Task
            WHERE Task.Id=@taskId
        END

END
GO


/*
** Fetch extended task properties
*/

IF EXISTS (SELECT id from dbo.sysobjects WHERE id = object_id(N'[dbo].[SP_FetchExtendedTaskProps]')) 
DROP PROCEDURE dbo.SP_FetchExtendedTaskProps
GO

CREATE PROCEDURE SP_FetchExtendedTaskProps
    @Id int
AS
BEGIN

    SELECT n.Id,n.PropType,n.PropName,p.StringValue
    FROM CustomPropertyName as n
    INNER JOIN ExtendedTaskProperty as p ON p.PropertyId = n.Id
    WHERE p.TaskId = @Id

END
GO

IF EXISTS (SELECT id from dbo.sysobjects WHERE id = object_id(N'[dbo].[SP_FetchAllExtendedTaskPropsForJob]')) 
DROP PROCEDURE dbo.SP_FetchAllExtendedTaskPropsForJob
GO

CREATE PROCEDURE SP_FetchAllExtendedTaskPropsForJob
    @Id int
AS
BEGIN

    SELECT p.TaskId, n.Id,n.PropType,n.PropName,p.StringValue
    FROM CustomPropertyName as n
    INNER JOIN ExtendedTaskProperty as p ON p.PropertyId = n.Id
    WHERE p.JobId = @Id

END
GO




/*
** Create new property name
*/

IF EXISTS (SELECT id from dbo.sysobjects WHERE id = object_id(N'[dbo].[SP_CreatePropertyName]')) 
DROP PROCEDURE dbo.SP_CreatePropertyName
GO

CREATE PROCEDURE SP_CreatePropertyName
    @PropType int,
    @PropName nvarchar(128),
    @ObjectType int,
    @CreateTime datetime,
    @CreatedBy nvarchar(128),
    @PropDescription nvarchar(255)
AS
BEGIN
    INSERT INTO CustomPropertyName
        (PropType, PropName, ObjectType, CreateTime, CreatedBy, PropDescription)
    VALUES
        (@PropType, @PropName, @ObjectType, @CreateTime, @CreatedBy, @PropDescription)

    ;
    SELECT @@IDENTITY
END
GO


/*
** Find Property Id
*/

IF EXISTS (SELECT id from dbo.sysobjects WHERE id = object_id(N'[dbo].[SP_FindPropertyName]')) 
DROP PROCEDURE dbo.SP_FindPropertyName
GO

CREATE PROCEDURE SP_FindPropertyName
    @PropType int,
    @PropName nvarchar(128),
    @ObjectType int
AS
BEGIN
    SELECT Id
    FROM CustomPropertyName
    WHERE PropType=@PropType AND PropName=@PropName AND ObjectType=@ObjectType
END
GO


/*
** Get Property Id
*/

IF EXISTS (SELECT id from dbo.sysobjects WHERE id = object_id(N'[dbo].[SP_GetPropertyInfo]')) 
DROP PROCEDURE dbo.SP_GetPropertyInfo
GO

CREATE PROCEDURE SP_GetPropertyInfo
    @PropName nvarchar(128),
    @ObjectType int
AS
BEGIN
    SELECT Id,PropType,PropName,PropDescription
    FROM CustomPropertyName
    WHERE (PropName=@PropName AND ObjectType=@ObjectType)
END
GO


/*
** Get Properties
*/

IF EXISTS (SELECT id from dbo.sysobjects WHERE id = object_id(N'[dbo].[SP_GetProperties]')) 
DROP PROCEDURE dbo.SP_GetProperties
GO

CREATE PROCEDURE SP_GetProperties
    @ObjectType int
AS
BEGIN
    SELECT Id,PropType,PropName,PropDescription
    FROM CustomPropertyName
    WHERE ObjectType=@ObjectType
END
GO


/*
** Set job request cancel value
*/

IF EXISTS (SELECT id from dbo.sysobjects WHERE id = object_id(N'[dbo].[SP_SetJobRequestCancelValue]')) 
DROP PROCEDURE dbo.SP_SetJobRequestCancelValue
GO

CREATE PROCEDURE SP_SetJobRequestCancelValue
    @jobId int,
    @request int
AS
BEGIN
    DECLARE @OldRequest as int
    DECLARE @ShouldUpdate as int

    IF (@request <> 0)
    BEGIN
        SELECT @OldRequest=Request FROM JobCancelRequest WHERE JobId = @jobId

        IF (@OldRequest is not NULL)
        BEGIN
            SET @ShouldUpdate = 1
            IF (@OldRequest = 7) BEGIN SET @ShouldUpdate=0 END
            IF (@OldRequest in (1,5,6) AND @Request in (0,2,3,4,8)) BEGIN SET @ShouldUpdate=0 END

            IF (@ShouldUpdate = 1)
            BEGIN
                UPDATE JobCancelRequest 
                SET Request = @request
                WHERE JobId = @jobId
            END
        END    
        ELSE
        BEGIN
            INSERT INTO JobCancelRequest (JobId, Request)
            VALUES (@jobId, @request)
        END
    END
END
GO

/*
** When job goes to any of the finishing state, remove the cancel request
*/

IF EXISTS (SELECT id from dbo.sysobjects WHERE id = object_id(N'[dbo].[SP_RemoveJobRequestCancelValue]')) 
DROP PROCEDURE dbo.SP_RemoveJobRequestCancelValue
GO

CREATE PROCEDURE SP_RemoveJobRequestCancelValue
    @jobId int
AS
BEGIN
    DELETE JobCancelRequest 
    WHERE JobId = @jobId    
END
GO

/*
** Set task request cancel value
*/

IF EXISTS (SELECT id from dbo.sysobjects WHERE id = object_id(N'[dbo].[SP_SetTaskRequestCancelValue]')) 
DROP PROCEDURE dbo.SP_SetTaskRequestCancelValue
GO

CREATE PROCEDURE SP_SetTaskRequestCancelValue
    @taskId int,
    @request int
AS
BEGIN
    IF (@request <> 0)
    BEGIN
        DECLARE @OldRequest as int
        DECLARE @ShouldUpdate as int
        SELECT @OldRequest=Request FROM TaskCancelRequest WHERE TaskId = @taskId

        IF (@OldRequest is not NULL)
        BEGIN
            SET @ShouldUpdate = 1
            IF (@OldRequest = 7) BEGIN SET @ShouldUpdate=0 END
            IF (@OldRequest in (1,5,6) AND @Request in (0,2,3,4,8)) BEGIN SET @ShouldUpdate=0 END
        
            IF (@ShouldUpdate = 1)
            BEGIN
                UPDATE TaskCancelRequest 
                SET Request = @request
                WHERE TaskId = @taskId
            END
        END
        ELSE    
        BEGIN
            INSERT INTO TaskCancelRequest (TaskId, Request)
            VALUES (@taskId, @request)
        END
    END
   
END
GO


/*
** SP_AddNode
**
** This procedure will make sure that the Name/Guid unique pair exists 
** within the Node Name table and will return the ID.
**
** The Node Name table is used for history purposes, the name/guid pairs
** in this table are never deleted.
*/

IF EXISTS (SELECT id from dbo.sysobjects WHERE id = object_id(N'[dbo].[SP_AddNode]'))
DROP PROCEDURE dbo.SP_AddNode
GO
CREATE PROCEDURE dbo.SP_AddNode
    @Name nvarchar(50),
    @Guid uniqueidentifier
AS
BEGIN
    DECLARE @NodeId as int 
    SELECT @NodeId=Id FROM dbo.NodeName WHERE Name=@Name AND Guid=@Guid
    
    IF(@NodeId is not NULL)
    -- Get Current ID
        BEGIN
            SELECT @NodeId
        END
    ELSE
        BEGIN
            INSERT INTO dbo.NodeName
            (Name, Guid)
            VALUES
            (@Name, @Guid);
            SELECT @@IDENTITY;
        END
END
GO

/*
** SP_UpdateHistoricNodeProps
**
** This procedure will make sure that the Name/Guid unique pair exists 
** within the Node Name table and will return the ID.
**
** The Node Name table is used for history purposes, the name/guid pairs
** in this table are never deleted.
*/

IF EXISTS (SELECT id from dbo.sysobjects WHERE id = object_id(N'[dbo].[SP_UpdateHistoricNodeProps]'))
DROP PROCEDURE dbo.SP_UpdateHistoricNodeProps
GO
CREATE PROCEDURE dbo.SP_UpdateHistoricNodeProps
    @Name nvarchar(50),
    @Guid uniqueidentifier,
    @NumCores int,
    @NumSockets int
AS
BEGIN

    UPDATE NodeName 
    SET NumCores=@NumCores,NumSockets=@NumSockets
    WHERE Name=@Name AND Guid=@Guid

END
GO


/*
** SP_WriteNodeEvent
**
** This procedure is used for adding a node history
** event to the NodeHistory table.
*/

IF EXISTS (SELECT id from dbo.sysobjects WHERE id = object_id(N'[dbo].[SP_WriteNodeEvent]'))
DROP PROCEDURE dbo.SP_WriteNodeEvent
GO

CREATE PROCEDURE dbo.SP_WriteNodeEvent
    @NodeId     int,
    @NodeName   nvarchar(50),
    @NodeGuid   uniqueidentifier,
    @Event      int,
    @EventTime  datetime
AS
BEGIN
    DECLARE @NameId int;

    SELECT @NameId=Id FROM NodeName
    WHERE Name=@NodeName AND Guid=@NodeGuid

    INSERT INTO dbo.NodeHistory
    (NameId, NodeId, Event, EventTime)
    VALUES
    (@NameId, @NodeId, @Event, @EventTime)
END
GO


/*
** Create AddTaskGroupDependency SP
*/

IF EXISTS (SELECT id from dbo.sysobjects WHERE id = object_id(N'[dbo].[SP_AddTaskGroupDependency]')) 
DROP PROCEDURE dbo.SP_AddTaskGroupDependency
GO
CREATE PROCEDURE SP_AddTaskGroupDependency
    @JobId int,
    @ParentId int,
    @ChildId int
AS
BEGIN
    SET NOCOUNT ON;

    /* Per V2 bug 15623, If there is already this dependency, then ignore it */
    IF EXISTS (SELECT JobId FROM TaskGroupDependency WHERE JobId = @JobId AND ParentId = @ParentId AND ChildId = @ChildId)
        RETURN        

    INSERT INTO dbo.TaskGroupDependency 
        (JobId, ParentId, ChildId)
    VALUES
        (@JobId, @ParentId, @ChildId)
END
GO

/*
** Create AddTaskGroupDependencyComplete SP
*/

IF EXISTS (SELECT id from dbo.sysobjects WHERE id = object_id(N'[dbo].[SP_AddTaskGroupDependencyComplete]')) 
DROP PROCEDURE dbo.SP_AddTaskGroupDependencyComplete
GO
CREATE PROCEDURE SP_AddTaskGroupDependencyComplete
    @JobId int,
    @ParentId int,
    @ChildId int
AS
BEGIN
    SET NOCOUNT ON;

	BEGIN TRAN

    IF NOT EXISTS (SELECT JobId FROM TaskGroupDependency WITH(UPDLOCK, HOLDLOCK) WHERE JobId = @JobId AND ParentId = @ParentId AND ChildId = @ChildId)

		INSERT INTO dbo.TaskGroupDependency 
			(JobId, ParentId, ChildId)
		VALUES
			(@JobId, @ParentId, @ChildId)

	IF NOT EXISTS (SELECT JobId FROM TaskGroupDependency WITH(UPDLOCK, HOLDLOCK) WHERE JobId = @JobId AND ParentId = @ChildId AND ChildId = 0)
	
		INSERT INTO dbo.TaskGroupDependency 
			(JobId, ParentId, ChildId)
		VALUES
			(@JobId, @ChildId, 0)

	COMMIT TRAN
END
GO

/*
** RemoveTaskGroup
*/

IF EXISTS (SELECT id from dbo.sysobjects WHERE id = object_id(N'[dbo].[SP_RemoveTaskGroup]')) 
DROP PROCEDURE dbo.SP_RemoveTaskGroup
GO
CREATE PROCEDURE SP_RemoveTaskGroup
    @jobId int,
    @groupId int
AS
BEGIN

    SET NOCOUNT ON;
    
    DECLARE @defaultGroup int
    
    SELECT @defaultGroup = ID
    FROM TaskGroup
    WHERE JobId=@jobId AND IsDefault=1

    UPDATE TaskDetail SET GroupId=@defaultGroup WHERE GroupId=@groupId
    
    DELETE FROM TaskGroupDependency WHERE ParentId=@groupId
    DELETE FROM TaskGroupDependency WHERE ChildId=@groupId
	DELETE FROM TaskGroup where ID=@groupId

END
GO


/*Create FetchTaskGroupDependency SP*/
IF EXISTS (SELECT id from dbo.sysobjects WHERE id = object_id(N'[dbo].[SP_FetchTaskGroupDependency]')) 
DROP PROCEDURE dbo.SP_FetchTaskGroupDependency
GO
CREATE PROCEDURE SP_FetchTaskGroupDependency
    @JobId int
AS
BEGIN
    SET NOCOUNT ON;

    SELECT ParentId, ChildId FROM dbo.TaskGroupDependency WHERE JobId = @JobId ORDER BY ParentId
END
GO


/*Create GetTaskGroupsForJob SP*/
IF EXISTS (SELECT id from dbo.sysobjects WHERE id = object_id(N'[dbo].[SP_GetTaskGroupsForJob]')) 
DROP PROCEDURE dbo.SP_GetTaskGroupsForJob
GO
CREATE PROCEDURE SP_GetTaskGroupsForJob
    @JobId int
AS
BEGIN
    SET NOCOUNT ON;

    SELECT Id,Name,IsDefault FROM dbo.TaskGroup WHERE JobId=@JobId
END
GO


/* 
** Returuns 1 if x=y, 0 otherwise
*/
IF EXISTS (SELECT id from sysobjects WHERE id=object_id(N'F_Eq'))
DROP FUNCTION F_Eq
GO
CREATE FUNCTION F_Eq(
    @x         int,
    @y         int
)
RETURNS int
AS
BEGIN
    RETURN (CASE WHEN @x=@y THEN 1 ELSE 0 END)
END
GO




/*
** Find Global Task Id from JobId, NiceId, InstanceId
*/

IF EXISTS (SELECT id from dbo.sysobjects WHERE id = object_id(N'[dbo].[SP_FindTaskIdByInstanceId]')) 
DROP PROCEDURE dbo.SP_FindTaskIdByInstanceId
GO

CREATE PROCEDURE SP_FindTaskIdByInstanceId
    @JobId int,
    @NiceId int,
    @InstanceId int
AS
BEGIN
    SET NOCOUNT ON;

    SELECT Task.ID 
    FROM Task
    INNER JOIN TaskDetail ON TaskDetail.RecordId = Task.RecordId
    WHERE Task.ParentJobID=@JobId AND TaskDetail.NiceId=@NiceId AND Task.InstanceId=@InstanceId
END
GO


/*
** Find Global Task Id from JobId, NiceId
*/

IF EXISTS (SELECT id from dbo.sysobjects WHERE id = object_id(N'[dbo].[SP_FindTaskId]')) 
DROP PROCEDURE dbo.SP_FindTaskId
GO

CREATE PROCEDURE SP_FindTaskId
    @JobId int,
    @NiceId int
AS
BEGIN
    SET NOCOUNT ON;

    SELECT Task.ID 
    FROM Task
    INNER JOIN TaskDetail ON TaskDetail.RecordId = Task.RecordId
    WHERE Task.ParentJobID=@JobId AND TaskDetail.NiceId=@NiceId AND Task.InstanceId<=0
END
GO


/*
** Find Global Task Id for the master task which has the given RecordId
*/

IF EXISTS (SELECT id from dbo.sysobjects WHERE id = object_id(N'[dbo].[SP_FindMasterTaskIdByRecordId]')) 
DROP PROCEDURE dbo.SP_FindMasterTaskIdByRecordId
GO

CREATE PROCEDURE SP_FindMasterTaskIdByRecordId
    @RecordId int
AS
BEGIN
    SET NOCOUNT ON;

    SELECT Task.ID 
    FROM Task
    WHERE Task.RecordId = @RecordId AND Task.InstanceId = -1
END
GO

/*
** FindTaskParentId
**
** This procedure will return the parent job Id for the
** specified task system Id.
*/

IF EXISTS (SELECT id from dbo.sysobjects WHERE id = object_id(N'[dbo].[SP_FindTaskParentId]')) 
DROP PROCEDURE dbo.SP_FindTaskParentId
GO

CREATE PROCEDURE SP_FindTaskParentId
    @TaskId int
AS
BEGIN
    SET NOCOUNT ON;
    
    SELECT ParentJobID
    FROM Task
    WHERE Task.ID=@TaskId
END
GO


/* delete profile item sp */
IF EXISTS (SELECT id from dbo.sysobjects WHERE id = object_id(N'[dbo].[SP_DeleteJobTemplateItem]')) 
DROP PROCEDURE dbo.SP_DeleteJobTemplateItem
GO

CREATE PROCEDURE SP_DeleteJobTemplateItem
    @JobTemplateId int,
    @PropId int
AS
BEGIN
    SET NOCOUNT ON;

    DELETE FROM
        dbo.JobTemplateItem 
    WHERE 
        (JobTemplateId=@JobTemplateId AND PropId=@PropId)

END
GO



IF EXISTS (SELECT id from dbo.sysobjects WHERE id = object_id(N'[dbo].[SP_FindJobTemplateItem]')) 
DROP PROCEDURE dbo.SP_FindJobTemplateItem
GO

CREATE PROCEDURE SP_FindJobTemplateItem
    @JobTemplateId int,
    @PropId int
AS
BEGIN
    SET NOCOUNT ON;

    SELECT PropType 
    FROM dbo.JobTemplateItem
    WHERE (JobTemplateId=@JobTemplateId AND PropId=@PropId)
END
GO


/*
** update profile item sp 
*/

IF EXISTS (SELECT id from dbo.sysobjects WHERE id = object_id(N'[dbo].[SP_ModifyJobTemplateItem]')) 
DROP PROCEDURE dbo.SP_ModifyJobTemplateItem
GO

CREATE PROCEDURE SP_ModifyJobTemplateItem
    @JobTemplateId          int,
    @PropId                 int,
    @PropType               int,
    @DefaultInt             int,
    @MaxInt                 int,
    @MinInt                 int,
    @PropName               nvarchar(50),
    @ReadOnly               int,
    @DefaultBool            int,
    @DefaultString          nvarchar(255),
    @StringValues           nvarchar(1024),
    @DefaultEnum            int,
    @EnumValues             nvarchar(128),
    @BoolValues             nvarchar(64),
    @RequiredValues         nvarchar(1024)
AS
BEGIN
    SET NOCOUNT ON;

    -- Update current record
    BEGIN
        UPDATE dbo.JobTemplateItem
        SET 
            DefaultInt      = @DefaultInt,
            MaxInt          = @MaxInt,
            MinInt          = @MinInt,
            ReadOnly        = @ReadOnly,
            DefaultBool     = @DefaultBool,
            DefaultString   = @DefaultString,
            StringValues    = @StringValues,
            DefaultEnum     = @DefaultEnum,
            EnumValues      = @EnumValues,
            BoolValues      = @BoolValues,
            RequiredValues  = @RequiredValues
        WHERE 
            (JobTemplateId=@JobTemplateId AND PropId=@PropId)
    END
END
GO


/* 
** profile item add item sp 
*/

IF EXISTS (SELECT id from dbo.sysobjects WHERE id = object_id(N'[dbo].[SP_AddJobTemplateItem]')) 
DROP PROCEDURE dbo.SP_AddJobTemplateItem
GO

CREATE PROCEDURE SP_AddJobTemplateItem
    @JobTemplateId          int,
    @PropId                 int,
    @PropType               int,
    @DefaultInt             int,
    @MaxInt                 int,
    @MinInt                 int,
    @PropName               nvarchar(50),
    @ReadOnly               int,
    @DefaultBool            int,
    @DefaultString          nvarchar(max),
    @StringValues           nvarchar(max),
    @DefaultEnum            int,
    @EnumValues             nvarchar(128),
    @BoolValues             nvarchar(64),
    @RequiredValues         nvarchar(max)
AS
BEGIN
    SET NOCOUNT ON;

    BEGIN
    -- Insert new record
        INSERT INTO dbo.JobTemplateItem
        (
            JobTemplateId,
            PropId,
            PropType,
            DefaultInt,
            MaxInt,
            MinInt,
            PropName,
            ReadOnly,
            DefaultBool,
            DefaultString,
            StringValues,
            DefaultEnum,
            EnumValues,
            BoolValues,
            RequiredValues
        )
        VALUES
        (
            @JobTemplateId,
            @PropId,
            @PropType,
            @DefaultInt,
            @MaxInt,
            @MinInt,
            @PropName,
            @ReadOnly,
            @DefaultBool,
            @DefaultString,
            @StringValues,
            @DefaultEnum,
            @EnumValues,
            @BoolValues,
            @RequiredValues
        )

    END
END
GO


/*
** Delete all profile items SP
**
**
*/

IF EXISTS (SELECT id from dbo.sysobjects WHERE id = object_id(N'[dbo].[SP_DeleteAllJobTemplateItems]')) 
DROP PROCEDURE dbo.SP_DeleteAllJobTemplateItems
GO

CREATE PROCEDURE SP_DeleteAllJobTemplateItems
    @id int
AS
BEGIN
    SET NOCOUNT ON;

    DELETE FROM JobTemplateItem WHERE JobTemplateId=@id
END

GO



/* 
** profile item list sp 
*/

IF EXISTS (SELECT id from dbo.sysobjects WHERE id = object_id(N'[dbo].[SP_ListJobTemplateItem]')) 
DROP PROCEDURE dbo.SP_ListJobTemplateItem
GO

CREATE PROCEDURE SP_ListJobTemplateItem
    @JobTemplateId int
AS
BEGIN
    SET NOCOUNT ON;

    SELECT 
        PropId,
        PropType,
        PropName,
        ReadOnly,
        DefaultInt,
        MaxInt,
        MinInt,
        DefaultBool,
        DefaultString,
        StringValues,
        DefaultEnum,
        EnumValues,
        BoolValues,
        RequiredValues
    FROM dbo.JobTemplateItem
    WHERE JobTemplateId = @JobTemplateId
END

GO


/* 
** get single profile item 
*/

IF EXISTS (SELECT id from dbo.sysobjects WHERE id = object_id(N'[dbo].[SP_GetJobTemplateItem]')) 
DROP PROCEDURE dbo.SP_GetJobTemplateItem
GO

CREATE PROCEDURE SP_GetJobTemplateItem
    @JobTemplateId int,
    @PropId int
AS
BEGIN
    SET NOCOUNT ON;

    SELECT 
        PropId,
        PropType,
        PropName,
        ReadOnly,
        DefaultInt,
        MaxInt,
        MinInt,
        DefaultBool,
        DefaultString,
        StringValues,
        DefaultEnum,
        EnumValues,
        BoolValues,
        RequiredValues
    FROM dbo.JobTemplateItem
    WHERE JobTemplateId = @JobTemplateId AND PropId = @PropId
END

GO


/* 
** Remove Node SP 
**
** This procedure will remove a node from the system.
** As part of doing this step, it will update the 
** counter for the system as well.
*/

IF EXISTS (SELECT id from dbo.sysobjects WHERE id = object_id(N'[dbo].[SP_RemoveNode]')) 
DROP PROCEDURE dbo.SP_RemoveNode
GO
CREATE PROCEDURE SP_RemoveNode 
    @id int,
	@deletedDeployId nvarchar(64) out
AS
BEGIN
    SET NOCOUNT ON;

    UPDATE ResourceCounter
    SET
        ResourceCounter.Total                 = ResourceCounter.Total               - NodeResourceCounter.Total,
        ResourceCounter.Offline               = ResourceCounter.Offline             - NodeResourceCounter.Offline,
        ResourceCounter.Idle                  = ResourceCounter.Idle                - NodeResourceCounter.Idle,
        ResourceCounter.ScheduledReserve      = ResourceCounter.ScheduledReserve    - NodeResourceCounter.ScheduledReserve,
        ResourceCounter.JobScheduled          = ResourceCounter.JobScheduled        - NodeResourceCounter.JobScheduled,
        ResourceCounter.ReadyForTask          = ResourceCounter.ReadyForTask        - NodeResourceCounter.ReadyForTask,
        ResourceCounter.TaskScheduled         = ResourceCounter.TaskScheduled       - NodeResourceCounter.JobTaskScheduled,
        ResourceCounter.JobTaskScheduled      = ResourceCounter.JobTaskScheduled    - NodeResourceCounter.JobTaskDispatched,
        ResourceCounter.TaskDispatched        = ResourceCounter.TaskDispatched      - NodeResourceCounter.TaskDispatched,
        ResourceCounter.JobTaskDispatched     = ResourceCounter.JobTaskDispatched   - NodeResourceCounter.JobTaskDispatched,
        ResourceCounter.TaskRunning           = ResourceCounter.TaskRunning         - NodeResourceCounter.TaskRunning,
        ResourceCounter.CloseTask             = ResourceCounter.CloseTask           - NodeResourceCounter.CloseTask,
        ResourceCounter.CloseTaskDispatched   = ResourceCounter.CloseTaskDispatched - NodeResourceCounter.CloseTaskDispatched,
        ResourceCounter.TaskClosed            = ResourceCounter.TaskClosed          - NodeResourceCounter.TaskClosed,
        ResourceCounter.CloseJob              = ResourceCounter.CloseJob            - NodeResourceCounter.CloseJob
    FROM NodeResourceCounter WHERE NodeResourceCounter.NodeId = @id

    UPDATE NodeCounter
    SET
        Total = Total - 1,
        Offline = Offline - 1
    
    delete from ResourceReservation
    where ResourceId in ( select ID from Resource where NodeId=@id)

    delete from Resource
    where NodeId=@id

    delete from NodeResourceCounter
    where NodeId=@id
    
	SET @deletedDeployId = NULL;

	-- Get the deployment Id first
	DECLARE @azureDeployId nvarchar(64)
	SELECT @azureDeployId = AzureDeploymentId FROM Node WHERE Id = @id

	-- Delete the node
    delete from Node 
    where Id=@id        

	-- Delete the deployment if this is the only node left for that deployment
	-- If the deployment Id is null, then don't do this
	IF(@azureDeployId IS NOT NULL)
	BEGIN
 		IF (NOT EXISTS(SELECT 1 FROM Node WHERE AzureDeploymentId = @azureDeployId))
		BEGIN
			SET @deletedDeployId = @azureDeployId
		END
	END
END
GO

/*
** Get all the nodes that are ready for taking offline
*/
IF EXISTS (SELECT id from dbo.sysobjects WHERE id = object_id(N'[dbo].[SP_GetReadyForOfflineNodes]')) 
DROP PROCEDURE dbo.SP_GetReadyForOfflineNodes
GO
CREATE PROCEDURE SP_GetReadyForOfflineNodes 
AS
BEGIN
    SELECT Id FROM Node WHERE Id NOT IN
        (SELECT NodeId 
            FROM Resource 
            WHERE Resource.State <> 0  -- Offline
                AND Resource.Phantom = 0  -- Not phantom
            GROUP BY NodeId)
        AND Node.State = 2    -- Draining
END
GO

/*
** RemoveNodeResource SP
**
** This procedure will delete all the resources (cores)
** for a node.  It is used when the fundamentals for 
** a node change (number of cores or sockets)
** It will return the number of cores that were deleted
** which allows an update of the counters for the system.
**
*/

IF EXISTS (SELECT id from dbo.sysobjects WHERE id = object_id(N'[dbo].[SP_RemoveNodeResource]')) 
DROP PROCEDURE dbo.SP_RemoveNodeResource
GO
CREATE PROCEDURE SP_RemoveNodeResource 
    @id         int,
    @count      int out
AS
BEGIN
    SET NOCOUNT OFF;
    
    DELETE FROM ResourceReservation
    WHERE ResourceId IN ( SELECT ID FROM Resource WHERE NodeId=@id)
    
    DELETE FROM Resource
    WHERE NodeId=@id

    SET @count = @@ROWCOUNT
    
    SET NOCOUNT ON;
END
GO


IF EXISTS (SELECT id from dbo.sysobjects WHERE id = object_id(N'[dbo].[SP_UpdateResourceJobType]')) 
DROP PROCEDURE dbo.SP_UpdateResourceJobType
GO
CREATE PROCEDURE SP_UpdateResourceJobType
(
    @id int,
    @jobType int
)
AS
BEGIN
    SET NOCOUNT ON;
    
    update dbo.Resource
        set JobType=@jobType
    where NodeId=@id    
END
GO


/*Verify Job Id*/

IF EXISTS (SELECT id from dbo.sysobjects WHERE id = object_id(N'[dbo].[SP_VerifyJobId]')) 
DROP PROCEDURE dbo.SP_VerifyJobId
GO
CREATE PROCEDURE SP_VerifyJobId
    @Id int
AS
BEGIN
    SET NOCOUNT ON;

    SELECT Job.State, Job.CredentialId
    FROM Job 
    where Job.ID=@Id 

END
GO

/* Modify a job's set of excluded nodes */
IF EXISTS (SELECT id from dbo.sysobjects WHERE id = object_id(N'[dbo].[SP_UpdateJobNodeExclusionList]')) 
DROP PROCEDURE dbo.SP_UpdateJobNodeExclusionList
GO
CREATE PROCEDURE SP_UpdateJobNodeExclusionList 
    @jobID         int,
    @oldValue      nvarchar(max),
    @newValue      nvarchar(max),
    @count         int out
AS
BEGIN
    SET NOCOUNT OFF;
    
     IF (@oldValue IS NULL)    
        UPDATE Job SET ExcludedNodes=@newValue 
        WHERE ID=@jobId AND ExcludedNodes IS NULL
    ELSE
        UPDATE Job SET ExcludedNodes=@newValue
        WHERE ID=@jobId AND ExcludedNodes=@oldValue	

    SET @count = @@ROWCOUNT
    
    SET NOCOUNT ON;
END
GO


/*Find Allocation Record by NodeId and TaskId*/

IF EXISTS (SELECT id from dbo.sysobjects WHERE id = object_id(N'[dbo].[SP_NodeIdAndTaskIdToAllocationId]')) 
DROP PROCEDURE dbo.SP_NodeIdAndTaskIdToAllocationId
GO
CREATE PROCEDURE SP_NodeIdAndTaskIdToAllocationId
    @NodeId int,
    @TaskId int
AS
BEGIN
    SET NOCOUNT ON;

    SELECT TOP 1 AllocationHistory.Id
    FROM dbo.AllocationHistory join dbo.Resource
    ON AllocationHistory.ResourceId=Resource.Id
    where AllocationHistory.TaskId=@TaskId AND Resource.NodeId=@NodeId
    ORDER BY AllocationHistory.Id DESC


END
GO

/*Find Allocation Record by NodeId, JobId and Task nice Id*/

IF EXISTS (SELECT id from dbo.sysobjects WHERE id = object_id(N'[dbo].[SP_NodeIdJobIdAndTaskIdToAllocationId]')) 
DROP PROCEDURE dbo.SP_NodeIdJobIdAndTaskIdToAllocationId
GO
CREATE PROCEDURE SP_NodeIdJobIdAndTaskIdToAllocationId
    @NodeId int,
    @JobId  int,
    @TaskNiceId int
AS
BEGIN
    SET NOCOUNT ON;

    SELECT TOP 1 AllocationHistory.Id
    FROM dbo.AllocationHistory 
        inner join dbo.Resource ON AllocationHistory.ResourceId=Resource.Id 
        inner join dbo.Task on AllocationHistory.TaskId=Task.Id
        inner join TaskDetail on TaskDetail.RecordId=Task.RecordId
    where Task.ParentJobId=@JobId and TaskDetail.NiceId=@TaskNiceId AND Resource.NodeId=@NodeId
    ORDER BY AllocationHistory.Id DESC


END
GO



/* Add Env var SP */
IF EXISTS (SELECT id from dbo.sysobjects WHERE id = object_id(N'[dbo].[SP_SetTaskEnvironmentVariable]')) 
DROP PROCEDURE dbo.SP_SetTaskEnvironmentVariable
GO
CREATE PROCEDURE SP_SetTaskEnvironmentVariable
    @TaskId int,
    @VarName nvarchar(128),
    @VarValue nvarchar(max)
AS
BEGIN
    SET NOCOUNT ON;

    IF( EXISTS( SELECT 1 FROM dbo.TaskEnvironmentVariable WITH (UPDLOCK) WHERE (TaskId=@TaskId AND VariableName=@VarName) ) )
    -- If the variable exists update it, otherwise add it
        BEGIN           
            IF (@VarValue IS NULL OR @VarValue = N'')
                BEGIN
                    DELETE from dbo.TaskEnvironmentVariable 
                        WHERE TaskId=@TaskId AND VariableName=@VarName
                END
            ELSE
                BEGIN
                    UPDATE dbo.TaskEnvironmentVariable 
                        SET VariableValue=@VarValue         
                        WHERE TaskId=@TaskId AND VariableName=@VarName
                END

        END
    ELSE
        BEGIN

            DECLARE @JobId int
            
            SET @JobId = 0

            -- If the task id is not zero, fetch the job id for the task.           
            IF (@TaskId > 0)
                BEGIN
                    SELECT @JobId=ParentJobId FROM Task WHERE Id=@TaskId
                END
            
            IF (@VarValue IS NOT NULL AND @VarValue <> N'')
                BEGIN
                    INSERT INTO dbo.TaskEnvironmentVariable 
                        (TaskId, JobId, VariableName, VariableValue)
                    VALUES
                        (@TaskId, @JobId, @VarName, @VarValue)
                END
        END
END
GO

/*
** SetJobEnvVar
**
** This stored procedure will add/update/delete an environment
** variable for a job.
*/

IF EXISTS (SELECT id from dbo.sysobjects WHERE id = object_id(N'[dbo].[SP_SetJobEnvironmentVariable]')) 
DROP PROCEDURE dbo.SP_SetJobEnvironmentVariable
GO
CREATE PROCEDURE SP_SetJobEnvironmentVariable
    @jobId        int,
    @VarName    nvarchar(128),
    @VarValue    nvarchar(max)
AS
BEGIN
    SET NOCOUNT ON;

    IF( EXISTS( SELECT 1 FROM dbo.JobEnvironmentVariable WITH (UPDLOCK) WHERE (JobId=@jobId AND VariableName=@VarName) ) )
    -- If the variable exists update it, otherwise add it
        BEGIN           
            IF (@VarValue is null or @VarValue='')
                BEGIN
                    DELETE from dbo.JobEnvironmentVariable 
                        WHERE JobId=@jobId AND VariableName=@VarName
                END
            ELSE
                BEGIN
                    UPDATE dbo.JobEnvironmentVariable 
                        SET VariableValue=@VarValue         
                        WHERE JobId=@jobId AND VariableName=@VarName
                END

        END
    ELSE
        BEGIN

            INSERT INTO dbo.JobEnvironmentVariable 
                (JobId, VariableName, VariableValue)
            VALUES
                (@jobId, @VarName, @VarValue)
        END
END
GO

/* 
** SP_ListJobEnvironmentVariable
**
** This procedure lists all the environment variables
** for a job.
*/

IF EXISTS (SELECT id from dbo.sysobjects WHERE id = object_id(N'[dbo].[SP_ListJobEnvironmentVariable]')) 
DROP PROCEDURE dbo.SP_ListJobEnvironmentVariable
GO
CREATE PROCEDURE SP_ListJobEnvironmentVariable
    @jobId        int
AS
BEGIN
    SET NOCOUNT ON;

    -- If the variable exists update it, otherwise add it

    SELECT VariableName,VariableValue FROM dbo.JobEnvironmentVariable WHERE JobId=@jobId

END
GO


/* 
** SP_AddTaskEnvironmentVariable
**
** This SP will directly add a new environment varaible to the table
** without checking to see that it first exists.  It is used when
** cloning a existing task.
*/

IF EXISTS (SELECT id from dbo.sysobjects WHERE id = object_id(N'[dbo].[SP_AddTaskEnvironmentVariable]')) 
DROP PROCEDURE dbo.SP_AddTaskEnvironmentVariable
GO
CREATE PROCEDURE SP_AddTaskEnvironmentVariable
    @TaskId int,
    @JobId int,
    @VarName nvarchar(128),
    @VarValue nvarchar(max)
AS
BEGIN
    SET NOCOUNT ON;

    INSERT INTO dbo.TaskEnvironmentVariable 
        (TaskId, JobId, VariableName, VariableValue)
    VALUES
        (@TaskId, @JobId, @VarName, @VarValue)
END
GO

/* 
** SP_ListAllTaskEnvironmentVariables
**
** This SP is used fetch all the enviroment variable for a job.
** It is used when cloning a job and all the variables need to
** be copied to the new tasks within the new job.
*/

IF EXISTS (SELECT id from dbo.sysobjects WHERE id = object_id(N'[dbo].[SP_ListAllTaskEnvironmentVariables]')) 
DROP PROCEDURE dbo.SP_ListAllTaskEnvironmentVariables
GO

CREATE PROCEDURE SP_ListAllTaskEnvironmentVariables
    @JobId int
AS
BEGIN
    SET NOCOUNT ON;

    -- If the variable exists update it, otherwise add it

    SELECT TaskId,VariableName,VariableValue 
    FROM dbo.TaskEnvironmentVariable 
    WHERE JobId=@JobId
    ORDER BY TaskId

END
GO


/* List Env Var SP */
IF EXISTS (SELECT id from dbo.sysobjects WHERE id = object_id(N'[dbo].[SP_ListTaskEnvironmentVariable]')) 
DROP PROCEDURE dbo.SP_ListTaskEnvironmentVariable
GO
CREATE PROCEDURE SP_ListTaskEnvironmentVariable
    @TaskId int
AS
BEGIN
    SET NOCOUNT ON;

    -- If the variable exists update it, otherwise add it

    SELECT TaskId,VariableName,VariableValue FROM dbo.TaskEnvironmentVariable WHERE TaskId=@TaskId

END
GO

/* Get ids of all the job's tasks that have associated environment variables.
   This does not include parametric sub-tasks */
IF EXISTS (SELECT id from dbo.sysobjects WHERE id = object_id(N'[dbo].[SP_GetIdsOfJobTasksWithEnvVars]')) 
DROP PROCEDURE dbo.SP_GetIdsOfJobTasksWithEnvVars
GO
CREATE PROCEDURE SP_GetIdsOfJobTasksWithEnvVars
    @JobId int
AS
BEGIN
    SET NOCOUNT ON;
    
    SELECT DISTINCT(TaskId)
    FROM TaskEnvironmentVariable
    WHERE JobId = @JobId
END
GO



IF EXISTS (SELECT id from dbo.sysobjects WHERE id = object_id(N'[dbo].[SP_DeleteTaskEnvironmentVariable]')) 
DROP PROCEDURE dbo.SP_DeleteTaskEnvironmentVariable
GO

/* Delete Env Var SP */
CREATE PROCEDURE SP_DeleteTaskEnvironmentVariable
    @TaskId int
AS
BEGIN
    SET NOCOUNT ON;

    -- If the variable exists update it, otherwise add it

    DELETE FROM dbo.TaskEnvironmentVariable WHERE TaskId=@TaskId

END
GO

/** Get the Shrink Requests for a job ***/
IF EXISTS (SELECT id from dbo.sysobjects WHERE id = object_id(N'[dbo].[SP_GetJobShrinkRequests]')) 
DROP PROCEDURE dbo.SP_GetJobShrinkRequests
GO

CREATE PROCEDURE SP_GetJobShrinkRequests
    @JobId int
AS 
BEGIN
    SET NOCOUNT ON;
    
    SELECT JobShrinkRequest.JobId, Node.Name, ResourceId,ShrinkRequest
    FROM JobShrinkRequest 
    INNER JOIN Node ON Node.Id = JobShrinkRequest.NodeId
    where JobShrinkRequest.JobId = @JobId
END
GO


/** Add a new Shrink Requests for a job ***/
IF EXISTS (SELECT id from dbo.sysobjects WHERE id = object_id(N'[dbo].[SP_AddJobShrinkRequest]')) 
DROP PROCEDURE dbo.SP_AddJobShrinkRequest
GO

CREATE PROCEDURE SP_AddJobShrinkRequest
    @JobId          int,
    @ResourceId     int,
    @NodeId         int,
    @ShrinkRequest  int
AS 
BEGIN
    SET NOCOUNT ON;
        
    IF (EXISTS(SELECT 1 FROM JobShrinkRequest WHERE JobId = @jobId and ResourceId = @ResourceId))
    BEGIN
        UPDATE JobShrinkRequest 
        SET ShrinkRequest = @ShrinkRequest
        WHERE JobId = @JobId
    END    
    ELSE
    BEGIN
        INSERT INTO JobShrinkRequest (JobId, ResourceId, NodeId, ShrinkRequest)
        VALUES (@JobId,@ResourceId,@NodeId,@ShrinkRequest)
    END    
END
GO


/** delete all existing Shrink Requests for a job ***/
IF EXISTS (SELECT id from dbo.sysobjects WHERE id = object_id(N'[dbo].[SP_DeleteAllJobShrinkRequests]')) 
DROP PROCEDURE dbo.SP_DeleteAllJobShrinkRequests
GO

CREATE PROCEDURE SP_DeleteAllJobShrinkRequests
    @JobId          int    
AS 
BEGIN

    SET NOCOUNT ON
    
    DELETE FROM JobShrinkRequest WHERE JobId =@JobId 

END
GO



/*
** GetTaskProcessId's SP
**
** This procesure will return all the process ids used for a 
** specific task that is or has run on the cluster.
*/

IF EXISTS (SELECT id from dbo.sysobjects WHERE id = object_id(N'[dbo].[SP_GetTaskPids]')) 
DROP PROCEDURE dbo.SP_GetTaskPids
GO

CREATE PROCEDURE SP_GetTaskPids
    @id int
AS
BEGIN
    SET NOCOUNT ON;
    
    SELECT Node.Name, NodeAllocationHistory.PIDS
    FROM NodeAllocationHistory
    JOIN Node on NodeAllocationHistory.NodeId=Node.Id
    JOIN Task on Task.RequeueCount=NodeAllocationHistory.TaskRequeueCount AND Task.Id=NodeAllocationHistory.TaskId
    WHERE NodeAllocationHistory.TaskId=@id and NumProcesses <> 0

END
GO

/*
** GetJobProcessId's SP
**
** This procesure will return all the process ids used for a 
** specific job that is or has run on the cluster.
*/

IF EXISTS (SELECT id from dbo.sysobjects WHERE id = object_id(N'[dbo].[SP_GetJobPids]')) 
DROP PROCEDURE dbo.SP_GetJobPids
GO

CREATE PROCEDURE SP_GetJobPids
    @id int
AS
BEGIN
    SET NOCOUNT ON;
    
    SELECT Node.Name, NodeAllocationHistory.PIDS
    FROM NodeAllocationHistory
    JOIN Node on NodeAllocationHistory.NodeId=Node.Id
    JOIN Job on Job.RequeueCount=NodeAllocationHistory.JobRequeueCount AND Job.Id=NodeAllocationHistory.JobId
    WHERE NodeAllocationHistory.JobId=@id and NumProcesses <> 0
END
GO


/* Set user extended data */
IF EXISTS (SELECT id from dbo.sysobjects WHERE id = object_id(N'[dbo].[SP_SetUserExtendedData]'))
DROP PROCEDURE dbo.SP_SetUserExtendedData
GO

CREATE PROCEDURE SP_SetUserExtendedData
    @runasName nvarchar(80),
    @runasSid nvarchar(80),
    @ownerName nvarchar(80),
    @ownerSid nvarchar(80),
    @extendedData nvarchar(max)
AS
BEGIN

    SET NOCOUNT OFF;

    DECLARE @runasId as int
    DECLARE @prevRunAsName as nvarchar(80)

    SELECT @runasId = Id, @prevRunAsName = Name
    FROM SID
    WHERE SID=@runasSid

    IF(@runasId is NULL)
    BEGIN
        INSERT INTO SID
            (SID, Name)
        VALUES
            (@runasSid, @runasName)

        SELECT @runasId = @@IDENTITY
    END
    ELSE
        IF(@prevRunAsName <> @runasName)
        BEGIN
            UPDATE SID 
            SET Name = @runasName
            WHERE Id = @runasId
        END
        

    DECLARE @ownerId as int
    DECLARE @prevOwnerName as nvarchar(80)

    SELECT @ownerId = Id, @prevOwnerName = Name
    FROM SID
    WHERE SID=@ownerSid

    IF(@ownerId is NULL)
    BEGIN
        INSERT INTO SID
            (SID, Name)
        VALUES
            (@ownerSid, @ownerName)

        SELECT @ownerId = @@IDENTITY
    END
    ELSE
        IF(@prevOwnerName <> @ownerName)
        BEGIN
            UPDATE SID
            SET Name = @ownerName
            WHERE Id = @ownerId
        END

    DECLARE @credentialId as int

    SELECT @credentialId = Id 
    FROM Credential
    WHERE RunAsId=@runasId AND OwnerId=@ownerId

    IF(@credentialId is NULL)
    BEGIN
        INSERT INTO dbo.Credential
            (RunAsId, OwnerId, ExtendedData)
        VALUES
            (@runasId, @ownerId, @extendedData)
    END
    ELSE
    BEGIN
        UPDATE dbo.Credential 
        SET ExtendedData=@extendedData
        WHERE Id = @credentialId
    END
END
GO

/* Set user name and password */
IF EXISTS (SELECT id from dbo.sysobjects WHERE id = object_id(N'[dbo].[SP_SetUserPassword]'))
DROP PROCEDURE dbo.SP_SetUserPassword
GO

CREATE PROCEDURE SP_SetUserPassword
    @runasName nvarchar(80),
    @runasSid nvarchar(80),
    @ownerName nvarchar(80),
    @ownerSid nvarchar(80),
    @password varbinary(800),
    @reusable int,
    @userRole int
AS
BEGIN

    SET NOCOUNT OFF;

    DECLARE @runasId as int
    DECLARE @prevRunAsName as nvarchar(80)
    DECLARE @prevUserRole as int

    SELECT @runasId = Id, @prevRunAsName = Name, @prevUserRole = UserRole
    FROM SID
    WHERE SID=@runasSid

    IF(@runasId is NULL)
    BEGIN
        INSERT INTO SID
            (SID, Name, UserRole)
        VALUES
            (@runasSid, @runasName, @userRole)

        SELECT @runasId = @@IDENTITY
    END
    ELSE
        IF(@prevRunAsName <> @runasName OR 
			(@prevUserRole IS NULL AND @userRole IS NOT NULL) OR
			(@prevUserRole IS NOT NULL AND @userRole IS NULL) OR
			@prevUserRole <> @userRole)
        BEGIN
            UPDATE SID 
            SET Name = @runasName, UserRole = @userRole
            WHERE Id = @runasId
        END
        

    DECLARE @ownerId as int
    DECLARE @prevOwnerName as nvarchar(80)

    SELECT @ownerId = Id, @prevOwnerName = Name
    FROM SID
    WHERE SID=@ownerSid

    IF(@ownerId is NULL)
    BEGIN
        INSERT INTO SID
            (SID, Name)
        VALUES
            (@ownerSid, @ownerName)

        SELECT @ownerId = @@IDENTITY
    END
    ELSE
        IF(@prevOwnerName <> @ownerName)
        BEGIN
            UPDATE SID
            SET Name = @ownerName
            WHERE Id = @ownerId
        END

    DECLARE @credentialId as int

    SELECT @credentialId = Id 
    FROM Credential
    WHERE RunAsId=@runasId AND OwnerId=@ownerId

    IF(@credentialId is NULL)
    BEGIN
       if(@reusable is null)
       BEGIN
        INSERT INTO dbo.Credential
            (RunAsId, OwnerId, Password, Reusable)
        VALUES
            (@runasId, @ownerId, @password, 0)
       END
       ELSE
       BEGIN
        INSERT INTO dbo.Credential
            (RunAsId, OwnerId, Password, Reusable)
        VALUES
            (@runasId, @ownerId, @password, @reusable)
       END
    END
    ELSE
    BEGIN
        if(@reusable is not null)
        BEGIN
            UPDATE dbo.Credential
            SET Password=@password, Reusable=@reusable, Certificate=NULL
            WHERE Id = @credentialId
        END
        ELSE
        BEGIN
            UPDATE dbo.Credential 
            SET Password=@password, Certificate=NULL
            WHERE Id = @credentialId
        END
    END

END
GO

/* Set the reusable flag on a particular credential */
IF EXISTS (SELECT id from dbo.sysobjects WHERE id = object_id(N'[dbo].[SP_SetCredentialReusableFlag]'))
DROP PROCEDURE dbo.SP_SetCredentialReusableFlag
GO

CREATE PROCEDURE SP_SetCredentialReusableFlag
    @credId int,
    @reusable int
AS
BEGIN
 SET NOCOUNT ON;

 UPDATE dbo.Credential 
 SET Reusable = @reusable
 where Id=@credId

END
GO


IF EXISTS (SELECT id from dbo.sysobjects WHERE id = object_id(N'[dbo].[SP_SetUserPasswordCertificate]'))
DROP PROCEDURE dbo.SP_SetUserPasswordCertificate
GO


CREATE PROCEDURE SP_SetUserPasswordCertificate
    @runasName nvarchar(80),
    @runasSid nvarchar(80),
    @ownerName nvarchar(80),
    @ownerSid nvarchar(80),
    @password varbinary(800),
    @reusable int,
    @certificate varbinary(max)
AS
BEGIN

    SET NOCOUNT OFF;

    DECLARE @runasId as int
    DECLARE @prevRunAsName as nvarchar(80)

    SELECT @runasId = Id, @prevRunAsName = Name
    FROM SID
    WHERE SID=@runasSid

    IF(@runasId is NULL)
    BEGIN
        INSERT INTO SID
            (SID, Name)
        VALUES
            (@runasSid, @runasName)

        SELECT @runasId = @@IDENTITY
    END
    ELSE
        IF(@prevRunAsName <> @runasName)
        BEGIN
            UPDATE SID 
            SET Name = @runasName
            WHERE Id = @runasId
        END
        

    DECLARE @ownerId as int
    DECLARE @prevOwnerName as nvarchar(80)

    SELECT @ownerId = Id, @prevOwnerName = Name
    FROM SID
    WHERE SID=@ownerSid

    IF(@ownerId is NULL)
    BEGIN
        INSERT INTO SID
            (SID, Name)
        VALUES
            (@ownerSid, @ownerName)

        SELECT @ownerId = @@IDENTITY
    END
    ELSE
        IF(@prevOwnerName <> @ownerName)
        BEGIN
            UPDATE SID
            SET Name = @ownerName
            WHERE Id = @ownerId
        END

    DECLARE @credentialId as int

    SELECT @credentialId = Id 
    FROM Credential
    WHERE RunAsId=@runasId AND OwnerId=@ownerId

    IF(@credentialId is NULL)
    BEGIN
       if(@reusable is null)
       BEGIN
        INSERT INTO dbo.Credential
            (RunAsId, OwnerId, Password, Certificate)
        VALUES
            (@runasId, @ownerId, @password, @certificate)
       END
       ELSE
       BEGIN
        INSERT INTO dbo.Credential
            (RunAsId, OwnerId, Password, Reusable, Certificate)
        VALUES
            (@runasId, @ownerId, @password, @reusable, @certificate)
       END
    END
    ELSE
    BEGIN
        if(@reusable is not null)
        BEGIN
            UPDATE dbo.Credential
            SET Password=@password, Reusable=@reusable, Certificate=@certificate
            WHERE Id = @credentialId
        END
        ELSE
        BEGIN
            UPDATE dbo.Credential 
            SET Password=@password, Certificate=@certificate
            WHERE Id = @credentialId
        END
    END

END
GO
















/* Job/task Allocation List */
IF EXISTS (SELECT id from dbo.sysobjects WHERE id = object_id(N'[dbo].[SP_JobAllocatedNodes]')) 
DROP PROCEDURE dbo.SP_JobAllocatedNodes
GO

CREATE PROCEDURE SP_JobAllocatedNodes
    @id int
AS
BEGIN
    SELECT     NodeName.Name, 1
    FROM       AllocationHistory WITH ( INDEX ( IDX_AllocationHistory_JobIdTaskIdJobRequeueCount ) ) INNER JOIN NodeName ON AllocationHistory.NodeId = NodeName.Id                                                                 
                                 INNER JOIN Job On AllocationHistory.JobId = Job.Id                                 
    WHERE AllocationHistory.JobId = @id AND AllocationHistory.TaskId = 0 AND (  (Job.State IN (128,256,512)) OR  (AllocationHistory.EndTime is NULL and AllocationHistory.JobRequeueCount=Job.RequeueCount) )
    GROUP BY NodeName.Name
END
GO

IF EXISTS (SELECT id from dbo.sysobjects WHERE id = object_id(N'[dbo].[SP_JobAllocatedSockets]')) 
DROP PROCEDURE dbo.SP_JobAllocatedSockets
GO

CREATE PROCEDURE SP_JobAllocatedSockets
    @id int
AS
BEGIN
    SELECT     NodeName.Name, count(distinct(AllocationHistory.SocketId))
    FROM       AllocationHistory WITH ( INDEX ( IDX_AllocationHistory_JobIdTaskIdJobRequeueCount ) ) 
    INNER JOIN NodeName ON AllocationHistory.NodeId = NodeName.Id                                                                 
    INNER JOIN Job On AllocationHistory.JobId = Job.Id                                 
    WHERE AllocationHistory.JobId = @id AND AllocationHistory.TaskId = 0 AND  (  (Job.State IN (128,256,512)) OR  (AllocationHistory.EndTime is NULL and AllocationHistory.JobRequeueCount=Job.RequeueCount) )
    GROUP BY NodeName.Name
END
GO

IF EXISTS (SELECT id from dbo.sysobjects WHERE id = object_id(N'[dbo].[SP_JobAllocatedCores]')) 
DROP PROCEDURE dbo.SP_JobAllocatedCores
GO

CREATE PROCEDURE SP_JobAllocatedCores
    @id int
AS
BEGIN
    SELECT     NodeName.Name, count(distinct(AllocationHistory.ResourceId))
    FROM       AllocationHistory WITH ( INDEX ( IDX_AllocationHistory_JobIdTaskIdJobRequeueCount ) ) 
    INNER JOIN NodeName ON AllocationHistory.NodeId = NodeName.Id                                                                 
    INNER JOIN Job On AllocationHistory.JobId = Job.Id                                 
    WHERE AllocationHistory.JobId = @id AND AllocationHistory.TaskId = 0 AND  (  (Job.State IN (128,256,512)) OR ( AllocationHistory.EndTime is NULL and AllocationHistory.JobRequeueCount=Job.RequeueCount) )
    GROUP BY NodeName.Name
END
GO

IF EXISTS (SELECT id from dbo.sysobjects WHERE id = object_id(N'[dbo].[SP_TaskAllocatedNodes]')) 
DROP PROCEDURE dbo.SP_TaskAllocatedNodes
GO

CREATE PROCEDURE SP_TaskAllocatedNodes
    @id int
AS
BEGIN
    SELECT     NodeName.Name, 1
    FROM       AllocationHistory WITH( INDEX( IDX_AllocationHistory_TaskIdTaskRequeueCount ))
    INNER JOIN NodeName ON AllocationHistory.NodeId = NodeName.Id                                                                 
    INNER JOIN Task On AllocationHistory.TaskId = Task.Id and AllocationHistory.TaskRequeueCount=Task.RequeueCount
    WHERE AllocationHistory.TaskId = @id
    GROUP BY NodeName.Name 
    Order by NodeName.Name
END
GO

IF EXISTS (SELECT id from dbo.sysobjects WHERE id = object_id(N'[dbo].[SP_TaskAllocatedSockets]')) 
DROP PROCEDURE dbo.SP_TaskAllocatedSockets
GO

CREATE PROCEDURE SP_TaskAllocatedSockets
    @id int
AS
BEGIN
    SELECT     NodeName.Name, count(distinct(AllocationHistory.SocketId))
    FROM       AllocationHistory WITH( INDEX( IDX_AllocationHistory_TaskIdTaskRequeueCount ))
    INNER JOIN NodeName ON AllocationHistory.NodeId = NodeName.Id                                                                 
    INNER JOIN Task On AllocationHistory.TaskId = Task.Id and AllocationHistory.TaskRequeueCount=Task.RequeueCount
    WHERE AllocationHistory.TaskId = @id
    GROUP BY NodeName.Name
    Order by NodeName.Name
END
GO

IF EXISTS (SELECT id from dbo.sysobjects WHERE id = object_id(N'[dbo].[SP_TaskAllocatedCores]')) 
DROP PROCEDURE dbo.SP_TaskAllocatedCores
GO

CREATE PROCEDURE SP_TaskAllocatedCores
    @id int
AS
BEGIN
    SELECT     NodeName.Name, count(distinct(AllocationHistory.ResourceId))
    FROM       AllocationHistory WITH( INDEX( IDX_AllocationHistory_TaskIdTaskRequeueCount ))
    INNER JOIN NodeName ON AllocationHistory.NodeId = NodeName.Id                                                                 
                                 INNER JOIN Task On AllocationHistory.TaskId = Task.Id and AllocationHistory.TaskRequeueCount=Task.RequeueCount
    WHERE AllocationHistory.TaskId = @id
    GROUP BY NodeName.Name
    Order by NodeName.Name
END
GO

IF EXISTS (SELECT id from dbo.sysobjects WHERE id = object_id(N'[dbo].[SP_TaskAllocatedCoreIds]')) 
DROP PROCEDURE dbo.SP_TaskAllocatedCoreIds
GO

CREATE PROCEDURE SP_TaskAllocatedCoreIds
    @id int
AS
BEGIN
    SELECT     NodeName.Name, AllocationHistory.CoreId
    FROM       AllocationHistory WITH( INDEX( IDX_AllocationHistory_TaskIdTaskRequeueCount ))
    INNER JOIN NodeName ON AllocationHistory.NodeId = NodeName.Id                                                                 
                                 INNER JOIN Task On AllocationHistory.TaskId = Task.Id and AllocationHistory.TaskRequeueCount=Task.RequeueCount
    WHERE AllocationHistory.TaskId = @id
END
GO


/*
** ResetNodeResourceCounter
*/

IF EXISTS (SELECT id from dbo.sysobjects WHERE id = object_id(N'[dbo].[SP_ResetNodeResourceCounter]')) 
DROP PROCEDURE dbo.SP_ResetNodeResourceCounter
GO

CREATE PROCEDURE SP_ResetNodeResourceCounter
AS
BEGIN
    SET NOCOUNT ON;

    UPDATE NodeResourceCounter SET
        Offline                   = _Offline,
        Idle                      = _Idle,
        ScheduledReserve          = _ScheduledReserve,
        JobScheduled              = _JobScheduled,
        ReadyForTask              = _ReadyForTask,
        TaskScheduled             = _TaskScheduled,
        JobTaskScheduled          = _JobTaskScheduled,
        TaskDispatched            = _TaskDispatched,
        JobTaskDispatched         = _JobTaskDispatched,
        TaskRunning               = _TaskRunning,
        CloseTask                 = _CloseTask,
        CloseTaskDispatched       = _CloseTaskDispatched,
        TaskClosed                = _TaskClosed,
        CloseJob                  = _CloseJob
    FROM 
    (
        SELECT 
            r.nodeid,  
            sum( case WHEN r.state =0       THEN 1 ELSE 0 END ) AS _Offline,
            sum( case WHEN r.state =1       THEN 1 ELSE 0 END ) AS _Idle,
            sum( CASE WHEN r.state =2       THEN 1 ELSE 0 END ) AS _ScheduledReserve,
            sum( CASE WHEN r.state =4       THEN 1 ELSE 0 END ) AS _JobScheduled,
            sum( CASE WHEN r.state =8       THEN 1 ELSE 0 END ) AS _ReadyForTask,
            sum( CASE WHEN r.state =16      THEN 1 ELSE 0 END ) AS _TaskScheduled,
            sum( CASE WHEN r.state =32      THEN 1 ELSE 0 END ) AS _JobTaskScheduled,
            sum( CASE WHEN r.state =64      THEN 1 ELSE 0 END ) AS _TaskDispatched,
            sum( CASE WHEN r.state =128     THEN 1 ELSE 0 END ) AS _JobTaskDispatched,
            sum( CASE WHEN r.state =256     THEN 1 ELSE 0 END ) AS _TaskRunning,
            sum( CASE WHEN r.state =512     THEN 1 ELSE 0 END ) AS _CloseTask,
            sum( CASE WHEN r.state =1024    THEN 1 ELSE 0 END ) AS _CloseTaskDispatched,
            sum( CASE WHEN r.state =2048    THEN 1 ELSE 0 END ) AS _TaskClosed,
            sum( CASE WHEN r.state =4096    THEN 1 ELSE 0 END ) AS _CloseJob
        FROM Resource as r WITH(UPDLOCK, TABLOCK)
        WHERE r.Phantom=0
        GROUP BY r.NodeId 
    ) as NodeCounters

    JOIN NodeResourceCounter as nrc
    ON nrc.NodeId = NodeCounters.NodeId
END
GO

/*
** ResetResourceCounter
*/

IF EXISTS (SELECT id from dbo.sysobjects WHERE id = object_id(N'[dbo].[SP_ResetResourceCounter]')) 
DROP PROCEDURE dbo.SP_ResetResourceCounter
GO

CREATE PROCEDURE SP_ResetResourceCounter
AS
BEGIN
    SET NOCOUNT ON;

    -- Update the store resource counters

    UPDATE ResourceCounter SET 
        Offline                 = _Offline,
        Idle                    = _Idle,
        ScheduledReserve        = _ScheduledReserve,
        JobScheduled            = _JobScheduled,
        ReadyForTask            = _ReadyForTask,
        TaskScheduled           = _TaskScheduled,
        JobTaskScheduled        = _JobTaskScheduled,
        TaskDispatched          = _TaskDispatched,
        JobTaskDispatched       = _JobTaskDispatched,
        TaskRunning             = _TaskRunning,
        CloseTask               = _CloseTask,
        CloseTaskDispatched     = _CloseTaskDispatched,
        TaskClosed              = _TaskClosed,
        CloseJob                = _CloseJob,
        Total                   = _offline + _idle + _ScheduledReserve + _JobScheduled + 
                                  _ReadyForTask + _TaskScheduled + _JobTaskScheduled + 
                                  _TaskDispatched + _JobTaskDispatched + _TaskRunning +
                                  _CloseTask + _CloseTaskDispatched + _TaskClosed + _CloseJob
    FROM
    (
        SELECT 
            [0]     as _Offline,
            [1]     as _Idle,
            [2]     as _ScheduledReserve,
            [4]     as _JobScheduled,
            [8]     as _ReadyForTask,
            [16]    as _TaskScheduled,
            [32]    as _JobTaskScheduled,
            [64]    as _TaskDispatched,
            [128]   as _JobTaskDispatched,
            [256]   as _TaskRunning,
            [512]   as _CloseTask,
            [1024]  as _CloseTaskDispatched,
            [2048]  as _TaskClosed,
            [4096]  as _CloseJob
        FROM (SELECT id,state FROM Resource WITH (UPDLOCK, TABLOCK) where Resource.Phantom = 0) as TEMP
        PIVOT (COUNT(id) FOR state in ([0],[1],[2],[4],[8],[16],[32],[64],[128],[256],[512],[1024],[2048],[4096])) as pvt
    ) as a

END
GO

/*
** ResetNodeCounter
*/

IF EXISTS (SELECT id from dbo.sysobjects WHERE id = object_id(N'[dbo].[SP_ResetNodeCounter]')) 
DROP PROCEDURE dbo.SP_ResetNodeCounter
GO

CREATE PROCEDURE SP_ResetNodeCounter
AS
BEGIN
    SET NOCOUNT ON;

    DECLARE @unreachable INT;
    DECLARE @unreachableCores INT;

    -- Lock the node table to prevent Reachable from becoming modified and messing with our calculations
    SELECT @unreachable=COUNT(ID) FROM Node WITH(UPDLOCK, TABLOCK) WHERE Reachable=0

    -- No need to lock the resource table, since Resource.NodeId is not going to change    
    SELECT @unreachableCores=COUNT(Resource.ID) FROM Resource JOIN Node ON Resource.NodeId = Node.ID WHERE Node.Reachable=0

    -- update the store node counters

    UPDATE NodeCounter SET 
        total       = _offline + _draining + _ready,
        offline     = _offline,
        draining    = _draining,
        Online      = _ready,
        unreachable = @unreachable,
        unreachablecores = @unreachableCores
    FROM
    (
        SELECT 
            [1] as _offline,
            [2] as _draining,
            [4] as _ready
        -- No need to lock the Node table here, since it is already locked above
        FROM (SELECT id,state FROM Node) as TEMP
        PIVOT (COUNT(id) FOR state in ([1], [2], [4])) as pvt
    ) as a

END
GO


/*
** ResetJobCounter
*/

IF EXISTS (SELECT id from dbo.sysobjects WHERE id = object_id(N'[dbo].[SP_ResetJobCounter]')) 
DROP PROCEDURE dbo.SP_ResetJobCounter
GO

CREATE PROCEDURE SP_ResetJobCounter
AS
BEGIN
    SET NOCOUNT ON;

    -- update the store node counters

    UPDATE JobCounter SET 
        Configuring         = _Configuring,
        Submitted           = _Submitted,
        Validating          = _Validating,
        ExternalValidation  = _ExternalValidation,
        Queued              = _Queued,
        Running             = _Running,
        Finishing           = _Finishing,
        Finished            = _Finished,
        Failed              = _Failed,
        Canceled            = _Canceled,
        Canceling           = _Canceling,
        total               = _Configuring + _Submitted + _Validating +
                              _ExternalValidation + _Queued + _Running +
                              _Finishing + _Finished + _Failed +
                              _Canceled + _Canceling
    FROM
    (
        SELECT 
            [1]     as _Configuring,
            [2]     as _Submitted,
            [4]     as _Validating,
            [8]     as _ExternalValidation,
            [16]    as _Queued,
            [32]    as _Running,
            [64]    as _Finishing,
            [128]   as _Finished,
            [256]   as _Failed,
            [512]   as _Canceled,
            [1024]  as _Canceling
        FROM (SELECT id,state FROM Job WITH(UPDLOCK, TABLOCK)) as TEMP
        PIVOT (COUNT(id) FOR state in ([0], [1], [2], [4], [8], [16], [32], [64], [128], [256], [512], [1024])) as pvt
    ) as a

END
GO

/*
** ResetTaskCounter
*/

IF EXISTS (SELECT id from dbo.sysobjects WHERE id = object_id(N'[dbo].[SP_ResetTaskCounter]')) 
DROP PROCEDURE dbo.SP_ResetTaskCounter
GO

CREATE PROCEDURE SP_ResetTaskCounter
AS
BEGIN
    SET NOCOUNT ON;

    -- update the store node counters

    UPDATE TaskCounter SET 
    
        Configuring         = _Configuring,
        Submitted           = _Submitted,
        Validating          = _Validating,
        Queued              = _Queued,
        Dispatching         = _Dispatching,
        Running             = _Running,
        Finishing           = _Finishing,
        Finished            = _Finished,
        Failed              = _Failed,
        Canceled            = _Canceled,
        Canceling           = _Canceling,
        Total               = _Total
        
    FROM
    (
        SELECT            
            COALESCE(SUM(j.Configuring),0)        as _Configuring,
            COALESCE(SUM(j.Submitted),0)        as _Submitted,
            COALESCE(SUM(j.Validating),0)        as _Validating,
            COALESCE(SUM(j.Queued),0)            as _Queued,
            COALESCE(SUM(j.Dispatching),0)        as _Dispatching,
            COALESCE(SUM(j.Running),0)            as _Running,
            COALESCE(SUM(j.Finishing),0)        as _Finishing,
            COALESCE(SUM(j.Finished),0)            as _Finished,
            COALESCE(SUM(j.Failed),0)            as _Failed,
            COALESCE(SUM(j.Canceled),0)            as _Canceled,
            COALESCE(SUM(j.Canceling),0)        as _Canceling,
            COALESCE(SUM(j.Total),0)            as _Total
        FROM JobTaskCounter AS j WITH(UPDLOCK, TABLOCK)
    ) as a

END
GO


/*
 * SP_UpdateJobMessage
 */
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[SP_UpdateJobMessage]'))
DROP PROCEDURE dbo.SP_UpdateJobMessage
GO

CREATE PROCEDURE SP_UpdateJobMessage(
    @jobId int,                 -- The job Id
    @messageType int,           -- Message Type
    @messageCode int,           -- Message Code (e.g. error code, or pending reason code)
    @messageSubCode int,        -- Message Sub Code (e.g., task exit code in case of certain task errors)
    @deltaCount int,            -- The change in the count of the message
    @maxCount int,              -- The maximum allowed count of the message
    @updateTime datetime,       -- The time when the latest instance of the message occurred
    @extraText nvarchar(max),   -- Any extra text associated with the message (only relevant when the first message is recorded)
    @id int out,                -- OUTPUT: The ID of the message record
    @action int out,            -- OUTPUT: The action taken (0=none, 1=record added, 2=record modified)
    @newCount int out,          -- OUTPUT: The new count of message instances
    @timeChanged bit out        -- OUTPUT: Whether or not the latest message time has changed
)
AS
BEGIN
    DECLARE @oldCount int
    DECLARE @existingTime datetime
    DECLARE @actualNewCount int

    SET @action  = 0  --No change
    SET @timeChanged = 0
            
    -- Find a record corresponding to the current combination of
    -- Job ID, message type, message code and sub-code.
    SELECT
        @id = Id,
        @oldCount = MessageCount
    FROM dbo.JobMessage WITH (UPDLOCK)
    WHERE JobId=@jobId 
        AND MessageType=@messageType
        AND MessageCode=@messageCode 
        AND MessageSubCode=@messageSubCode
    
    -- Figure out the new message count.  Illegal values should
    -- be reported back to the caller (which should recognize them as illegal),
    -- but not recorded in the database.
    IF (@oldCount IS NULL)
    BEGIN
        SET @oldCount = 0
    END
    SET @newCount = @oldCount + @deltaCount    
    
    IF (@newCount >= 0 AND @newCount <= @maxCount)
    BEGIN
        SET @actualNewCount = @newCount
    END
    ELSE 
    BEGIN
        IF (@newCount < 0)
            SET @actualNewCount = 0                
        ELSE
            SET @actualNewCount = @maxCount
    END
    
        
    -- IF we already have a record for this message, figure out the new count
    IF (@id IS NOT NULL)
    BEGIN
        -- Update the count if it is still positive
        UPDATE dbo.JobMessage SET
            @existingTime = LastMessageTime,
            MessageCount=@actualNewCount,
            LastMessageTime=
            CASE
                WHEN LastMessageTime < @updateTime THEN @updateTime
                ELSE LastMessageTime
            END,
            ExtraText = @extraText
        WHERE Id=@id
    
        -- Figure out if the time of the latest message changed
        IF @existingTime < @updateTime
        BEGIN
            SET @timeChanged = 1
        END

        SET @action = 2  --Modified        
    END
    
    -- If the record does not exist, insert it
    ELSE
    BEGIN
        IF @actualNewCount > 0
        BEGIN
            INSERT INTO JobMessage
                (JobId, LastMessageTime, MessageType, MessageCode, MessageSubCode, MessageCount, ExtraText)
            VALUES
                (@jobId, @updateTime, @messageType, @messageCode, @messageSubCode, @actualNewCount, @extraText)
            
            set @id = @@IDENTITY
            set @action = 1   --Inserted
            set @timeChanged = 1
        END
    END
END
GO


/*
** SP_PeriodicCounterFix
**
** This SP will be called periodically by the scheduler store
** to correct node counters.
*/

IF EXISTS (SELECT id from dbo.sysobjects WHERE id = object_id(N'[dbo].[SP_PeriodicCounterFix]')) 
DROP PROCEDURE dbo.SP_PeriodicCounterFix
GO

CREATE PROCEDURE SP_PeriodicCounterFix
AS
BEGIN
    exec SP_ResetResourceCounter;
    exec SP_ResetNodeCounter;
    exec SP_ResetNodeResourceCounter;
END 
GO

/*
** CleanupZombieResources
**
** This procedure is used to track down zombie resources
** on the cluster, and reset them back to idle.
**
** *NOTE* This will be removed before we ship.  It is 
** for debugging purposes only.
*/

    
IF EXISTS (SELECT id from dbo.sysobjects WHERE id = object_id(N'[dbo].[SP_CleanupZombieResources]')) 
DROP PROCEDURE dbo.SP_CleanupZombieResources
GO

CREATE PROCEDURE SP_CleanupZombieResources
AS
BEGIN
    SET NOCOUNT OFF
    --
    -- First put all the zombie into the zombie table
    --
    
    DECLARE @nRows as int
    SET @nRows = 0
    
    INSERT INTO Zombie (JobId, JobState, ResourceId, ResourceState)
        SELECT Job.ID as JobId, Job.State as JobState, Resource.ID as ResourceId, Resource.State as ResourceState
        FROM Resource WITH ( READPAST )
        INNER JOIN Job WITH (READPAST)    ON Job.Id = Resource.JobId
        WHERE 
            Resource.State > 1 -- not idle
            AND Job.State <> 0x20 --Running
            AND Job.State <> 0x40 --Finishing
            AND Job.State <> 0x400 --Canceling 
    SET @nRows = @nRows + @@ROWCOUNT
        
    INSERT INTO Zombie (JobId, JobState, ResourceId, ResourceState)
        SELECT JobId, 1, Resource.ID as ResourceId, Resource.State as ResourceState
        FROM Resource WITH ( READPAST )
        WHERE 
            Resource.State > 1 -- not idle
            AND JobId IS NULL     -- but no job
    SET @nRows = @nRows + @@ROWCOUNT

    --
    -- If we added new Zombie entries we need to fix up
    -- counters, and then reset the resource table.
    --
    if( @nRows > 0)
    BEGIN
        UPDATE NodeResourceCounter SET
              JobScheduled              = JobScheduled          - _JobScheduled,
              ReadyForTask              = ReadyForTask          - _ReadyForTask,
              TaskScheduled             = TaskScheduled         - _TaskScheduled,
              JobTaskScheduled          = JobTaskScheduled      - _JobTaskScheduled,
              TaskDispatched            = TaskDispatched        - _TaskDispatched,
              JobTaskDispatched         = JobTaskDispatched     - _JobTaskDispatched,
              TaskRunning               = TaskRunning           - _TaskRunning,
              CloseTask                 = CloseTask             - _CloseTask,
              CloseTaskDispatched       = CloseTaskDispatched   - _CloseTaskDispatched,
              TaskClosed                = TaskClosed            - _TaskClosed,
              CloseJob                  = CloseJob              - _CloseJob,
              Idle                      = Idle + _JobScheduled + _ReadyForTask + _TaskScheduled + _JobTaskScheduled 
                                            + _TaskDispatched + _JobTaskDispatched + _TaskRunning + _CloseTask + _CloseTaskDispatched               
                                            + _TaskClosed + _CloseJob
        FROM 
        --
        -- Select the per node counts for each resource in a zombie state.
        --
        (
        SELECT 
            r.nodeid,  
            sum( CASE WHEN r.state =4       THEN 1 ELSE 0 END ) AS _JobScheduled,
            sum( CASE WHEN r.state =8       THEN 1 ELSE 0 END ) AS _ReadyForTask,
            sum( CASE WHEN r.state =16      THEN 1 ELSE 0 END ) AS _TaskScheduled,
            sum( CASE WHEN r.state =32      THEN 1 ELSE 0 END ) AS _JobTaskScheduled,
            sum( CASE WHEN r.state =64      THEN 1 ELSE 0 END ) AS _TaskDispatched,
            sum( CASE WHEN r.state =128     THEN 1 ELSE 0 END ) AS _JobTaskDispatched,
            sum( CASE WHEN r.state =256     THEN 1 ELSE 0 END ) AS _TaskRunning,
            sum( CASE WHEN r.state =512     THEN 1 ELSE 0 END ) AS _CloseTask,
            sum( CASE WHEN r.state =1024    THEN 1 ELSE 0 END ) AS _CloseTaskDispatched,
            sum( CASE WHEN r.state =2048    THEN 1 ELSE 0 END ) AS _TaskClosed,
            sum( CASE WHEN r.state =4096    THEN 1 ELSE 0 END ) AS _CloseJob
        FROM Zombie AS z
        JOIN Resource AS r
            ON r.Id = z.ResourceId
        WHERE z.Closed=0
        GROUP BY r.NodeId 
        ) AS ZombieNodes
        --
        -- And join to the noderesourcecounter to update.
        --
        JOIN NodeResourceCounter as nrc
        ON nrc.NodeId = ZombieNodes.NodeId

        --
        -- Now reset all the resources added to the Zombie table
        -- back to idle.
        --
        UPDATE Resource SET 
            JobId=NULL,
            TaskId=NULL,
            FirstTaskAllocation=0,
            State=1
        FROM Resource
            JOIN Zombie ON Zombie.ResourceId = Resource.Id
        WHERE Zombie.Closed=0

        --
        -- Fix up the global resource counters.
        -- This needs to be done after the resource table is 
        -- corrected.
        --
        EXEC SP_ResetResourceCounter

        --
        -- Last close out the Zombie entries so that they are 
        -- not used again.
        --
        UPDATE Zombie SET Closed=1 WHERE Closed=0

    END

    SET NOCOUNT ON
END
GO

IF EXISTS (SELECT id from dbo.sysobjects WHERE id = object_id(N'[dbo].[SP_GetNumOfParametricTasks]')) 
DROP PROCEDURE dbo.SP_GetNumOfParametricTasks
GO

CREATE PROCEDURE SP_GetNumOfParametricTasks(
    @JobId int,                 -- The job Id
    @Num int out           
)
AS
BEGIN
    SELECT @Num = COUNT(Id) FROM Task WITH (NOLOCK) WHERE ParentJobId = @JobId AND InstanceId = -1
END
GO

IF EXISTS (SELECT id from dbo.sysobjects WHERE id = object_id(N'[dbo].[SP_LoadCredentials]')) 
DROP PROCEDURE dbo.SP_LoadCredentials
GO

CREATE PROCEDURE SP_LoadCredentials
AS
BEGIN
    SELECT Credential.Id, SID_User.Name, SID_Owner.Name, SID_User.SID, SID_Owner.SID, Credential.Reusable, Credential.Password, Credential.Certificate, SID_User.UserRole, Credential.ExtendedData
    FROM Credential
    LEFT OUTER JOIN SID AS SID_User ON Credential.RunAsId = SID_User.Id
    LEFT OUTER JOIN SID AS SID_Owner ON Credential.OwnerId = SID_Owner.Id
END
GO


IF EXISTS (SELECT id from dbo.sysobjects WHERE id = object_id(N'[dbo].[SP_LoadConfig]')) 
DROP PROCEDURE dbo.SP_LoadConfig
GO

CREATE PROCEDURE SP_LoadConfig
AS
BEGIN
    SELECT ParamName, StringValue, BinaryValue FROM ClusterParameter
END
GO

IF EXISTS (SELECT id from dbo.sysobjects WHERE id = object_id(N'[dbo].[SP_UpdateConfig]')) 
DROP PROCEDURE dbo.SP_UpdateConfig
GO

CREATE PROCEDURE SP_UpdateConfig(
    @ParamName nvarchar(128),
    @StringValue nvarchar(2048),
    @BinaryValue varbinary(800)
)
AS
BEGIN
    IF EXISTS(SELECT ParamName FROM ClusterParameter WHERE ParamName = @ParamName)
        UPDATE ClusterParameter SET StringValue = @StringValue, BinaryValue = @BinaryValue WHERE ParamName = @ParamName
    ELSE
        INSERT INTO ClusterParameter (ParamName, StringValue, BinaryValue) VALUES (@ParamName, @StringValue, @BinaryValue)
END
GO

IF EXISTS (SELECT id from dbo.sysobjects WHERE id = object_id(N'[dbo].[SP_DeleteConfig]')) 
DROP PROCEDURE dbo.SP_DeleteConfig
GO

CREATE PROCEDURE SP_DeleteConfig(
    @ParamName nvarchar(128)
)
AS
BEGIN
    DELETE FROM ClusterParameter WHERE ParamName = @ParamName
END
GO

/* For Azure */
IF EXISTS (SELECT id from dbo.sysobjects WHERE id = object_id(N'[dbo].[SP_AddAzureDeployment]')) 
DROP PROCEDURE dbo.SP_AddAzureDeployment
GO

CREATE PROCEDURE SP_AddAzureDeployment(
	@DeploymentId nvarchar(64),
	@SubscriptionId nvarchar(128),
	@ServiceName nvarchar(128),
	@EncryptedStorageConnectionString varbinary(max),
	@ProxyMultiplicity int,
	@AlreadyExists int out
)
AS
BEGIN
    SET @AlreadyExists = 0
	IF NOT EXISTS(SELECT DeploymentId FROM AzureDeployment WITH(UPDLOCK) WHERE DeploymentId = @DeploymentId)
		INSERT INTO AzureDeployment (DeploymentId, SubscriptionId, ServiceName, EncryptedStorageConnectionString, ProxyMultiplicity) VALUES ( @DeploymentId, @SubscriptionId, @ServiceName, @EncryptedStorageConnectionString, @ProxyMultiplicity)
    ELSE
        -- If exists, we should return that as an output parameter
        SET @AlreadyExists = 1
END
GO

IF EXISTS (SELECT id from dbo.sysobjects WHERE id = object_id(N'[dbo].[SP_RemoveAzureDeployment]')) 
DROP PROCEDURE dbo.SP_RemoveAzureDeployment
GO

CREATE PROCEDURE SP_RemoveAzureDeployment(
	@DeploymentId nvarchar(64),
	@DoesnotExist int out
)
AS
BEGIN
    SET @DoesnotExist = 0
    IF NOT EXISTS(SELECT DeploymentId FROM AzureDeployment WITH(UPDLOCK) WHERE DeploymentId = @DeploymentId)
       SET @DoesnotExist = 1
	ELSE
	BEGIN
	   UPDATE Node set AzureDeploymentId = null where AzureDeploymentId = @DeploymentId
	   DELETE FROM AzureDeployment WHERE DeploymentId = @DeploymentId	   
    END
END
GO

IF EXISTS (SELECT id from dbo.sysobjects WHERE id = object_id(N'[dbo].[SP_SetAllJobsOfPoolToDefaultPool]')) 
DROP PROCEDURE dbo.SP_SetAllJobsOfPoolToDefaultPool
GO

CREATE PROCEDURE SP_SetAllJobsOfPoolToDefaultPool(
	@PoolId int
)
AS
BEGIN
	UPDATE Job SET PoolId =1 where PoolId=@PoolId and State >= 16
END
GO

IF EXISTS (SELECT id from dbo.sysobjects WHERE id = object_id(N'[dbo].[SP_AddPool]')) 
DROP PROCEDURE dbo.SP_AddPool
GO

-- return -2 if the number of pool has reached the limit, -1 if a pool of this name already exists, pool id for a pool succesfully added
CREATE PROCEDURE SP_AddPool(
    @PoolName nvarchar(64),
    @PoolWeight int,
    @NumPoolLimit int
)
AS
BEGIN
IF ((SELECT COUNT(ID) from Pool WITH (UPDLOCK) ) >= @NumPoolLimit)
BEGIN 
    SELECT -2
END
ELSE
BEGIN
    IF NOT EXISTS (SELECT ID from Pool where Name=@PoolName)
    BEGIN
        INSERT INTO Pool(Name,Weight) VALUES (@PoolName,@PoolWeight)
        SELECT ID FROM Pool where Name = @PoolName
    END
    ELSE
    BEGIN
        SELECT -1
    END
END
END
GO


IF EXISTS (SELECT id from dbo.sysobjects WHERE id = object_id(N'[dbo].[SP_DeleteJobDependencies]')) 
DROP PROCEDURE dbo.SP_DeleteJobDependencies
GO

CREATE PROCEDURE SP_DeleteJobDependencies(
    @ChildJobId int
)
AS
BEGIN
    DELETE FROM JobDependency WHERE ChildJobId = @ChildJobId
END
GO


IF EXISTS (SELECT id from dbo.sysobjects WHERE id = object_id(N'[dbo].[SP_GetParentJobIds]')) 
DROP PROCEDURE dbo.SP_GetParentJobIds
GO

CREATE PROCEDURE SP_GetParentJobIds(
    @ChildJobId int
)
AS
BEGIN
    SELECT ParentJobId FROM JobDependency WHERE ChildJobId = @ChildJobId ORDER BY ParentJobId ASC
END
GO

IF EXISTS (SELECT id from dbo.sysobjects WHERE id = object_id(N'[dbo].[SP_GetChildJobIds]')) 
DROP PROCEDURE dbo.SP_GetChildJobIds
GO
CREATE PROCEDURE SP_GetChildJobIds(
    @ParentJobId int
)
AS
BEGIN
    SELECT ChildJobId FROM JobDependency WHERE ParentJobId = @ParentJobId ORDER BY ChildJobId ASC
END
GO

if object_id('SP_FetchTaskGroupStatistics') is not null
drop PROCEDURE SP_FetchTaskGroupStatistics
go
CREATE PROCEDURE SP_FetchTaskGroupStatistics
    @jobId int
AS
BEGIN
    -- SET NOCOUNT ON added to prevent extra result sets from
    -- interfering with SELECT statements.
    SET NOCOUNT ON;

    select ID
        , Submitted + Validating + Queued + Dispatching + Running + Finishing + Canceling as Active 
        , Failed + Canceled as BadState
    from dbo.v_TaskGroup tg
    where tg.JobId = @jobId
end
GO

SET ANSI_PADDING OFF
go

SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO


/*
** Create the SubmtJobTasks SP
**
** This procedure will submit all configuring tasks 
*/

IF EXISTS (SELECT id from sysobjects WHERE id=object_id(N'SP_SubmitJobTasks'))
DROP PROCEDURE SP_SubmitJobTasks
GO


CREATE PROCEDURE SP_SubmitJobTasks(
    @jobId              int,
    @now                datetime
    )
AS
BEGIN

    SET NOCOUNT OFF

    -- Get a count of all the master records.  These
    -- are not counted as "real" tasks that will run
    DECLARE @masterCount as int

    SELECT @masterCount=COUNT(InstanceId) 
    FROM Task 
    WHERE ParentJobId=@jobId AND InstanceId = -1 AND state = 1

    -- Submit all the tasks
    DECLARE @allCount as int
    
    UPDATE Task SET
        State=2, PrevState=1, SubmitTime=@now, ModifyTime=@now
    WHERE
        ParentJobId=@jobId AND State=1 

    SET @allCount = @@ROWCOUNT

    -- Calculate the total size of all parametric sweep tasks
    DECLARE @paramTasksCount as int
    
    IF @masterCount <> 0
    BEGIN

        SELECT @paramTasksCount =
        SUM(dbo.F_NumUnexpandedTasks(TaskDetail.StartValue, TaskDetail.EndValue, TaskDetail.IncrementValue, TaskDetail.CurrentInstanceId))
        FROM Task
        INNER JOIN TaskDetail ON Task.RecordId = TaskDetail.RecordId
        WHERE ParentJobId=@jobId and InstanceId=-1 and state = 2
    END
    ELSE
    BEGIN
        SET @paramTasksCount=0
    END

    -- Now we need to update the task counts for the job
    -- taking into account the number of rows that were
    -- just changed minus the master records, and plus the size of parametric sweep tasks
    -- NOTE here we assume none of the parametric sweep tasks has already been expanded.
    
    DECLARE @count as int
    SET @count = @allCount - @masterCount + @paramTasksCount
    SET NOCOUNT ON

    -- Get the record IDs for later updating the ParametricTaskCounter table
    SELECT recordId INTO #tempRecordIds FROM Task WHERE ParentJobId = @jobId AND instanceId = -1
    
    ---- 
    ---- Ensure this ordering remains consistent with other updates to avoid deadlocks.
    ----
        
    -- Update the TaskGroup counters
    UPDATE TaskGroup SET
        Submitted = Submitted + Configuring, Configuring = 0
    WHERE JobId=@jobId
    
    -- Update the task counters for the Job        
    UPDATE JobTaskCounter SET
        Configuring = Configuring - @count, Submitted = Submitted + @count
    WHERE 
        JobId=@jobId

    -- Update the master counters for the store
    UPDATE TaskCounter SET
        Configuring = Configuring - @count, Submitted = Submitted + @count
        
    -- Update any parametric task counters
    UPDATE ParametricTaskCounter SET 
        Configuring = 0, Submitted = Submitted + Configuring
    WHERE recordId IN (SELECT recordId FROM #tempRecordIds)

    IF EXISTS( SELECT * FROM tempdb.dbo.sysobjects WHERE ID = OBJECT_ID(N'tempdb..#tempRecordIds'))
    BEGIN
        DROP TABLE #tempRecordIds
    END

    SET NOCOUNT ON
    
    
END
GO



/*
** DeleteJob
**
** This procedure is used to delete a single job from the scheduler store.
** Jobs may only be deleted if they are in the configuring or terminal states.
*/

IF EXISTS (SELECT id from dbo.sysobjects WHERE id = object_id(N'[dbo].[SP_DeleteJob]')) 
DROP PROCEDURE dbo.SP_DeleteJob
GO
CREATE PROCEDURE SP_DeleteJob
    @JobId int,
    @deleted bit out
AS
BEGIN
    SET NOCOUNT ON;

    -- Make sure it is safe to delete the job.
    SET @deleted = 0
    IF (NOT EXISTS(SELECT Id FROM Job WHERE Id=@JobId AND State IN (1, 128, 256, 512)))
    BEGIN    
        RETURN
    END

    -- Update the store counters, taking this job off the correct
    -- counter.

    UPDATE JobCounter SET
        Total           = Total - 1,
        Configuring     = Configuring   - dbo.F_Eq(Job.State, 1),
        Submitted       = Submitted     - dbo.F_Eq(Job.State, 2),
        Validating      = Validating    - dbo.F_Eq(Job.State, 4),
        Queued          = Queued        - dbo.F_Eq(Job.State, 16),
        Running         = Running       - dbo.F_Eq(Job.State, 32),
        Finishing       = Finishing     - dbo.F_Eq(Job.State, 64),
        Finished        = Finished      - dbo.F_Eq(Job.State, 128),
        Failed          = Failed        - dbo.F_Eq(Job.State, 256),
        Canceled        = Canceled      - dbo.F_Eq(Job.State, 512),
        Canceling       = Canceling     - dbo.F_Eq(Job.State, 1024)
    FROM Job WITH(updlock) WHERE Job.ID=@JobId

    -- Update the store task counters

    UPDATE TaskCounter SET
        TaskCounter.Total =         TaskCounter.Total       - JobTaskCounter.Total,
        TaskCounter.Configuring =   TaskCounter.Configuring - JobTaskCounter.Configuring,
        TaskCounter.Submitted =     TaskCounter.Submitted   - JobTaskCounter.Submitted,
        TaskCounter.Validating =    TaskCounter.Validating  - JobTaskCounter.Validating,
        TaskCounter.Queued =        TaskCounter.Queued      - JobTaskCounter.Queued,
        TaskCounter.Dispatching =   TaskCounter.Dispatching - JobTaskCounter.Dispatching,
        TaskCounter.Running =       TaskCounter.Running     - JobTaskCounter.Running,
        TaskCounter.Finishing =     TaskCounter.Finishing   - JobTaskCounter.Finishing,
        TaskCounter.Finished =      TaskCounter.Finished    - JobTaskCounter.Finished,
        TaskCounter.Failed =        TaskCounter.Failed      - JobTaskCounter.Failed,
        TaskCounter.Canceled =      TaskCounter.Canceled    - JobTaskCounter.Canceled,
        TaskCounter.Canceling =     TaskCounter.Canceling   - JobTaskCounter.Canceling
    FROM JobTaskCounter WITH(updlock) WHERE JobTaskCounter.JobId = @JobId

    -- create a temporary table of the taskids of all the tasks being deleted
    SELECT Id
    INTO #tid
    FROM Task WITH (UPDLOCK)
    WHERE ParentJobId=@JobId
    
    -- create a temporary table of the recordids of all the tasks being deleted
    SELECT DISTINCT(RecordId)
    INTO #r
    FROM Task WITH (UPDLOCK)
    WHERE Id IN (SELECT Id from #tid)
    
    DELETE FROM ParametricTaskCounter WHERE RecordId IN ( SELECT RecordId FROM #r)

    DELETE FROM TaskGroupDependency WHERE JobId=@JobId

    DELETE FROM AllocationHistory WHERE JobId=@JobId
    
    DELETE FROM NodeAllocationHistory WHERE JobId=@JobId
    
    DELETE FROM ExtendedJobProperty WHERE JobId=@JobId
    
    DELETE FROM ExtendedTaskProperty WHERE JobId=@JobId
    
    DELETE FROM JobEnvironmentVariable WHERE JobId=@JobId
    
    DELETE FROM TaskEnvironmentVariable WHERE JobId=@JobId
    
    DELETE FROM TaskCancelRequest WHERE TaskId IN (SELECT id FROM #tid)

    DELETE FROM JobCancelRequest WHERE JobId=@JobId

    DELETE FROM Task WHERE Id IN (SELECT Id from #tid)
    
    DELETE FROM TaskDetail WHERE RecordId IN (SELECT RecordId FROM #r)
        
    DELETE FROM TaskGroup WHERE JobId=@JobId                
    
    DELETE FROM JobMessage WHERE JobId=@JobId
    
    DELETE FROM JobTaskCounter WHERE JobId=@JobId
    
    DELETE FROM JobHistory WHERE JobId=@JobId

    DELETE FROM Job WHERE ID=@JobId

    DROP TABLE #r
    
    DROP TABLE #tid

    SET @deleted=1
END
GO


/*
** DeleteOldJobs
*/

IF EXISTS (SELECT id from dbo.sysobjects WHERE id = object_id(N'[dbo].[SP_DeleteOldJobs]')) 
DROP PROCEDURE dbo.SP_DeleteOldJobs
GO

CREATE PROCEDURE SP_DeleteOldJobs(
    @dayAgeLimit int,
    @batchSize int,
    @deletedCount int out
)
AS
BEGIN

    -- Delete the jobs
    -- Only delete jobs that are older than the limit and only
    -- jobs that are in an ended state (failed, finished, canceled)
    -- and have been completed at least two days.

    SET NOCOUNT OFF

    IF EXISTS( SELECT * FROM tempdb.dbo.sysobjects WHERE ID = OBJECT_ID(N'tempdb..#t'))
    BEGIN
        DROP TABLE #t
    END

    --
    -- Grab the next 100 rows to delete.
    -- Besides, a job can be deleted from Database only if its child jobs are finished, canceled or failed
    
    -- Select the jobs that do not have children or those child jobs are finished, canceled or failed

    SELECT TOP(@batchSize) id
    INTO #t
    FROM Job AS JobTable WITH (UPDLOCK)
    WHERE JobTable.endtime < DATEADD(DAY, -@dayAgeLimit, GETUTCDATE()) AND JobTable.state IN ( 128, 256, 512 )
          AND (NOT EXISTS (SELECT ParentJobId FROM JobDependency WHERE JobTable.id = JobDependency.ParentJobId)     -- no child jobs
               OR NOT EXISTS (SELECT TEMP.ChildJobId FROM 
                             ( SELECT ChildJobId, State FROM JobDependency INNER JOIN Job On Job.ID = JobDependency.ChildJobId WHERE JobTable.id = JobDependency.ParentJobId) AS TEMP
                              WHERE TEMP.State In ( 1, 2, 4, 8, 16, 32, 64, 1024 )))                                -- no child job is in configuring, submitted, validating, ExternalValidation, Queued , running, finishing, canceling 
                                  
    SET @deletedCount = @@rowcount

    SET NOCOUNT ON

    --
    -- Break if there is no more work to do.
    --
    IF @deletedCount > 0 
    BEGIN

        --
        -- Delete all the rows within a transaction. this would be updated to delete all the tables
        --
        
        -- create a temporary table of the taskids of all the tasks being deleted
        SELECT Id
        INTO #tid
        FROM Task WITH (UPDLOCK)
        WHERE ParentJobId IN (SELECT id from #t)
        
        -- create a temporary table of the recordids of all the tasks being deleted
        SELECT DISTINCT(RecordId)
        INTO #r
        FROM Task WITH (UPDLOCK)
        WHERE Id IN (SELECT Id from #tid)
    
        DELETE FROM ParametricTaskCounter WHERE RecordId IN ( SELECT RecordId FROM #r)

        DELETE FROM TaskGroupDependency WHERE JobId IN ( SELECT id FROM #t )
        
        DELETE FROM NodeAllocationHistory WHERE JobId IN ( SELECT id FROM #t )

        DELETE FROM AllocationHistory WHERE JobId IN ( SELECT id FROM #t )                
        
        DELETE FROM ExtendedJobProperty WHERE JobId IN ( SELECT id FROM #t )
        
        DELETE FROM ExtendedTaskProperty WHERE JobId IN ( SELECT id FROM #t )
        
        DELETE FROM TaskEnvironmentVariable WHERE JobId IN ( SELECT id FROM #t )
        
        DELETE FROM JobEnvironmentVariable WHERE JobId IN ( SELECT id FROM #t )
        
        DELETE FROM TaskCancelRequest WHERE TaskId IN (SELECT id FROM #tid)

        DELETE FROM JobCancelRequest WHERE JobId IN (SELECT id FROM #t)
        
        DELETE FROM Task WHERE ParentJobId IN ( SELECT id FROM #t )
    
        DELETE FROM TaskDetail WHERE RecordId IN (SELECT RecordId FROM #r)
        
        DELETE FROM TaskGroup WHERE JobId IN ( SELECT id FROM #t )        
        
        DELETE FROM JobMessage WHERE JobId IN ( SELECT id FROM #t )
        
        DELETE FROM JobTaskCounter WHERE JobId IN ( SELECT id FROM #t )
        
        DELETE FROM JobHistory WHERE JobId IN ( SELECT id from #t )

        DELETE FROM Job WHERE ID IN ( SELECT id FROM #t )               

        DELETE FROM JobProjectName 
            WHERE Id NOT IN (SELECT ProjectId FROM Job GROUP BY ProjectId) 
                AND Name <> ('')
                
       
        DROP TABLE #r
        DROP TABLE #tid

    END -- if @@rowcount > 0

    -- Update the global counters for jobs and tasks
    exec SP_ResetJobCounter;
    exec SP_ResetTaskCounter;

    SELECT Id FROM #t

END
GO

/*
** DeleteTask
**
** This procedure is used to delete a single task from the scheduler store.
** Tasks may only be deleted while they are in the configuring or terminal states.
** Deleting a parametric master task will delete all sub-tasks
*/

IF EXISTS (SELECT id from dbo.sysobjects WHERE id = object_id(N'[dbo].[SP_DeleteTask]')) 
DROP PROCEDURE dbo.SP_DeleteTask
GO
CREATE PROCEDURE SP_DeleteTask
    @TaskId int,
    @deleted bit out
AS
BEGIN
    SET NOCOUNT ON;

    DECLARE @recordId AS INT
    DECLARE @jobId AS INT
    DECLARE @state AS INT
    DECLARE @instanceId AS INT
   
    SET @deleted = 0
   
    -- Obtain record id, and make sure that it is safe to delete the task
    SELECT @recordId=RecordId, @jobId=ParentJobId, @state=State, @instanceId=InstanceId
    FROM Task WITH(UPDLOCK)
    WHERE ID=@TaskId AND State IN (1, 128, 256, 512) AND InstanceId<=0
    IF (@recordId IS NULL)
    BEGIN
        RETURN
    END
                
    -- Update the task counters    
    UPDATE TaskCounter SET
        TaskCounter.Total        = TaskCounter.Total         - case when @instanceId<0 then ParametricTaskCounter.Total        else 1                     end,
        TaskCounter.Configuring  = TaskCounter.Configuring   - case when @instanceId<0 then ParametricTaskCounter.Configuring  else dbo.F_Eq(@state, 1)    end,
        TaskCounter.Submitted    = TaskCounter.Submitted     - case when @instanceId<0 then ParametricTaskCounter.Submitted    else dbo.F_Eq(@state, 2)    end,
        TaskCounter.Validating   = TaskCounter.Validating    - case when @instanceId<0 then ParametricTaskCounter.Validating   else dbo.F_Eq(@state, 4)    end,
        TaskCounter.Queued       = TaskCounter.Queued        - case when @instanceId<0 then ParametricTaskCounter.Queued       else dbo.F_Eq(@state, 8)    end,
        TaskCounter.Dispatching  = TaskCounter.Dispatching   - case when @instanceId<0 then ParametricTaskCounter.Dispatching  else dbo.F_Eq(@state, 16)   end,
        TaskCounter.Running      = TaskCounter.Running       - case when @instanceId<0 then ParametricTaskCounter.Running      else dbo.F_Eq(@state, 32)   end,
        TaskCounter.Finishing    = TaskCounter.Finishing     - case when @instanceId<0 then ParametricTaskCounter.Finishing    else dbo.F_Eq(@state, 64)   end,
        TaskCounter.Finished     = TaskCounter.Finished      - case when @instanceId<0 then ParametricTaskCounter.Finished     else dbo.F_Eq(@state, 128)  end,
        TaskCounter.Failed       = TaskCounter.Failed        - case when @instanceId<0 then ParametricTaskCounter.Failed       else dbo.F_Eq(@state, 256)  end,
        TaskCounter.Canceled     = TaskCounter.Canceled      - case when @instanceId<0 then ParametricTaskCounter.Canceled     else dbo.F_Eq(@state, 512)  end,
        TaskCounter.Canceling    = TaskCounter.Canceling     - case when @instanceId<0 then ParametricTaskCounter.Canceling    else dbo.F_Eq(@state, 1024) end
    FROM ParametricTaskCounter WITH(updlock) WHERE RecordId=@recordId

    UPDATE JobTaskCounter SET
        JobTaskCounter.Total        = JobTaskCounter.Total         - case when @instanceId<0 then ParametricTaskCounter.Total        else 1                     end,
        JobTaskCounter.Configuring  = JobTaskCounter.Configuring   - case when @instanceId<0 then ParametricTaskCounter.Configuring  else dbo.F_Eq(@state, 1)    end,
        JobTaskCounter.Submitted    = JobTaskCounter.Submitted     - case when @instanceId<0 then ParametricTaskCounter.Submitted    else dbo.F_Eq(@state, 2)    end,
        JobTaskCounter.Validating   = JobTaskCounter.Validating    - case when @instanceId<0 then ParametricTaskCounter.Validating   else dbo.F_Eq(@state, 4)    end,
        JobTaskCounter.Queued       = JobTaskCounter.Queued        - case when @instanceId<0 then ParametricTaskCounter.Queued       else dbo.F_Eq(@state, 8)    end,
        JobTaskCounter.Dispatching  = JobTaskCounter.Dispatching   - case when @instanceId<0 then ParametricTaskCounter.Dispatching  else dbo.F_Eq(@state, 16)   end,
        JobTaskCounter.Running      = JobTaskCounter.Running       - case when @instanceId<0 then ParametricTaskCounter.Running      else dbo.F_Eq(@state, 32)   end,
        JobTaskCounter.Finishing    = JobTaskCounter.Finishing     - case when @instanceId<0 then ParametricTaskCounter.Finishing    else dbo.F_Eq(@state, 64)   end,
        JobTaskCounter.Finished     = JobTaskCounter.Finished      - case when @instanceId<0 then ParametricTaskCounter.Finished     else dbo.F_Eq(@state, 128)  end,
        JobTaskCounter.Failed       = JobTaskCounter.Failed        - case when @instanceId<0 then ParametricTaskCounter.Failed       else dbo.F_Eq(@state, 256)  end,
        JobTaskCounter.Canceled     = JobTaskCounter.Canceled      - case when @instanceId<0 then ParametricTaskCounter.Canceled     else dbo.F_Eq(@state, 512)  end,
        JobTaskCounter.Canceling    = JobTaskCounter.Canceling     - case when @instanceId<0 then ParametricTaskCounter.Canceling    else dbo.F_Eq(@state, 1024) end
    FROM JobTaskCounter
    CROSS JOIN ParametricTaskCounter
    WHERE JobTaskCounter.JobId=@jobId AND ParametricTaskCounter.RecordId=@recordId

    UPDATE TaskGroup SET
        TaskGroup.Total        = TaskGroup.Total         - case when @instanceId<0 then ParametricTaskCounter.Total        else 1                     end,
        TaskGroup.Configuring  = TaskGroup.Configuring   - case when @instanceId<0 then ParametricTaskCounter.Configuring  else dbo.F_Eq(@state, 1)    end,
        TaskGroup.Submitted    = TaskGroup.Submitted     - case when @instanceId<0 then ParametricTaskCounter.Submitted    else dbo.F_Eq(@state, 2)    end,
        TaskGroup.Validating   = TaskGroup.Validating    - case when @instanceId<0 then ParametricTaskCounter.Validating   else dbo.F_Eq(@state, 4)    end,
        TaskGroup.Queued       = TaskGroup.Queued        - case when @instanceId<0 then ParametricTaskCounter.Queued       else dbo.F_Eq(@state, 8)    end,
        TaskGroup.Dispatching  = TaskGroup.Dispatching   - case when @instanceId<0 then ParametricTaskCounter.Dispatching  else dbo.F_Eq(@state, 16)   end,
        TaskGroup.Running      = TaskGroup.Running       - case when @instanceId<0 then ParametricTaskCounter.Running      else dbo.F_Eq(@state, 32)   end,
        TaskGroup.Finishing    = TaskGroup.Finishing     - case when @instanceId<0 then ParametricTaskCounter.Finishing    else dbo.F_Eq(@state, 64)   end,
        TaskGroup.Finished     = TaskGroup.Finished      - case when @instanceId<0 then ParametricTaskCounter.Finished     else dbo.F_Eq(@state, 128)  end,
        TaskGroup.Failed       = TaskGroup.Failed        - case when @instanceId<0 then ParametricTaskCounter.Failed       else dbo.F_Eq(@state, 256)  end,
        TaskGroup.Canceled     = TaskGroup.Canceled      - case when @instanceId<0 then ParametricTaskCounter.Canceled     else dbo.F_Eq(@state, 512)  end,
        TaskGroup.Canceling    = TaskGroup.Canceling     - case when @instanceId<0 then ParametricTaskCounter.Canceling    else dbo.F_Eq(@state, 1024) end
    FROM TaskGroup
    INNER JOIN TaskDetail
    ON TaskGroup.Id=TaskDetail.GroupId AND TaskDetail.RecordId=@recordId
    INNER JOIN ParametricTaskCounter
    ON ParametricTaskCounter.RecordId=@recordId

    -- Create a temporary table of IDs of all the sub-tasks in the current task
    SELECT Id
    INTO #r
    FROM Task WITH (UPDLOCK)
    WHERE RecordId=@recordId

    -- Delete the task and sub-tasks from all tables

    DELETE FROM ParametricTaskCounter WHERE RecordId=@recordId

    DELETE FROM ExtendedTaskProperty WHERE TaskId IN (SELECT Id FROM #r)        
    
    DELETE FROM TaskEnvironmentVariable WHERE TaskId IN (SELECT Id FROM #r)
    
    DELETE FROM AllocationHistory WHERE TaskId IN (SELECT Id FROM #r)
    
    DELETE FROM NodeAllocationHistory WHERE TaskId IN (SELECT Id FROM #r)
    
    DELETE FROM Task WHERE RecordId=@recordId
    
    DELETE FROM TaskDetail WHERE RecordId=@recordId        

    DROP TABLE #r

    SET @deleted = 1
END
GO

SET ANSI_PADDING OFF
go
/*
Sql scripts to add referential integrity and other checking to
the scheduler db 
*/


SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
/*
    Now create them all 
*/

/* Credential */

DELETE FROM Credential WHERE RunAsId NOT IN (SELECT Id FROM SID)
GO
ALTER TABLE Credential ADD CONSTRAINT CK_Credential_FK_RunAsId FOREIGN KEY ( RunAsId )
    REFERENCES SID( Id )
GO

DELETE FROM Credential WHERE OwnerId NOT IN (SELECT Id FROM SID)
GO    
ALTER TABLE Credential ADD CONSTRAINT CK_Credential_FK_OwnerId FOREIGN KEY ( OwnerId )
    REFERENCES SID( Id )
GO



/* Job */

DELETE FROM Job WHERE CredentialId NOT IN (SELECT Id FROM Credential)
GO
ALTER TABLE Job ADD CONSTRAINT CK_Job_FK_CredentialId FOREIGN KEY( CredentialId )
    REFERENCES Credential( Id )
GO

DELETE FROM Job WHERE ProjectId NOT IN (SELECT Id FROM JobProjectName)
GO
ALTER TABLE Job ADD CONSTRAINT CK_Job_FK_ProjectId FOREIGN KEY ( ProjectId )
    REFERENCES JobProjectName( Id )
GO
/* Be nice if we could check other things on the Job ( like parent, child relationships ) */



/* Taskgroup */

DELETE FROM TaskGroup WHERE JobId NOT IN (SELECT Id FROM Job)
GO
ALTER TABLE TaskGroup ADD CONSTRAINT CK_TaskGroup_FK_JobId FOREIGN KEY ( JobId )
    REFERENCES Job( Id )
GO



/* TaskDetail */

/* FAILS TO RUN, BECAUSE THE NODE PREP/POST TASKS HAVE TASKGROUP ID = 0 */
--DELETE FROM TaskDetail WHERE GroupId NOT IN (SELECT Id FROM TaskGroup)
--GO
--ALTER TABLE TaskDetail ADD CONSTRAINT CK_TaskDetail_FK_GroupId FOREIGN KEY ( GroupId )
    --REFERENCES TaskGroup( Id )
--GO



/* Task */

DELETE FROM Task WHERE ParentJobId NOT IN (SELECT Id FROM Job)
GO
ALTER TABLE Task ADD CONSTRAINT CK_Task_FK_ParentJobId FOREIGN KEY ( ParentJobId )
    REFERENCES Job( Id )
GO

DELETE FROM Task WHERE RecordId NOT IN (SELECT RecordId FROM TaskDetail)
GO
ALTER TABLE Task ADD CONSTRAINT CK_Task_FK_RecordId FOREIGN KEY ( RecordId )
    REFERENCES TaskDetail ( RecordId )
GO

UPDATE Task SET StartTime = SubmitTime WHERE StartTime < SubmitTime
GO
ALTER TABLE Task ADD CONSTRAINT CK_Task_CheckDates1 CHECK ( StartTime >= SubmitTime )
GO


/* Resource */

DELETE FROM Resource WHERE NodeId NOT IN (SELECT Id FROM Node)
GO
ALTER TABLE Resource ADD CONSTRAINT CK_Resource_FK_NodeId FOREIGN KEY ( NodeId )
    REFERENCES Node ( Id )
GO

ALTER TABLE Resource ADD CONSTRAINT CK_Resource_FK_JobId FOREIGN KEY ( JobId )
    REFERENCES Job( Id )
GO
    
ALTER TABLE Resource ADD CONSTRAINT CK_Resource_FK_TaskId FOREIGN KEY ( TaskId )
    REFERENCES Task( Id )
GO



/* NodeCounter */

IF EXISTS( SELECT 1 FROM NodeCounter WHERE 
    Total <> Offline + Draining + Online 
        OR Offline < 0
        OR Draining < 0
        OR Online < 0
    )
BEGIN
    UPDATE NodeCounter SET 
        Offline = (SELECT COUNT(Id) FROM Node WHERE State = 1),
        Draining = (SELECT COUNT(Id) FROM Node WHERE State = 2),
        Online = (SELECT COUNT(Id) FROM Node WHERE State = 4)
    UPDATE NodeCounter SET
        Total = Offline + Draining + Online
END
GO
ALTER TABLE NodeCounter ADD CONSTRAINT CK_NodeCounter_CheckTotal CHECK
(
    Total = Offline + Draining + Online
        AND Offline >= 0
        AND Draining >= 0
        AND Online >= 0
)
GO



/* ResourceCounter */

IF EXISTS( SELECT 1 FROM ResourceCounter WHERE 
    Total <> 
        Offline + Idle + ScheduledReserve + JobScheduled + ReadyForTask +
        TaskScheduled + JobTaskScheduled + TaskDispatched + TaskRunning + 
        CloseTask + CloseTaskDispatched + TaskClosed + CloseJob 
    OR Offline < 0
    OR Idle < 0
    OR ScheduledReserve < 0
    OR JobScheduled < 0
    OR ReadyForTask < 0
    OR TaskScheduled < 0
    OR JobTaskScheduled < 0
    OR TaskDispatched < 0
    OR TaskRunning < 0
    OR CloseTask < 0
    OR CloseTaskDispatched < 0
    OR TaskClosed < 0
    OR CloseJob < 0
    )
BEGIN
    UPDATE ResourceCounter SET 
        Offline = (SELECT COUNT(Id) FROM Resource WHERE State = 0),
        Idle = (SELECT COUNT(Id) FROM Resource WHERE State = 1),
        ScheduledReserve = (SELECT COUNT(Id) FROM Resource WHERE State = 2),
        JobScheduled = (SELECT COUNT(Id) FROM Resource WHERE State = 4),
        ReadyForTask = (SELECT COUNT(Id) FROM Resource WHERE State = 8),
        TaskScheduled = (SELECT COUNT(Id) FROM Resource WHERE State = 16),
        JobTaskScheduled = (SELECT COUNT(Id) FROM Resource WHERE State = 32),
        TaskDispatched = (SELECT COUNT(Id) FROM Resource WHERE State = 64),
        JobTaskDispatched = (SELECT COUNT(Id) FROM Resource WHERE State = 128),
        TaskRunning = (SELECT COUNT(Id) FROM Resource WHERE State = 256),
        CloseTask = (SELECT COUNT(Id) FROM Resource WHERE State = 512),
        CloseTaskDispatched = (SELECT COUNT(Id) FROM Resource WHERE State = 1024),
        TaskClosed = (SELECT COUNT(Id) FROM Resource WHERE State = 2048),
        CloseJob = (SELECT COUNT(Id) FROM Resource WHERE State = 4096)
    UPDATE ResourceCounter SET
        Total = 
            Offline + Idle + ScheduledReserve + JobScheduled + ReadyForTask +
            TaskScheduled + JobTaskScheduled + TaskDispatched + TaskRunning + 
            CloseTask + CloseTaskDispatched + TaskClosed + CloseJob 
END
GO
ALTER TABLE ResourceCounter ADD CONSTRAINT CK_ResourceCounter_CheckTotal CHECK
(
    Total = Offline + Idle + ScheduledReserve + JobScheduled + ReadyForTask +
        TaskScheduled + JobTaskScheduled + TaskDispatched + TaskRunning + 
        CloseTask + CloseTaskDispatched + TaskClosed + CloseJob 
    AND Offline >= 0
    AND Idle >= 0
    AND ScheduledReserve >= 0
    AND JobScheduled >= 0
    AND ReadyForTask >= 0
    AND TaskScheduled >= 0
    AND JobTaskScheduled >= 0
    AND TaskDispatched >= 0
    AND TaskRunning >= 0
    AND CloseTask >= 0
    AND CloseTaskDispatched >= 0
    AND TaskClosed >= 0
    AND CloseJob >= 0
)
GO





/* NodeResourceCounter */

DELETE FROM NodeResourceCounter WHERE NodeId NOT IN (SELECT Id FROM Node)
GO
ALTER TABLE NodeResourceCounter ADD CONSTRAINT CK_NodeResourceCounter_FK_NodeId FOREIGN KEY ( NodeId ) 
    REFERENCES Node( Id )
GO

IF EXISTS (SELECT id from dbo.sysobjects WHERE id = object_id(N'[dbo].[TempIdTable]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
DROP table [dbo].[TempIdTable]
GO
SELECT NodeId INTO TempIdTable FROM NodeResourceCounter WHERE 
    Total <> 
        Offline + Idle + ScheduledReserve + JobScheduled + ReadyForTask +
        TaskScheduled + JobTaskScheduled + TaskDispatched + TaskRunning + 
        CloseTask + CloseTaskDispatched + TaskClosed + CloseJob 
    OR Offline < 0
    OR Idle < 0
    OR ScheduledReserve < 0
    OR JobScheduled < 0
    OR ReadyForTask < 0
    OR TaskScheduled < 0
    OR JobTaskScheduled < 0
    OR TaskDispatched < 0
    OR TaskRunning < 0
    OR CloseTask < 0
    OR CloseTaskDispatched < 0
    OR TaskClosed < 0
    OR CloseJob < 0
GO
UPDATE NodeResourceCounter SET 
    Offline = (SELECT COUNT(Id) FROM Resource WHERE State = 0 AND Resource.NodeId = NodeResourceCounter.NodeId),
    Idle = (SELECT COUNT(Id) FROM Resource WHERE State = 1 AND Resource.NodeId = NodeResourceCounter.NodeId),
    ScheduledReserve = (SELECT COUNT(Id) FROM Resource WHERE State = 2 AND Resource.NodeId = NodeResourceCounter.NodeId),
    JobScheduled = (SELECT COUNT(Id) FROM Resource WHERE State = 4 AND Resource.NodeId = NodeResourceCounter.NodeId),
    ReadyForTask = (SELECT COUNT(Id) FROM Resource WHERE State = 8 AND Resource.NodeId = NodeResourceCounter.NodeId),
    TaskScheduled = (SELECT COUNT(Id) FROM Resource WHERE State = 16 AND Resource.NodeId = NodeResourceCounter.NodeId),
    JobTaskScheduled = (SELECT COUNT(Id) FROM Resource WHERE State = 32 AND Resource.NodeId = NodeResourceCounter.NodeId),
    TaskDispatched = (SELECT COUNT(Id) FROM Resource WHERE State = 64 AND Resource.NodeId = NodeResourceCounter.NodeId),
    JobTaskDispatched = (SELECT COUNT(Id) FROM Resource WHERE State = 128 AND Resource.NodeId = NodeResourceCounter.NodeId),
    TaskRunning = (SELECT COUNT(Id) FROM Resource WHERE State = 256 AND Resource.NodeId = NodeResourceCounter.NodeId),
    CloseTask = (SELECT COUNT(Id) FROM Resource WHERE State = 512 AND Resource.NodeId = NodeResourceCounter.NodeId),
    CloseTaskDispatched = (SELECT COUNT(Id) FROM Resource WHERE State = 1024 AND Resource.NodeId = NodeResourceCounter.NodeId),
    TaskClosed = (SELECT COUNT(Id) FROM Resource WHERE State = 2048 AND Resource.NodeId = NodeResourceCounter.NodeId),
    CloseJob = (SELECT COUNT(Id) FROM Resource WHERE State = 4096 AND Resource.NodeId = NodeResourceCounter.NodeId)
FROM NodeResourceCounter, Resource
WHERE Resource.NodeId = NodeResourceCounter.NodeId AND NodeResourceCounter.NodeId IN
    (SELECT NodeId FROM TempIdTable)
GO
UPDATE NodeResourceCounter SET
    Total = 
        Offline + Idle + ScheduledReserve + JobScheduled + ReadyForTask +
        TaskScheduled + JobTaskScheduled + TaskDispatched + TaskRunning + 
        CloseTask + CloseTaskDispatched + TaskClosed + CloseJob 
WHERE NodeId IN (SELECT NodeId FROM TempIdTable)
GO
ALTER TABLE NodeResourceCounter ADD CONSTRAINT CK_NodeResourceCounter_CheckTotal CHECK
(
    Total = Offline + Idle + ScheduledReserve + JobScheduled + ReadyForTask + 
        TaskScheduled + JobTaskScheduled + TaskDispatched + JobTaskDispatched +
        TaskRunning + CloseTask + CloseTaskDispatched + TaskClosed + CloseJob 
    AND Offline >= 0
    AND Idle >= 0
    AND ScheduledReserve >= 0
    AND JobScheduled >= 0
    AND ReadyForTask >= 0
    AND TaskScheduled >= 0
    AND JobTaskScheduled >= 0
    AND TaskDispatched >= 0
    AND TaskRunning >= 0
    AND CloseTask >= 0
    AND CloseTaskDispatched >= 0
    AND TaskClosed >= 0
    AND CloseJob >= 0
)
GO



/* JobCounter */

IF EXISTS( SELECT 1 FROM JobCounter WHERE 
    Total <> 
        Configuring + Submitted + Validating + ExternalValidation +
        Queued + Running + Finishing + Finished + Failed + Canceled + Canceling 
    OR Configuring < 0
    OR Submitted < 0
    OR Validating < 0
    OR ExternalValidation < 0
    OR Queued < 0
    OR Running < 0
    OR Finishing < 0
    OR Finished < 0
    OR Failed < 0
    OR Canceled < 0
    OR Canceling < 0)
BEGIN
    UPDATE JobCounter SET 
        Configuring = (SELECT COUNT(Id) FROM Job WHERE State = 1),
        Submitted = (SELECT COUNT(Id) FROM Job WHERE State = 2),
        Validating = (SELECT COUNT(Id) FROM Job WHERE State = 4),
        ExternalValidation = (SELECT COUNT(Id) FROM Job WHERE State = 8),
        Queued = (SELECT COUNT(Id) FROM Job WHERE State = 16),
        Running = (SELECT COUNT(Id) FROM Job WHERE State = 32),
        Finishing = (SELECT COUNT(Id) FROM Job WHERE State = 64),
        Finished = (SELECT COUNT(Id) FROM Job WHERE State = 128),
        Failed = (SELECT COUNT(Id) FROM Job WHERE State = 256),
        Canceled = (SELECT COUNT(Id) FROM Job WHERE State = 512),
        Canceling = (SELECT COUNT(Id) FROM Job WHERE State = 1024)
    UPDATE JobCounter SET
        Total = 
            Configuring + Submitted + Validating + ExternalValidation +
            Queued + Running + Finishing + Finished + Failed + Canceled + Canceling 
END
GO
ALTER TABLE JobCounter ADD CONSTRAINT CK_JobCounter_CheckTotal CHECK
(
    Total = Configuring + Submitted + Validating + ExternalValidation +
        Queued + Running + Finishing + Finished + Failed + Canceled + Canceling 
    AND Configuring >= 0
    AND Submitted >= 0
    AND Validating >= 0
    AND ExternalValidation >= 0
    AND Queued >= 0
    AND Running >= 0
    AND Finishing >= 0
    AND Finished >= 0
    AND Failed >= 0
    AND Canceled >= 0
    AND Canceling >= 0
)
GO



/* ParametricTaskCounter */

DELETE FROM ParametricTaskCounter WHERE RecordId NOT IN (SELECT RecordId FROM Task)
GO
ALTER TABLE ParametricTaskCounter ADD CONSTRAINT CK_ParametricTaskCounter_FK_RecordId FOREIGN KEY( RecordId )
    REFERENCES TaskDetail( RecordId )


IF EXISTS (SELECT id from dbo.sysobjects WHERE id = object_id(N'[dbo].[TempIdTable]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
DROP table [dbo].[TempIdTable]
GO
BEGIN TRAN
GO
SELECT RecordId INTO TempIdTable FROM ParametricTaskCounter WHERE 
    Total <> 
        Configuring + Submitted + Validating + Queued + Dispatching +
        Running + Finishing + Finished + Failed + Canceled + Canceling 
    OR Configuring < 0
    OR Submitted < 0
    OR Validating < 0
    OR Queued < 0
    OR Dispatching < 0
    OR Running < 0
    OR Finishing < 0
    OR Finished < 0
    OR Failed < 0
    OR Canceled < 0
    OR Canceling < 0
GO
-- Find out the expanded ones
UPDATE ParametricTaskCounter SET 
        Configuring = (SELECT COUNT(Id) FROM Task WHERE State = 1 AND Task.RecordId = ParametricTaskCounter.RecordId AND InstanceId > 0),
        Submitted = (SELECT COUNT(Id) FROM Task WHERE State = 2 AND Task.RecordId = ParametricTaskCounter.RecordId AND InstanceId > 0),
        Validating = (SELECT COUNT(Id) FROM Task WHERE State = 4 AND Task.RecordId = ParametricTaskCounter.RecordId AND InstanceId > 0),
        Queued = (SELECT COUNT(Id) FROM Task WHERE State = 8 AND Task.RecordId = ParametricTaskCounter.RecordId AND InstanceId > 0),
        Dispatching = (SELECT COUNT(Id) FROM Task WHERE State = 16 AND Task.RecordId = ParametricTaskCounter.RecordId AND InstanceId > 0),
        Running = (SELECT COUNT(Id) FROM Task WHERE State = 32 AND Task.RecordId = ParametricTaskCounter.RecordId AND InstanceId > 0),
        Finishing = (SELECT COUNT(Id) FROM Task WHERE State = 64 AND Task.RecordId = ParametricTaskCounter.RecordId AND InstanceId > 0),
        Finished = (SELECT COUNT(Id) FROM Task WHERE State = 128 AND Task.RecordId = ParametricTaskCounter.RecordId AND InstanceId > 0),
        Failed = (SELECT COUNT(Id) FROM Task WHERE State = 256 AND Task.RecordId = ParametricTaskCounter.RecordId AND InstanceId > 0),
        Canceled = (SELECT COUNT(Id) FROM Task WHERE State = 512 AND Task.RecordId = ParametricTaskCounter.RecordId AND InstanceId > 0),
        Canceling = (SELECT COUNT(Id) FROM Task WHERE State = 1024 AND Task.RecordId = ParametricTaskCounter.RecordId AND InstanceId > 0)
FROM ParametricTaskCounter
WHERE ParametricTaskCounter.RecordId IN
    (SELECT RecordId FROM TempIdTable)
GO
-- Unexpanded for Configuring
UPDATE ParametricTaskCounter SET 
        Configuring = Configuring + dbo.F_NumUnexpandedTasks( StartValue, EndValue, IncrementValue, CurrentInstanceId)
FROM ParametricTaskCounter, Task, TaskDetail
WHERE ParametricTaskCounter.RecordId = Task.RecordId AND ParametricTaskCounter.RecordId = TaskDetail.RecordId 
    AND Task.InstanceId = -1 AND Task.State = 1 
    AND ParametricTaskCounter.RecordId IN (SELECT RecordId FROM TempIdTable)
GO
-- Unexpanded for Submitted
UPDATE ParametricTaskCounter SET 
        Submitted = Submitted + dbo.F_NumUnexpandedTasks( StartValue, EndValue, IncrementValue, CurrentInstanceId)
FROM ParametricTaskCounter, Task, TaskDetail
WHERE ParametricTaskCounter.RecordId = Task.RecordId AND ParametricTaskCounter.RecordId = TaskDetail.RecordId 
    AND Task.InstanceId = -1 AND Task.State = 2 
    AND ParametricTaskCounter.RecordId IN (SELECT RecordId FROM TempIdTable)
GO
-- Unexpanded for Queued
UPDATE ParametricTaskCounter SET 
        Queued = Queued + dbo.F_NumUnexpandedTasks( StartValue, EndValue, IncrementValue, CurrentInstanceId)
FROM ParametricTaskCounter, Task, TaskDetail
WHERE ParametricTaskCounter.RecordId = Task.RecordId AND ParametricTaskCounter.RecordId = TaskDetail.RecordId 
    AND Task.InstanceId = -1 AND Task.State <> 1 AND Task.State <> 2
    AND ParametricTaskCounter.RecordId IN (SELECT RecordId FROM TempIdTable)
GO
COMMIT TRAN
GO
-- Update the ParametricTaskCounter
UPDATE ParametricTaskCounter SET
    Total = 
        Configuring + Submitted + Validating + Queued + Dispatching +
        Running + Finishing + Finished + Failed + Canceled + Canceling  
WHERE RecordId IN (SELECT RecordId FROM TempIdTable)
GO
ALTER TABLE ParametricTaskCounter ADD CONSTRAINT CK_ParametricTaskCounter_CheckTotal CHECK
(
    Total = Configuring + Submitted + Validating + Queued + Dispatching + Running
        + Finishing + Finished + Failed + Canceled + Canceling 
    AND Configuring >= 0
    AND Submitted >= 0
    AND Validating >= 0
    AND Queued >= 0
    AND Dispatching >= 0
    AND Running >= 0
    AND Finishing >= 0
    AND Finished >= 0
    AND Failed >= 0
    AND Canceled >= 0
    AND Canceling >= 0
)
GO



/* TaskCounter */

BEGIN TRAN
GO
IF EXISTS( SELECT 1 FROM TaskCounter WHERE 
    Total <> 
        Configuring + Submitted + Validating + Queued + Dispatching +
        Running + Finishing + Finished + Failed + Canceled + Canceling 
    OR Configuring < 0
    OR Submitted < 0
    OR Validating < 0
    OR Queued < 0
    OR Dispatching < 0
    OR Running < 0
    OR Finishing < 0
    OR Finished < 0
    OR Failed < 0
    OR Canceled < 0
    OR Canceling < 0)
BEGIN
-- Normal tasks first
    UPDATE TaskCounter SET 
        Configuring = (SELECT COUNT(Id) FROM Task WHERE State = 1 AND InstanceId =0),
        Submitted = (SELECT COUNT(Id) FROM Task WHERE State = 2 AND InstanceId =0),
        Validating = (SELECT COUNT(Id) FROM Task WHERE State = 4 AND InstanceId =0),
        Queued = (SELECT COUNT(Id) FROM Task WHERE State = 8 AND InstanceId =0),
        Dispatching = (SELECT COUNT(Id) FROM Task WHERE State = 16 AND InstanceId =0),
        Running = (SELECT COUNT(Id) FROM Task WHERE State = 32 AND InstanceId =0),
        Finishing = (SELECT COUNT(Id) FROM Task WHERE State = 64 AND InstanceId =0),
        Finished = (SELECT COUNT(Id) FROM Task WHERE State = 128 AND InstanceId =0),
        Failed = (SELECT COUNT(Id) FROM Task WHERE State = 256 AND InstanceId =0),
        Canceled = (SELECT COUNT(Id) FROM Task WHERE State = 512 AND InstanceId =0),
        Canceling = (SELECT COUNT(Id) FROM Task WHERE State = 1024 AND InstanceId =0)
-- Then parametric tasks
    UPDATE TaskCounter SET 
        Configuring = TaskCounter.Configuring + (SELECT SUM(ParametricTaskCounter.Configuring) FROM ParametricTaskCounter),
        Submitted = TaskCounter.Submitted + (SELECT SUM(ParametricTaskCounter.Submitted) FROM ParametricTaskCounter),
        Validating = TaskCounter.Validating + (SELECT SUM(ParametricTaskCounter.Validating) FROM ParametricTaskCounter),
        Queued = TaskCounter.Queued + (SELECT SUM(ParametricTaskCounter.Queued) FROM ParametricTaskCounter),
        Dispatching = TaskCounter.Dispatching + (SELECT SUM(ParametricTaskCounter.Dispatching) FROM ParametricTaskCounter),
        Running = TaskCounter.Running + (SELECT SUM(ParametricTaskCounter.Running) FROM ParametricTaskCounter),
        Finishing = TaskCounter.Finishing + (SELECT SUM(ParametricTaskCounter.Finishing) FROM ParametricTaskCounter),
        Finished = TaskCounter.Finished + (SELECT SUM(ParametricTaskCounter.Finished) FROM ParametricTaskCounter),
        Failed = TaskCounter.Failed + (SELECT SUM(ParametricTaskCounter.Failed) FROM ParametricTaskCounter),
        Canceled = TaskCounter.Canceled + (SELECT SUM(ParametricTaskCounter.Canceled) FROM ParametricTaskCounter),
        Canceling = TaskCounter.Canceling + (SELECT SUM(ParametricTaskCounter.Canceling) FROM ParametricTaskCounter)
-- Calculate the total
    UPDATE TaskCounter SET
        Total = 
            Configuring + Submitted + Validating + Queued + Dispatching +
            Running + Finishing + Finished + Failed + Canceled + Canceling
END
GO
COMMIT TRAN
GO
ALTER TABLE TaskCounter ADD CONSTRAINT CK_TaskCounter_CheckTotal CHECK 
(
    Total = Configuring + Submitted + Validating + Queued + Dispatching +
        Running + Finishing + Finished + Failed + Canceled + Canceling 
    AND Configuring >= 0
    AND Submitted >= 0
    AND Validating >= 0
    AND Queued >= 0
    AND Dispatching >= 0
    AND Running >= 0
    AND Finishing >= 0
    AND Finished >= 0
    AND Failed >= 0
    AND Canceled >= 0
    AND Canceling >= 0
)
GO



/* JobTaskCounter */

DELETE FROM JobTaskCounter WHERE JobId NOT IN (SELECT Id FROM Job)
GO
ALTER TABLE JobTaskCounter ADD CONSTRAINT CK_JobTaskCounter_FK_JobId FOREIGN KEY ( jobid )
    REFERENCES Job( id )
GO

IF EXISTS (SELECT id from dbo.sysobjects WHERE id = object_id(N'[dbo].[TempIdTable]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
DROP table [dbo].[TempIdTable]
GO
SELECT JobId INTO TempIdTable FROM JobTaskCounter WHERE 
    Total <> 
        Configuring + Submitted + Validating + Queued + Dispatching + 
        Running + Finishing + Finished + Failed + Canceled + Canceling  
    OR Configuring < 0
    OR Submitted < 0
    OR Validating < 0
    OR Queued < 0
    OR Dispatching < 0
    OR Running < 0
    OR Finishing < 0
    OR Finished < 0
    OR Failed < 0
    OR Canceled < 0
    OR Canceling < 0
GO
BEGIN TRAN
GO
-- Normal tasks first
UPDATE JobTaskCounter SET 
        Configuring = (SELECT COUNT(Id) FROM Task WHERE State = 1 AND Task.ParentJobId = JobTaskCounter.JobId AND InstanceId =0),
        Submitted = (SELECT COUNT(Id) FROM Task WHERE State = 2 AND Task.ParentJobId = JobTaskCounter.JobId AND InstanceId =0),
        Validating = (SELECT COUNT(Id) FROM Task WHERE State = 4 AND Task.ParentJobId = JobTaskCounter.JobId AND InstanceId =0),
        Queued = (SELECT COUNT(Id) FROM Task WHERE State = 8 AND Task.ParentJobId = JobTaskCounter.JobId AND InstanceId =0),
        Dispatching = (SELECT COUNT(Id) FROM Task WHERE State = 16 AND Task.ParentJobId = JobTaskCounter.JobId AND InstanceId =0),
        Running = (SELECT COUNT(Id) FROM Task WHERE State = 32 AND Task.ParentJobId = JobTaskCounter.JobId AND InstanceId =0),
        Finishing = (SELECT COUNT(Id) FROM Task WHERE State = 64 AND Task.ParentJobId = JobTaskCounter.JobId AND InstanceId =0),
        Finished = (SELECT COUNT(Id) FROM Task WHERE State = 128 AND Task.ParentJobId = JobTaskCounter.JobId AND InstanceId =0),
        Failed = (SELECT COUNT(Id) FROM Task WHERE State = 256 AND Task.ParentJobId = JobTaskCounter.JobId AND InstanceId =0),
        Canceled = (SELECT COUNT(Id) FROM Task WHERE State = 512 AND Task.ParentJobId = JobTaskCounter.JobId AND InstanceId =0),
        Canceling = (SELECT COUNT(Id) FROM Task WHERE State = 1024 AND Task.ParentJobId = JobTaskCounter.JobId AND InstanceId =0)
FROM JobTaskCounter
WHERE JobTaskCounter.JobId IN
    (SELECT JobId FROM TempIdTable)
GO
-- Parametric tasks
UPDATE JobTaskCounter SET
    Configuring = Configuring + 
        (SELECT COALESCE(SUM(ParametricTaskCounter.Configuring),0) FROM ParametricTaskCounter JOIN Task 
            ON ParametricTaskCounter.RecordId = Task.RecordId WHERE Task.ParentJobId = JobTaskCounter.JobId AND Task.InstanceId = -1),
    Submitted = Submitted + 
        (SELECT COALESCE(SUM(ParametricTaskCounter.Submitted),0) FROM ParametricTaskCounter JOIN Task 
            ON ParametricTaskCounter.RecordId = Task.RecordId WHERE Task.ParentJobId = JobTaskCounter.JobId AND Task.InstanceId = -1),
    Validating = Validating + 
        (SELECT COALESCE(SUM(ParametricTaskCounter.Validating),0) FROM ParametricTaskCounter JOIN Task 
            ON ParametricTaskCounter.RecordId = Task.RecordId WHERE Task.ParentJobId = JobTaskCounter.JobId AND Task.InstanceId = -1),
    Queued = Queued + 
        (SELECT COALESCE(SUM(ParametricTaskCounter.Queued),0) FROM ParametricTaskCounter JOIN Task 
            ON ParametricTaskCounter.RecordId = Task.RecordId WHERE Task.ParentJobId = JobTaskCounter.JobId AND Task.InstanceId = -1),
    Dispatching = Dispatching + 
        (SELECT COALESCE(SUM(ParametricTaskCounter.Dispatching),0) FROM ParametricTaskCounter JOIN Task 
            ON ParametricTaskCounter.RecordId = Task.RecordId WHERE Task.ParentJobId = JobTaskCounter.JobId AND Task.InstanceId = -1),
    Running = Running + 
        (SELECT COALESCE(SUM(ParametricTaskCounter.Running),0) FROM ParametricTaskCounter JOIN Task 
            ON ParametricTaskCounter.RecordId = Task.RecordId WHERE Task.ParentJobId = JobTaskCounter.JobId AND Task.InstanceId = -1),
    Finishing = Finishing + 
        (SELECT COALESCE(SUM(ParametricTaskCounter.Finishing),0) FROM ParametricTaskCounter JOIN Task 
            ON ParametricTaskCounter.RecordId = Task.RecordId WHERE Task.ParentJobId = JobTaskCounter.JobId AND Task.InstanceId = -1),
    Finished = Finished + 
        (SELECT COALESCE(SUM(ParametricTaskCounter.Finished),0) FROM ParametricTaskCounter JOIN Task 
            ON ParametricTaskCounter.RecordId = Task.RecordId WHERE Task.ParentJobId = JobTaskCounter.JobId AND Task.InstanceId = -1),
    Failed = Failed + 
        (SELECT COALESCE(SUM(ParametricTaskCounter.Failed),0) FROM ParametricTaskCounter JOIN Task 
            ON ParametricTaskCounter.RecordId = Task.RecordId WHERE Task.ParentJobId = JobTaskCounter.JobId AND Task.InstanceId = -1),
    Canceled = Canceled + 
        (SELECT COALESCE(SUM(ParametricTaskCounter.Canceled),0) FROM ParametricTaskCounter JOIN Task 
            ON ParametricTaskCounter.RecordId = Task.RecordId WHERE Task.ParentJobId = JobTaskCounter.JobId AND Task.InstanceId = -1),
    Canceling = Canceling + 
        (SELECT COALESCE(SUM(ParametricTaskCounter.Canceling),0) FROM ParametricTaskCounter JOIN Task 
            ON ParametricTaskCounter.RecordId = Task.RecordId WHERE Task.ParentJobId = JobTaskCounter.JobId AND Task.InstanceId = -1)
FROM JobTaskCounter
WHERE JobTaskCounter.JobId IN
    (SELECT JobId FROM TempIdTable)
GO
-- Calculate the total
UPDATE JobTaskCounter SET
    Total = 
        Configuring + Submitted + Validating + Queued + Dispatching +
        Running + Finishing + Finished + Failed + Canceled + Canceling  
WHERE JobId IN (SELECT JobId FROM TempIdTable)
GO
COMMIT TRAN
GO
ALTER TABLE JobTaskCounter ADD CONSTRAINT CK_JobTaskCounter_CheckTotal CHECK
(
    Total = Configuring + Submitted + Validating + Queued + Dispatching + 
        Running + Finishing + Finished + Failed + Canceled + Canceling 
    AND Configuring >= 0
    AND Submitted >= 0
    AND Validating >= 0
    AND Queued >= 0
    AND Dispatching >= 0
    AND Running >= 0
    AND Finishing >= 0
    AND Finished >= 0
    AND Failed >= 0
    AND Canceled >= 0
    AND Canceling >= 0
)
GO



/* NodeHistory */

-- Fail this constraint by design, reporting needs node history even after node has been deleted

--DELETE FROM NodeHistory WHERE NodeId NOT IN (SELECT Id FROM Node)
--GO
--ALTER TABLE NodeHistory ADD CONSTRAINT CK_NodeHistory_FK_NodeId FOREIGN KEY ( NodeId )
    --REFERENCES Node( Id )
--GO

DELETE FROM NodeHistory WHERE NameId NOT IN (SELECT Id FROM NodeName)
GO
ALTER TABLE NodeHistory ADD CONSTRAINT CK_NodeHistory_FK_NodeName FOREIGN KEY ( NameId )
    REFERENCES NodeName( Id )
GO



/* JobHistory */

DELETE FROM JobHistory WHERE JobId NOT IN (SELECT Id FROM Job)
GO
ALTER TABLE JobHistory ADD CONSTRAINT CK_JobHistory_FK_JobId FOREIGN KEY ( JobId )
    REFERENCES Job( Id )
GO
    
DELETE FROM JobHistory WHERE ProjectId NOT IN (SELECT Id FROM JobProjectName)
GO
ALTER TABLE JobHistory ADD CONSTRAINT CK_JobHistory_FK_ProjectId FOREIGN KEY ( ProjectId )
    REFERENCES JobProjectName( Id )
GO

UPDATE JobHistory SET StartTime = SubmitTime WHERE StartTime < SubmitTime
GO
ALTER TABLE JobHistory ADD CONSTRAINT CK_JobHistory_CheckDates2 CHECK ( startTime >= SubmitTime )
GO

UPDATE JobHistory SET EndTime = StartTime WHERE EndTime < StartTime
GO
ALTER TABLE JobHistory ADD CONSTRAINT CK_JobHistory_CheckDates1 CHECK ( EndTime >= StartTime )
GO



/* JobCancelRequest */

DELETE FROM JobCancelRequest WHERE JobId NOT IN (SELECT Id FROM Job)
GO
ALTER TABLE JobCancelRequest ADD CONSTRAINT CK_JobCancelRequest_FK_JobId FOREIGN KEY( JobId )
    REFERENCES Job( id )
GO

    
    
/* TaskCancelRequest */

DELETE FROM TaskCancelRequest WHERE TaskId NOT IN (SELECT Id FROM Task)
GO
ALTER TABLE TaskCancelRequest ADD CONSTRAINT CK_TaskCancelRequest_FK_TaskId FOREIGN KEY ( TaskId )
    REFERENCES Task( Id )
Go



/* taskgroup_dependencies */
DELETE FROM TaskGroupDependency WHERE JobId NOT IN (SELECT Id FROM Job)
GO
ALTER TABLE TaskGroupDependency ADD CONSTRAINT CK_TaskGroupDependency_FK_JobId FOREIGN KEY ( JobId )
    REFERENCES Job ( Id )
GO

DELETE FROM TaskGroupDependency WHERE ParentId NOT IN (SELECT Id FROM TaskGroup)
GO
ALTER TABLE TaskGroupDependency ADD CONSTRAINT CK_TaskGroupDependency_FK_ParentId FOREIGN KEY ( ParentId )
    REFERENCES TaskGroup( Id )
GO

/* FAILS TO RUN - BY DESIGN */
--DELETE FROM TaskGroupDependency WHERE ChildId NOT IN (SELECT Id FROM TaskGroup)
--GO
--ALTER TABLE TaskGroupDependency ADD CONSTRAINT CK_TaskGroupDependency_FK_ChildId FOREIGN KEY ( ChildId )
    --REFERENCES TaskGroup( Id )
--Go



/* TaskEnvironmentVariable */

/* FAILS TO RUN , BY DESIGN? */
--DELETE FROM TaskEnvironmentVariable WHERE TaskId NOT IN (SELECT Id FROM Task)
--GO
--ALTER TABLE TaskEnvironmentVariable ADD CONSTRAINT CK_TaskEnvironmentVariable_FK_TaskId FOREIGN KEY ( TaskId )
    --REFERENCES Task ( Id )
--GO
    
/* FAILS TO RUN , BY DESIGN? */
--DELETE FROM TaskEnvironmentVariable WHERE JobId NOT IN (SELECT Id FROM Job)
--GO
--ALTER TABLE TaskEnvironmentVariable ADD CONSTRAINT CK_TaskEnvironmentVariable_FK_JobId FOREIGN KEY( JobId )
    --REFERENCES Job( Id )
--GO




/* ResourceReservation */

DELETE FROM ResourceReservation WHERE ResourceId NOT IN (SELECT Id FROM Resource)
GO
ALTER TABLE ResourceReservation ADD CONSTRAINT CK_ResourceReservation_FK_ResourceId FOREIGN KEY ( ResourceId )
    REFERENCES Resource( Id )
GO
    
/* FAILS TO RUN */    
--DELETE FROM ResourceReservation WHERE ReserveJobId NOT IN (SELECT Id FROM Job)
--GO
--ALTER TABLE ResourceReservation ADD CONSTRAINT CK_ResourceReservation_FK_JobId FOREIGN KEY ( ReserveJobId )
    --REFERENCES Job( Id )

/* AllocationHistory */

/* FAILS TO RUN FOR PHANTOM CORES */
--DELETE FROM AllocationHistory WHERE ResourceId NOT IN (SELECT Id FROM Resource)
--GO
--ALTER TABLE AllocationHistory ADD CONSTRAINT CK_AllocationHistory_FK_ResourceId FOREIGN KEY ( ResourceId )
    --REFERENCES Resource( Id )
--GO

-- Fail this constraint by design, reporting needs allocation history even after node has been deleted

--DELETE FROM AllocationHistory WHERE NodeId NOT IN (SELECT Id FROM Node)
--GO
--ALTER TABLE AllocationHistory ADD CONSTRAINT CK_AllocationHistory_FK_NodeId FOREIGN KEY ( NodeId )
    --REFERENCES Node( Id )
--GO

DELETE FROM AllocationHistory WHERE JobId NOT IN (SELECT Id FROM Job)
GO
ALTER TABLE AllocationHistory ADD CONSTRAINT CK_AllocationHistory_FK_JobId FOREIGN KEY ( JobId )
    REFERENCES Job( Id )
GO

/* FAILS TO RUN , BY DESIGN? */
--DELETE FROM AllocationHistory WHERE TaskId NOT IN (SELECT Id FROM Task)
--GO
--ALTER TABLE AllocationHistory ADD CONSTRAINT CK_AllocationHistory_FK_TaskId FOREIGN KEY ( TaskId )
    --REFERENCES Task( Id )
--GO



/* NodeAllocationHistory */
-- Fail this constraint by design, reporting needs node allocation history even after node has been deleted

--DELETE FROM NodeAllocationHistory WHERE NodeId NOT IN (SELECT Id FROM Node)
--GO
--ALTER TABLE NodeAllocationHistory ADD CONSTRAINT CK_NodeAllocationHistory_FK_NodeId FOREIGN KEY ( NodeId )
    --REFERENCES Node( Id )
--GO

DELETE FROM NodeAllocationHistory WHERE JobId NOT IN (SELECT Id FROM Job)
GO
ALTER TABLE NodeAllocationHistory ADD CONSTRAINT CK_NodeAllocationHistory_FK_JobId FOREIGN KEY ( JobId )
    REFERENCES Job( Id )
GO

DELETE FROM NodeAllocationHistory WHERE TaskId NOT IN (SELECT Id FROM Task)
GO
ALTER TABLE NodeAllocationHistory ADD CONSTRAINT CK_NodeAllocationHistory_FK_TaskId FOREIGN KEY ( TaskId )
    REFERENCES Task( Id )
GO



/* ExtendedJobProperty */

DELETE FROM ExtendedJobProperty WHERE JobId NOT IN (SELECT Id FROM Job)
GO
ALTER TABLE ExtendedJobProperty ADD CONSTRAINT CK_ExtendedJobProperty_FK_JobId FOREIGN KEY ( JobId )
    REFERENCES Job( Id )
GO

DELETE FROM ExtendedJobProperty WHERE PropertyId NOT IN (SELECT Id FROM CustomPropertyName)
GO
ALTER TABLE ExtendedJobProperty ADD CONSTRAINT CK_ExtendedJobProperty_FK_PropertyId FOREIGN KEY ( PropertyId )
    REFERENCES CustomPropertyName ( Id )
GO

/* ExtendedTaskProperty */
DELETE FROM ExtendedTaskProperty WHERE TaskId NOT IN (SELECT Id FROM Task)
GO
ALTER TABLE ExtendedTaskProperty ADD CONSTRAINT CK_ExtendedTaskProperty_FK_TaskId FOREIGN KEY ( TaskId )
    REFERENCES Task( Id )
GO

DELETE FROM ExtendedTaskProperty WHERE JobId NOT IN (SELECT Id FROM Job)
GO
ALTER TABLE ExtendedTaskProperty ADD CONSTRAINT CK_ExtendedTaskProperty_FK_JobId FOREIGN KEY ( JobId )
    REFERENCES Job( Id )
GO

DELETE FROM ExtendedTaskProperty WHERE PropertyId NOT IN (SELECT Id FROM CustomPropertyName)
GO
ALTER TABLE ExtendedTaskProperty ADD CONSTRAINT CK_ExtendedTaskProperty_FK_PropertyId FOREIGN KEY ( PropertyId )
    REFERENCES CustomPropertyName ( Id )
GO
    
/* Constraints for customer cases that we have seen */

/* Job with a null enddate but state == 512 should be impossible */

UPDATE Job SET EndTime = COALESCE(StartTime, COALESCE(SubmitTime, COALESCE(CreateTime, GetDate())))
    WHERE EndTime IS NULL AND (State = 128 OR State = 256 OR State = 512)
GO
ALTER TABLE Job ADD CONSTRAINT CK_Job_Completed_No_EndDate CHECK 
(
    (state != 128 and state != 256 and state != 512) or ( endtime is not null )
)
GO


/* Job messages should correspond to valid job ids */
DELETE FROM JobMessage WHERE JobId NOT IN (SELECT ID FROM Job)
GO
ALTER TABLE JobMessage ADD CONSTRAINT CK_JobMessage_FK_JobId FOREIGN KEY ( JobId )
    REFERENCES Job ( Id )
GO

/* Job Message with a message type of NA (0) should be impossible */
DELETE FROM JobMessage WHERE MessageType = 0
GO
ALTER TABLE JobMessage ADD CONSTRAINT CK_JobMessage_TypeNonZero CHECK
(
    (MessageType != 0)
)
GO

SET ANSI_PADDING OFF
go
